!******************************************************************************!
!                                                                              !
!    fill_ctcouplings1.f90                                                     !
!    is part of RECOLA2 (REcursive Computation of One Loop Amplitudes)2        !
!                                                                              !
!    Copyright (C) 2016-2018 Ansgar Denner, Jean-Nicolas Lang and              !
!                            Sandro Uccirati                                   !
!                                                                              !
!    RECOLA2 is licenced under the GNU GPL version 3,                          !
!    see COPYING for details.                                                  !
!                                                                              !
!******************************************************************************!
!                                                           .---.              !
!                                                          /  .  \             !
!                                                         |\_/|   |            !
!                                                         |   |  /|            !
!          .----------------------------------------------------' |            !
!         /  .-.   fill_ctcouplings1.f90                          |            !
!        |  /   \  This code was generated with REPT1L.           |            !
!        | |\_.  | Change this file and you get what you deserve. |            !
!        |\|  | /| Author: J.N. Lang                              |            !
!        | `---' | UFO date: 03/2019                              |            !
!        |       | UFO version: 1.0                               |            !
!        |       | Generation date: 2019-10-14 13:42             /             !
!        |       |----------------------------------------------'              !
!        \       |                                                             !
!         \     /                                                              !
!          `---'                                                               !
!******************************************************************************!
module fill_ctcouplings1
  use constants_mdl
  use class_couplings
  use class_ctparameters
  implicit none
  contains
  subroutine fill_CTcouplings_mdl1()
    coupl(nGC_3876) = coupl(nGC_MI)*dZsR_QCD2
    coupl(nGC_3874) = coupl(nGC_MI)*dZsL_QCD2
    coupl(nGC_2794) = -cima*dMU_QCD2
    coupl(nGC_2795) = -cima*dMD_QCD2
    coupl(nGC_2796) = -cima*dMC_QCD2
    coupl(nGC_2797) = -cima*dMS_QCD2
    coupl(nGC_2798) = -cima*dMB_QCD2
    coupl(nGC_4259) = coupl(nGC_MI)*dZbR_QCD2
    coupl(nGC_4256) = coupl(nGC_MI)*dZbL_QCD2
    coupl(nGC_3687) = coupl(nGC_MI)*dZcL_QCD2
    coupl(nGC_3525) = coupl(nGC_MI)*dZuR_QCD2
    coupl(nGC_3689) = coupl(nGC_MI)*dZcR_QCD2
    coupl(nGC_3523) = coupl(nGC_MI)*dZuL_QCD2
    coupl(nGC_3691) = coupl(nGC_MI)*dZg_QCD2
    coupl(nGC_3524) = coupl(nGC_MU)*(dZuL_QCD2 + dZuR_QCD2)/2d0
    coupl(nGC_3403) = coupl(nGC_MI)*dZdR_QCD2
    coupl(nGC_3402) = coupl(nGC_MD)*(dZdL_QCD2 + dZdR_QCD2)/2d0
    coupl(nGC_3401) = coupl(nGC_MI)*dZdL_QCD2
    coupl(nGC_3404) = coupl(nGC_2795) + coupl(nGC_3402)
    coupl(nGC_3526) = coupl(nGC_2794) + coupl(nGC_3524)
    coupl(nGC_2660) = coupl(nGC_2)**2d0*sq2**2d0*(5d0*Nc**2d0*coupl(nGC_116) + &
                      2d0*Nc**2d0*coupl(nGC_8) - 5d0*coupl(nGC_116) - 2d0*coupl&
                      (nGC_8))/(192d0*pi**2d0*Nc)
    coupl(nGC_2661) = cMS*coupl(nGC_2)**2d0*sq2**2d0*(8d0*Nc**2d0*coupl(nGC_116&
                      ) + Nc**2d0*coupl(nGC_8) - 8d0*coupl(nGC_116) - coupl(   &
                      nGC_8))/(128d0*pi**2d0*Nc)
    coupl(nGC_2662) = cMU*coupl(nGC_2)**2d0*sq2**2d0*(8d0*Nc**2d0*coupl(nGC_116&
                      ) + Nc**2d0*coupl(nGC_8) - 8d0*coupl(nGC_116) - coupl(   &
                      nGC_8))/(128d0*pi**2d0*Nc)
    coupl(nGC_2663) = cMD*coupl(nGC_2)**2d0*sq2**2d0*(8d0*Nc**2d0*coupl(nGC_116&
                      ) + Nc**2d0*coupl(nGC_8) - 8d0*coupl(nGC_116) - coupl(   &
                      nGC_8))/(128d0*pi**2d0*Nc)
    coupl(nGC_2666) = cMC*coupl(nGC_2)**2d0*sq2**2d0*(8d0*Nc**2d0*coupl(nGC_116&
                      ) + Nc**2d0*coupl(nGC_8) - 8d0*coupl(nGC_116) - coupl(   &
                      nGC_8))/(128d0*pi**2d0*Nc)
    coupl(nGC_2667) = cMB*coupl(nGC_2)**2d0*sq2**2d0*(8d0*Nc**2d0*coupl(nGC_116&
                      ) + Nc**2d0*coupl(nGC_8) - 8d0*coupl(nGC_116) - coupl(   &
                      nGC_8))/(128d0*pi**2d0*Nc)
    coupl(nGC_2668) = Nc*coupl(nGC_1)**2d0*sq2**2d0*(46d0*coupl(nGC_116) - 43d0&
                      *coupl(nGC_8))/(768d0*pi**2d0)
    coupl(nGC_2669) = Nc*coupl(nGC_1)*sq2**2d0*(-4d0*cima*coupl(nGC_9) + 4d0*  &
                      coupl(nGC_1)*coupl(nGC_116) - 7d0*coupl(nGC_1)*coupl(    &
                      nGC_8))/(384d0*pi**2d0)
    coupl(nGC_2708) = coupl(nGC_2)**2d0*sq2**3d0*(12d0*Nc**2d0*cima*coupl(nGC_9&
                      ) - 36d0*Nc**2d0*coupl(nGC_1)*coupl(nGC_116) - 9d0*Nc**  &
                      2d0*coupl(nGC_1)*coupl(nGC_8) + 14d0*cima*coupl(nGC_116)*&
                      coupl(nGC_2) + 5d0*cima*coupl(nGC_2)*coupl(nGC_8))/(768d0&
                      *pi**2d0*Nc**2d0)
    coupl(nGC_2707) = coupl(nGC_2)**2d0*sq2**3d0*(-12d0*Nc**2d0*cima*coupl(    &
                      nGC_9) + 36d0*Nc**2d0*coupl(nGC_1)*coupl(nGC_116) + 9d0* &
                      Nc**2d0*coupl(nGC_1)*coupl(nGC_8) - 14d0*cima*coupl(     &
                      nGC_116)*coupl(nGC_2) - 5d0*cima*coupl(nGC_2)*coupl(nGC_8&
                      ))/(768d0*pi**2d0*Nc)
    coupl(nGC_2706) = -5d0*cima*coupl(nGC_2)**4d0*sq2**4d0/(64d0*pi**2d0*Nc**  &
                      3d0)
    coupl(nGC_2705) = 5d0*cima*coupl(nGC_2)**4d0*sq2**4d0/(192d0*pi**2d0*Nc**  &
                      2d0)
    coupl(nGC_2787) = coupl(nGC_2618)*dZgs_QCD2 + coupl(nGC_2619)*dcggh_QCD4
    coupl(nGC_2786) = coupl(nGC_2616)*dZgs_QCD2 + coupl(nGC_2617)*dcggh_QCD4
    coupl(nGC_2785) = coupl(nGC_2622)*dZgs_QCD2
    coupl(nGC_2784) = coupl(nGC_2612)*dZgs_QCD2
    coupl(nGC_2783) = coupl(nGC_22)*dcggh_QCD4
    coupl(nGC_2782) = coupl(nGC_2615)*dcggh_QCD4
    coupl(nGC_2781) = coupl(nGC_2625)*dcggh_QCD4
    coupl(nGC_2789) = coupl(nGC_2623)*dZgs_QCD2 + coupl(nGC_2624)*dcggh_QCD4
    coupl(nGC_2788) = coupl(nGC_2613)*dZgs_QCD2 + coupl(nGC_2614)*dcggh_QCD4
    coupl(nGC_3319) = coupl(nGC_2789) + 2d0*coupl(nGC_7)*dZg_QCD2
    coupl(nGC_2659) = sq2**3d0*(11d0*Nc*cima*coupl(nGC_1)**3d0 + 40d0*coupl(   &
                      nGC_2)**3d0)/(768d0*pi**2d0)
    coupl(nGC_2658) = sq2**3d0*(-11d0*Nc*cima*coupl(nGC_1)**3d0 - 40d0*coupl(  &
                      nGC_2)**3d0)/(768d0*pi**2d0)
    coupl(nGC_2657) = coupl(nGC_2)**2d0*sq2**3d0*(-Nc**2d0*cima*coupl(nGC_1) - &
                      coupl(nGC_2))/(64d0*pi**2d0*Nc)
    coupl(nGC_3541) = coupl(nGC_1)*dZg_QCD2/2d0 + coupl(nGC_2784)
    coupl(nGC_3875) = coupl(nGC_MS)*(dZsL_QCD2 + dZsR_QCD2)/2d0
    coupl(nGC_2790) = coupl(nGC_2620)*dZgs_QCD2 + coupl(nGC_2621)*dcggh_QCD4
    coupl(nGC_2791) = coupl(nGC_2626)*dZgs_QCD2 + coupl(nGC_2627)*dcggh_QCD4
  end subroutine fill_CTcouplings_mdl1
end module fill_ctcouplings1
