!******************************************************************************!
!                                                                              !
!    class_tree.f90                                                            !
!    is part of RECOLA2 (REcursive Computation of One Loop Amplitudes)2        !
!                                                                              !
!    Copyright (C) 2016-2018 Ansgar Denner, Jean-Nicolas Lang and              !
!                            Sandro Uccirati                                   !
!                                                                              !
!    RECOLA2 is licenced under the GNU GPL version 3,                          !
!    see COPYING for details.                                                  !
!                                                                              !
!******************************************************************************!
!                                                           .---.              !
!                                                          /  .  \             !
!                                                         |\_/|   |            !
!                                                         |   |  /|            !
!          .----------------------------------------------------' |            !
!         /  .-.   class_tree.f90                                 |            !
!        |  /   \  This code was generated with REPT1L.           |            !
!        | |\_.  | Change this file and you get what you deserve. |            !
!        |\|  | /| Author: J.N. Lang                              |            !
!        | `---' | UFO date: 03/2019                              |            !
!        |       | UFO version: 1.0                               |            !
!        |       | Generation date: 2019-10-14 13:42             /             !
!        |       |----------------------------------------------'              !
!        \       |                                                             !
!         \     /                                                              !
!          `---'                                                               !
!******************************************************************************!
module class_tree
  use constants_mdl
  use input_mdl, only: error_mdl
  use tcFaVFS, only: treeFaVFS
  use tcVFaFSS, only: treeVFaFSS
  use tcFaVSF, only: treeFaVSF
  use tcFFaSV, only: treeFFaSV
  use tcSFaFS, only: treeSFaFS
  use tcFaFSSV, only: treeFaFSSV
  use tcVSVSVVS, only: treeVSVSVVS
  use tcVVSSS, only: treeVVSSS
  use tcVSFaFS, only: treeVSFaFS
  use tcSVFaFS, only: treeSVFaFS
  use tcSVSSVV, only: treeSVSSVV
  use tcVVSVSV, only: treeVVSVSV
  use tcFaSVFS, only: treeFaSVFS
  use tcSFFaV, only: treeSFFaV
  use tcSSVVS, only: treeSSVVS
  use tcSSSVVV, only: treeSSSVVV
  use tcVSVSVS, only: treeVSVSVS
  use tcSVFaSF, only: treeSVFaSF
  use tcVFFaSS, only: treeVFFaSS
  use tcVFaSSF, only: treeVFaSSF
  use tcSSVFFa, only: treeSSVFFa
  use tcSVVVSSV, only: treeSVVVSSV
  use tcVVSVVS, only: treeVVSVVS
  use tcFVSFa, only: treeFVSFa
  use tcVSVVSV, only: treeVSVVSV
  use tcSVSVSV, only: treeSVSVSV
  use tcSVSVVSV, only: treeSVSVVSV
  use tcSVVVVS, only: treeSVVVVS
  use tcVSVVSS, only: treeVSVVSS
  use tcVVVSS, only: treeVVVSS
  use tcFaFSV, only: treeFaFSV
  use tcVSSVV, only: treeVSSVV
  use tcSSVVSV, only: treeSSVVSV
  use tcFaVSFS, only: treeFaVSFS
  use tcVUaU, only: treeVUaU
  use tcSSSVVVV, only: treeSSSVVVV
  use tcFaSFS, only: treeFaSFS
  use tcVVVVS, only: treeVVVVS
  use tcVFFa, only: treeVFFa
  use tcVVS, only: treeVVS
  use tcVV, only: treeVV
  use tcFSVFaS, only: treeFSVFaS
  use tcSFFaVS, only: treeSFFaVS
  use tcVSSFaF, only: treeVSSFaF
  use tcSFVFaS, only: treeSFVFaS
  use tcVSVSS, only: treeVSVSS
  use tcVFSSFa, only: treeVFSSFa
  use tcSVFaF, only: treeSVFaF
  use tcSVVVSV, only: treeSVVVSV
  use tcSFaF, only: treeSFaF
  use tcSSVFaF, only: treeSSVFaF
  use tcVVV, only: treeVVV
  use tcVVSSVS, only: treeVVSSVS
  use tcSSVVV, only: treeSSVVV
  use tcVSVVSVS, only: treeVSVVSVS
  use tcSSFaF, only: treeSSFaF
  use tcFaFSVS, only: treeFaFSVS
  use tcSSFaFV, only: treeSSFaFV
  use tcFFaSS, only: treeFFaSS
  use tcVVVSSSV, only: treeVVVSSSV
  use tcVVVSSVS, only: treeVVVSSVS
  use tcFaFSS, only: treeFaFSS
  use tcSVVSS, only: treeSVVSS
  use tcVSFaF, only: treeVSFaF
  use tcVFaSF, only: treeVFaSF
  use tcVSVS, only: treeVSVS
  use tcVSFSFa, only: treeVSFSFa
  use tcVSVSV, only: treeVSVSV
  use tcSVVVVSS, only: treeSVVVVSS
  use tcUaUV, only: treeUaUV
  use tcVSSVVSV, only: treeVSSVVSV
  use tcVVVSSS, only: treeVVVSSS
  use tcSFVFa, only: treeSFVFa
  use tcVVSSV, only: treeVVSSV
  use tcVSSSVV, only: treeVSSSVV
  use tcSFVSFa, only: treeSFVSFa
  use tcSFFa, only: treeSFFa
  use tcVSFFaS, only: treeVSFFaS
  use tcVVSV, only: treeVVSV
  use tcSVSVS, only: treeSVSVS
  use tcFFaSVS, only: treeFFaSVS
  use tcSVVSVV, only: treeSVVSVV
  use tcVFaFS, only: treeVFaFS
  use tcSFaFVS, only: treeSFaFVS
  use tcVSSFFa, only: treeVSSFFa
  use tcFaFS, only: treeFaFS
  use tcSVFFa, only: treeSVFFa
  use tcSVVVS, only: treeSVVVS
  use tcVVSSVVS, only: treeVVSSVVS
  use tcVVSVSVS, only: treeVVSVSVS
  use tcFVFaS, only: treeFVFaS
  use tcSFaSFV, only: treeSFaSFV
  use tcVSSVSVV, only: treeVSSVSVV
  use tcSVVVSS, only: treeSVVVSS
  use tcSFSFaV, only: treeSFSFaV
  use tcSSFVFa, only: treeSSFVFa
  use tcFSFaVS, only: treeFSFaVS
  use tcVFSFa, only: treeVFSFa
  use tcSVSVVS, only: treeSVSVVS
  use tcVSVSVV, only: treeVSVSVV
  use tcVSSVS, only: treeVSSVS
  use tcSVSFaF, only: treeSVSFaF
  use tcFVSSFa, only: treeFVSSFa
  use tcSSFFaV, only: treeSSFFaV
  use tcSSVVVSV, only: treeSSVVVSV
  use tcSVSVV, only: treeSVSVV
  use tcSSSS, only: treeSSSS
  use tcSFaFSV, only: treeSFaFSV
  use tcFaSSFV, only: treeFaSSFV
  use tcVVVSV, only: treeVVVSV
  use tcFaVSSF, only: treeFaVSSF
  use tcSSVVVS, only: treeSSVVVS
  use tcVSFaSF, only: treeVSFaSF
  use tcSSVSVV, only: treeSSVSVV
  use tcVSSVVS, only: treeVSSVVS
  use tcVSVVS, only: treeVSVVS
  use tcSVSSVVV, only: treeSVSSVVV
  use tcSSVVVVS, only: treeSSVVVVS
  use tcVSSSV, only: treeVSSSV
  use tcSVFSFa, only: treeSVFSFa
  use tcSVVSVS, only: treeSVVSVS
  use tcUVUa, only: treeUVUa
  use tcFFa, only: treeFFa
  use tcVVVSVSS, only: treeVVVSVSS
  use tcVUUa, only: treeVUUa
  use tcFaF, only: treeFaF
  use tcSSVVSVV, only: treeSSVVSVV
  use tcSSSVV, only: treeSSSVV
  use tcVVVS, only: treeVVVS
  use tcFSSFaV, only: treeFSSFaV
  use tcSFaSVF, only: treeSFaSVF
  use tcVSVV, only: treeVSVV
  use tcVFaF, only: treeVFaF
  use tcFaFVSS, only: treeFaFVSS
  use tcSVSV, only: treeSVSV
  use tcVVVVSSS, only: treeVVVVSSS
  use tcFSSFa, only: treeFSSFa
  use tcSVVSVVS, only: treeSVVSVVS
  use tcVSSVSV, only: treeVSSVSV
  use tcVVSVSS, only: treeVVSVSS
  use tcSVVSSVV, only: treeSVVSSVV
  use tcVSSV, only: treeVSSV
  use tcSFaVSF, only: treeSFaVSF
  use tcVSVSSV, only: treeVSVSSV
  use tcSFaFV, only: treeSFaFV
  use tcSVVSV, only: treeSVVSV
  use tcFaSVSF, only: treeFaSVSF
  use tcFFaVS, only: treeFFaVS
  use tcFaSVF, only: treeFaSVF
  use tcVVSS, only: treeVVSS
  use tcSVSVSVV, only: treeSVSVSVV
  use tcFSSVFa, only: treeFSSVFa
  use tcVSFFa, only: treeVSFFa
  use tcSVFFaS, only: treeSVFFaS
  use tcVVSVV, only: treeVVSVV
  use tcUaVU, only: treeUaVU
  use tcSVVVV, only: treeSVVVV
  use tcFFaV, only: treeFFaV
  use tcFaFVS, only: treeFaFVS
  use tcSFFaS, only: treeSFFaS
  use tcVFSFaS, only: treeVFSFaS
  use tcFSFaV, only: treeFSFaV
  use tcSFFaSV, only: treeSFFaSV
  use tcSSVSV, only: treeSSVSV
  use tcFVFaSS, only: treeFVFaSS
  use tcSFaSF, only: treeSFaSF
  use tcVSSSVVV, only: treeVSSSVVV
  use tcVVSVS, only: treeVVSVS
  use tcFaVF, only: treeFaVF
  use tcSVVSVSV, only: treeSVVSVSV
  use tcFaVFSS, only: treeFaVFSS
  use tcVVSSSV, only: treeVVSSSV
  use tcSFSVFa, only: treeSFSVFa
  use tcFFaVSS, only: treeFFaVSS
  use tcVSVVVSS, only: treeVSVVVSS
  use tcSVVS, only: treeSVVS
  use tcFaFV, only: treeFaFV
  use tcFaSSF, only: treeFaSSF
  use tcVVSVSSV, only: treeVVSVSSV
  use tcVVVSSV, only: treeVVVSSV
  use tcFaSF, only: treeFaSF
  use tcFFaSSV, only: treeFFaSSV
  use tcVSV, only: treeVSV
  use tcSVSVVVS, only: treeSVSVVVS
  use tcVVVV, only: treeVVVV
  use tcFFaS, only: treeFFaS
  use tcFVFa, only: treeFVFa
  use tcVVSVVSS, only: treeVVSVVSS
  use tcFVSFaS, only: treeFVSFaS
  use tcVVVSVS, only: treeVVVSVS
  use tcVSSVVVS, only: treeVSSVVVS
  use tcVSVSVSV, only: treeVSVSVSV
  use tcFaSSVF, only: treeFaSSVF
  use tcFaSFSV, only: treeFaSFSV
  use tcSVV, only: treeSVV
  use tcFSFaSV, only: treeFSFaSV
  use tcFSVFa, only: treeFSVFa
  use tcFSFa, only: treeFSFa
  use tcVVVVSS, only: treeVVVVSS
  use tcSVSFFa, only: treeSVSFFa
  use tcSFaVF, only: treeSFaVF
  use tcFSFaS, only: treeFSFaS
  use tcFaSFV, only: treeFaSFV
  use tcSSVSVVV, only: treeSSVSVVV
  use tcVSVSSVV, only: treeVSVSSVV
  use tcSVSVVV, only: treeSVSVVV
  use tcUUaV, only: treeUUaV
  use tcVSVVV, only: treeVSVVV
  use tcSVVSSV, only: treeSVVSSV
  use tcVFaSFS, only: treeVFaSFS
  use tcSSS, only: treeSSS
  use tcVFFaS, only: treeVFFaS
  use tcFaSFVS, only: treeFaSFVS
  use tcSVSSV, only: treeSVSSV
  use tcSSVV, only: treeSSVV
  use tcVSVVVS, only: treeVSVVVS
  use tcSSVVVV, only: treeSSVVVV
  use tcSVVVSVS, only: treeSVVVSVS
  use tcFSVSFa, only: treeFSVSFa
  use tcSSFFa, only: treeSSFFa
  use tcVSSVVV, only: treeVSSVVV
  use tcVSVVSSV, only: treeVSVVSSV
  use tcVVSSVSV, only: treeVVSSVSV
  use tcSSFaVF, only: treeSSFaVF
  use tcSFaVFS, only: treeSFaVFS
  use tcSFSFa, only: treeSFSFa
  use tcVVSSSVV, only: treeVVSSSVV
  use tcSVVV, only: treeSVVV
  use tcVVSSVV, only: treeVVSSVV
  implicit none

  interface compute_tree_mdl
    module procedure computeTree2, computeTree3, computeTree4, computeTree5,   &
    computeTree6, computeTree7, computeTree8
  end interface 

  contains

  subroutine computeTree2(ty, co, w1, P1, PL1, den, m, wout, last)
    use class_vertices
    integer, intent(in) :: ty
    logical :: VB_last
    logical, intent(in) :: last
    complex(kind=dp), dimension(0:), intent(in) :: co
    complex(kind=dp), intent(in), dimension(0:3) :: P1, PL1
    complex(kind=dp), intent(in), dimension(0:3) :: w1
    complex(kind=dp), intent(in) :: m
    complex(kind=dp), intent(in) :: den
    complex(kind=dp), dimension(0:3), intent(out) :: wout
    character(len=3) :: ty_str
    complex(kind=dp), dimension(0:3) :: pl, p

    wout(:) = 0.0d0
    VB_last = .false.

    select case(ty)
    case(VV0, VV1)
      call treeVV(ty, co, w1, P1, PL1, den, m, wout, last, VB_last)
    case(FFa0)
      call treeFFa(ty, co, w1, P1, PL1, den, m, wout, last, VB_last)
    case(FaF0)
      call treeFaF(ty, co, w1, P1, PL1, den, m, wout, last, VB_last)
    case default
      write(ty_str,'(i3)') ty
      call error_mdl('Unhandled case: ' // ty_str, where='compute_tree_mdl')
    end select 
    if (last .eqv. .false.) then
      wout(:) = cima * wout(:)/den
    else
      if (VB_last) wout(0) = - wout(0)
    end if 
  end subroutine computeTree2

  subroutine computeTree3(ty, co, w1, P1, PL1, w2, P2, PL2, den, m, wout, last)
    use class_vertices
    integer, intent(in) :: ty
    logical :: VB_last
    logical, intent(in) :: last
    complex(kind=dp), dimension(0:), intent(in) :: co
    complex(kind=dp), intent(in), dimension(0:3) :: P1, PL1
    complex(kind=dp), intent(in), dimension(0:3) :: w1
    complex(kind=dp), intent(in), dimension(0:3) :: P2, PL2
    complex(kind=dp), intent(in), dimension(0:3) :: w2
    complex(kind=dp), intent(in) :: m
    complex(kind=dp), intent(in) :: den
    complex(kind=dp), dimension(0:3), intent(out) :: wout
    character(len=3) :: ty_str
    complex(kind=dp), dimension(0:3) :: pl, p

    wout(:) = 0.0d0
    VB_last = .false.

    select case(ty)
    case(VUaU0)
      call treeVUaU(ty, co, w1, P1, PL1, w2, P2, PL2, den, m, wout, last,      &
      VB_last)
    case(VFFa0)
      call treeVFFa(ty, co, w1, P1, PL1, w2, P2, PL2, den, m, wout, last,      &
      VB_last)
    case(VVS0, VVS1)
      call treeVVS(ty, co, w1, P1, PL1, w2, P2, PL2, den, m, wout, last,       &
      VB_last)
    case(SFaF0)
      call treeSFaF(ty, co, w1, P1, PL1, w2, P2, PL2, den, m, wout, last,      &
      VB_last)
    case(VVV0)
      call treeVVV(ty, co, w1, P1, PL1, w2, P2, PL2, den, m, wout, last,       &
      VB_last)
    case(UaUV0)
      call treeUaUV(ty, co, w1, P1, PL1, w2, P2, PL2, den, m, wout, last,      &
      VB_last)
    case(SFFa0)
      call treeSFFa(ty, co, w1, P1, PL1, w2, P2, PL2, den, m, wout, last,      &
      VB_last)
    case(FaFS0)
      call treeFaFS(ty, co, w1, P1, PL1, w2, P2, PL2, den, m, wout, last,      &
      VB_last)
    case(UVUa0)
      call treeUVUa(ty, co, w1, P1, PL1, w2, P2, PL2, den, m, wout, last,      &
      VB_last)
    case(VUUa0)
      call treeVUUa(ty, co, w1, P1, PL1, w2, P2, PL2, den, m, wout, last,      &
      VB_last)
    case(VFaF0)
      call treeVFaF(ty, co, w1, P1, PL1, w2, P2, PL2, den, m, wout, last,      &
      VB_last)
    case(UaVU0)
      call treeUaVU(ty, co, w1, P1, PL1, w2, P2, PL2, den, m, wout, last,      &
      VB_last)
    case(FFaV0)
      call treeFFaV(ty, co, w1, P1, PL1, w2, P2, PL2, den, m, wout, last,      &
      VB_last)
    case(FaVF0)
      call treeFaVF(ty, co, w1, P1, PL1, w2, P2, PL2, den, m, wout, last,      &
      VB_last)
    case(FaFV0)
      call treeFaFV(ty, co, w1, P1, PL1, w2, P2, PL2, den, m, wout, last,      &
      VB_last)
    case(FaSF0)
      call treeFaSF(ty, co, w1, P1, PL1, w2, P2, PL2, den, m, wout, last,      &
      VB_last)
    case(VSV0, VSV1)
      call treeVSV(ty, co, w1, P1, PL1, w2, P2, PL2, den, m, wout, last,       &
      VB_last)
    case(FFaS0)
      call treeFFaS(ty, co, w1, P1, PL1, w2, P2, PL2, den, m, wout, last,      &
      VB_last)
    case(FVFa0)
      call treeFVFa(ty, co, w1, P1, PL1, w2, P2, PL2, den, m, wout, last,      &
      VB_last)
    case(SVV0, SVV1)
      call treeSVV(ty, co, w1, P1, PL1, w2, P2, PL2, den, m, wout, last,       &
      VB_last)
    case(FSFa0)
      call treeFSFa(ty, co, w1, P1, PL1, w2, P2, PL2, den, m, wout, last,      &
      VB_last)
    case(UUaV0)
      call treeUUaV(ty, co, w1, P1, PL1, w2, P2, PL2, den, m, wout, last,      &
      VB_last)
    case(SSS0)
      call treeSSS(ty, co, w1, P1, PL1, w2, P2, PL2, den, m, wout, last,       &
      VB_last)
    case default
      write(ty_str,'(i3)') ty
      call error_mdl('Unhandled case: ' // ty_str, where='compute_tree_mdl')
    end select 
    if (last .eqv. .false.) then
      wout(:) = cima * wout(:)/den
    else
      if (VB_last) wout(0) = - wout(0)
    end if 
  end subroutine computeTree3

  subroutine computeTree4(ty, co, w1, P1, PL1, w2, P2, PL2, w3, P3, PL3, den, m&
  , wout, last)
    use class_vertices
    integer, intent(in) :: ty
    logical :: VB_last
    logical, intent(in) :: last
    complex(kind=dp), dimension(0:), intent(in) :: co
    complex(kind=dp), intent(in), dimension(0:3) :: P1, PL1
    complex(kind=dp), intent(in), dimension(0:3) :: w1
    complex(kind=dp), intent(in), dimension(0:3) :: P2, PL2
    complex(kind=dp), intent(in), dimension(0:3) :: w2
    complex(kind=dp), intent(in), dimension(0:3) :: P3, PL3
    complex(kind=dp), intent(in), dimension(0:3) :: w3
    complex(kind=dp), intent(in) :: m
    complex(kind=dp), intent(in) :: den
    complex(kind=dp), dimension(0:3), intent(out) :: wout
    character(len=3) :: ty_str
    complex(kind=dp), dimension(0:3) :: pl, p

    wout(:) = 0.0d0
    VB_last = .false.

    select case(ty)
    case(FaVFS0)
      call treeFaVFS(ty, co, w1, P1, PL1, w2, P2, PL2, w3, P3, PL3, den, m,    &
      wout, last, VB_last)
    case(FaVSF0)
      call treeFaVSF(ty, co, w1, P1, PL1, w2, P2, PL2, w3, P3, PL3, den, m,    &
      wout, last, VB_last)
    case(FFaSV0)
      call treeFFaSV(ty, co, w1, P1, PL1, w2, P2, PL2, w3, P3, PL3, den, m,    &
      wout, last, VB_last)
    case(SFaFS0)
      call treeSFaFS(ty, co, w1, P1, PL1, w2, P2, PL2, w3, P3, PL3, den, m,    &
      wout, last, VB_last)
    case(SFFaV0)
      call treeSFFaV(ty, co, w1, P1, PL1, w2, P2, PL2, w3, P3, PL3, den, m,    &
      wout, last, VB_last)
    case(FVSFa0)
      call treeFVSFa(ty, co, w1, P1, PL1, w2, P2, PL2, w3, P3, PL3, den, m,    &
      wout, last, VB_last)
    case(FaFSV0)
      call treeFaFSV(ty, co, w1, P1, PL1, w2, P2, PL2, w3, P3, PL3, den, m,    &
      wout, last, VB_last)
    case(FaSFS0)
      call treeFaSFS(ty, co, w1, P1, PL1, w2, P2, PL2, w3, P3, PL3, den, m,    &
      wout, last, VB_last)
    case(SVFaF0)
      call treeSVFaF(ty, co, w1, P1, PL1, w2, P2, PL2, w3, P3, PL3, den, m,    &
      wout, last, VB_last)
    case(SSFaF0)
      call treeSSFaF(ty, co, w1, P1, PL1, w2, P2, PL2, w3, P3, PL3, den, m,    &
      wout, last, VB_last)
    case(FFaSS0)
      call treeFFaSS(ty, co, w1, P1, PL1, w2, P2, PL2, w3, P3, PL3, den, m,    &
      wout, last, VB_last)
    case(FaFSS0)
      call treeFaFSS(ty, co, w1, P1, PL1, w2, P2, PL2, w3, P3, PL3, den, m,    &
      wout, last, VB_last)
    case(VSFaF0)
      call treeVSFaF(ty, co, w1, P1, PL1, w2, P2, PL2, w3, P3, PL3, den, m,    &
      wout, last, VB_last)
    case(VFaSF0)
      call treeVFaSF(ty, co, w1, P1, PL1, w2, P2, PL2, w3, P3, PL3, den, m,    &
      wout, last, VB_last)
    case(VSVS0)
      call treeVSVS(ty, co, w1, P1, PL1, w2, P2, PL2, w3, P3, PL3, den, m, wout&
      , last, VB_last)
    case(SFVFa0)
      call treeSFVFa(ty, co, w1, P1, PL1, w2, P2, PL2, w3, P3, PL3, den, m,    &
      wout, last, VB_last)
    case(VVSV0)
      call treeVVSV(ty, co, w1, P1, PL1, w2, P2, PL2, w3, P3, PL3, den, m, wout&
      , last, VB_last)
    case(VFaFS0)
      call treeVFaFS(ty, co, w1, P1, PL1, w2, P2, PL2, w3, P3, PL3, den, m,    &
      wout, last, VB_last)
    case(SVFFa0)
      call treeSVFFa(ty, co, w1, P1, PL1, w2, P2, PL2, w3, P3, PL3, den, m,    &
      wout, last, VB_last)
    case(FVFaS0)
      call treeFVFaS(ty, co, w1, P1, PL1, w2, P2, PL2, w3, P3, PL3, den, m,    &
      wout, last, VB_last)
    case(VFSFa0)
      call treeVFSFa(ty, co, w1, P1, PL1, w2, P2, PL2, w3, P3, PL3, den, m,    &
      wout, last, VB_last)
    case(SSSS0)
      call treeSSSS(ty, co, w1, P1, PL1, w2, P2, PL2, w3, P3, PL3, den, m, wout&
      , last, VB_last)
    case(VVVS0)
      call treeVVVS(ty, co, w1, P1, PL1, w2, P2, PL2, w3, P3, PL3, den, m, wout&
      , last, VB_last)
    case(VSVV0)
      call treeVSVV(ty, co, w1, P1, PL1, w2, P2, PL2, w3, P3, PL3, den, m, wout&
      , last, VB_last)
    case(SVSV0)
      call treeSVSV(ty, co, w1, P1, PL1, w2, P2, PL2, w3, P3, PL3, den, m, wout&
      , last, VB_last)
    case(FSSFa0)
      call treeFSSFa(ty, co, w1, P1, PL1, w2, P2, PL2, w3, P3, PL3, den, m,    &
      wout, last, VB_last)
    case(VSSV0)
      call treeVSSV(ty, co, w1, P1, PL1, w2, P2, PL2, w3, P3, PL3, den, m, wout&
      , last, VB_last)
    case(SFaFV0)
      call treeSFaFV(ty, co, w1, P1, PL1, w2, P2, PL2, w3, P3, PL3, den, m,    &
      wout, last, VB_last)
    case(FFaVS0)
      call treeFFaVS(ty, co, w1, P1, PL1, w2, P2, PL2, w3, P3, PL3, den, m,    &
      wout, last, VB_last)
    case(FaSVF0)
      call treeFaSVF(ty, co, w1, P1, PL1, w2, P2, PL2, w3, P3, PL3, den, m,    &
      wout, last, VB_last)
    case(VVSS0)
      call treeVVSS(ty, co, w1, P1, PL1, w2, P2, PL2, w3, P3, PL3, den, m, wout&
      , last, VB_last)
    case(VSFFa0)
      call treeVSFFa(ty, co, w1, P1, PL1, w2, P2, PL2, w3, P3, PL3, den, m,    &
      wout, last, VB_last)
    case(FaFVS0)
      call treeFaFVS(ty, co, w1, P1, PL1, w2, P2, PL2, w3, P3, PL3, den, m,    &
      wout, last, VB_last)
    case(SFFaS0)
      call treeSFFaS(ty, co, w1, P1, PL1, w2, P2, PL2, w3, P3, PL3, den, m,    &
      wout, last, VB_last)
    case(FSFaV0)
      call treeFSFaV(ty, co, w1, P1, PL1, w2, P2, PL2, w3, P3, PL3, den, m,    &
      wout, last, VB_last)
    case(SFaSF0)
      call treeSFaSF(ty, co, w1, P1, PL1, w2, P2, PL2, w3, P3, PL3, den, m,    &
      wout, last, VB_last)
    case(SVVS0)
      call treeSVVS(ty, co, w1, P1, PL1, w2, P2, PL2, w3, P3, PL3, den, m, wout&
      , last, VB_last)
    case(FaSSF0)
      call treeFaSSF(ty, co, w1, P1, PL1, w2, P2, PL2, w3, P3, PL3, den, m,    &
      wout, last, VB_last)
    case(VVVV0)
      call treeVVVV(ty, co, w1, P1, PL1, w2, P2, PL2, w3, P3, PL3, den, m, wout&
      , last, VB_last)
    case(FSVFa0)
      call treeFSVFa(ty, co, w1, P1, PL1, w2, P2, PL2, w3, P3, PL3, den, m,    &
      wout, last, VB_last)
    case(SFaVF0)
      call treeSFaVF(ty, co, w1, P1, PL1, w2, P2, PL2, w3, P3, PL3, den, m,    &
      wout, last, VB_last)
    case(FSFaS0)
      call treeFSFaS(ty, co, w1, P1, PL1, w2, P2, PL2, w3, P3, PL3, den, m,    &
      wout, last, VB_last)
    case(FaSFV0)
      call treeFaSFV(ty, co, w1, P1, PL1, w2, P2, PL2, w3, P3, PL3, den, m,    &
      wout, last, VB_last)
    case(VFFaS0)
      call treeVFFaS(ty, co, w1, P1, PL1, w2, P2, PL2, w3, P3, PL3, den, m,    &
      wout, last, VB_last)
    case(SSVV0)
      call treeSSVV(ty, co, w1, P1, PL1, w2, P2, PL2, w3, P3, PL3, den, m, wout&
      , last, VB_last)
    case(SSFFa0)
      call treeSSFFa(ty, co, w1, P1, PL1, w2, P2, PL2, w3, P3, PL3, den, m,    &
      wout, last, VB_last)
    case(SFSFa0)
      call treeSFSFa(ty, co, w1, P1, PL1, w2, P2, PL2, w3, P3, PL3, den, m,    &
      wout, last, VB_last)
    case(SVVV0)
      call treeSVVV(ty, co, w1, P1, PL1, w2, P2, PL2, w3, P3, PL3, den, m, wout&
      , last, VB_last)
    case default
      write(ty_str,'(i3)') ty
      call error_mdl('Unhandled case: ' // ty_str, where='compute_tree_mdl')
    end select 
    if (last .eqv. .false.) then
      wout(:) = cima * wout(:)/den
    else
      if (VB_last) wout(0) = - wout(0)
    end if 
  end subroutine computeTree4

  subroutine computeTree5(ty, co, w1, P1, PL1, w2, P2, PL2, w3, P3, PL3, w4, P4&
  , PL4, den, m, wout, last)
    use class_vertices
    integer, intent(in) :: ty
    logical :: VB_last
    logical, intent(in) :: last
    complex(kind=dp), dimension(0:), intent(in) :: co
    complex(kind=dp), intent(in), dimension(0:3) :: P1, PL1
    complex(kind=dp), intent(in), dimension(0:3) :: w1
    complex(kind=dp), intent(in), dimension(0:3) :: P2, PL2
    complex(kind=dp), intent(in), dimension(0:3) :: w2
    complex(kind=dp), intent(in), dimension(0:3) :: P3, PL3
    complex(kind=dp), intent(in), dimension(0:3) :: w3
    complex(kind=dp), intent(in), dimension(0:3) :: P4, PL4
    complex(kind=dp), intent(in), dimension(0:3) :: w4
    complex(kind=dp), intent(in) :: m
    complex(kind=dp), intent(in) :: den
    complex(kind=dp), dimension(0:3), intent(out) :: wout
    character(len=3) :: ty_str
    complex(kind=dp), dimension(0:3) :: pl, p

    wout(:) = 0.0d0
    VB_last = .false.

    select case(ty)
    case(VFaFSS0)
      call treeVFaFSS(ty, co, w1, P1, PL1, w2, P2, PL2, w3, P3, PL3, w4, P4,   &
      PL4, den, m, wout, last, VB_last)
    case(FaFSSV0)
      call treeFaFSSV(ty, co, w1, P1, PL1, w2, P2, PL2, w3, P3, PL3, w4, P4,   &
      PL4, den, m, wout, last, VB_last)
    case(VVSSS0)
      call treeVVSSS(ty, co, w1, P1, PL1, w2, P2, PL2, w3, P3, PL3, w4, P4, PL4&
      , den, m, wout, last, VB_last)
    case(VSFaFS0)
      call treeVSFaFS(ty, co, w1, P1, PL1, w2, P2, PL2, w3, P3, PL3, w4, P4,   &
      PL4, den, m, wout, last, VB_last)
    case(SVFaFS0)
      call treeSVFaFS(ty, co, w1, P1, PL1, w2, P2, PL2, w3, P3, PL3, w4, P4,   &
      PL4, den, m, wout, last, VB_last)
    case(FaSVFS0)
      call treeFaSVFS(ty, co, w1, P1, PL1, w2, P2, PL2, w3, P3, PL3, w4, P4,   &
      PL4, den, m, wout, last, VB_last)
    case(SSVVS0)
      call treeSSVVS(ty, co, w1, P1, PL1, w2, P2, PL2, w3, P3, PL3, w4, P4, PL4&
      , den, m, wout, last, VB_last)
    case(SVFaSF0)
      call treeSVFaSF(ty, co, w1, P1, PL1, w2, P2, PL2, w3, P3, PL3, w4, P4,   &
      PL4, den, m, wout, last, VB_last)
    case(VFFaSS0)
      call treeVFFaSS(ty, co, w1, P1, PL1, w2, P2, PL2, w3, P3, PL3, w4, P4,   &
      PL4, den, m, wout, last, VB_last)
    case(VFaSSF0)
      call treeVFaSSF(ty, co, w1, P1, PL1, w2, P2, PL2, w3, P3, PL3, w4, P4,   &
      PL4, den, m, wout, last, VB_last)
    case(SSVFFa0)
      call treeSSVFFa(ty, co, w1, P1, PL1, w2, P2, PL2, w3, P3, PL3, w4, P4,   &
      PL4, den, m, wout, last, VB_last)
    case(VVVSS0)
      call treeVVVSS(ty, co, w1, P1, PL1, w2, P2, PL2, w3, P3, PL3, w4, P4, PL4&
      , den, m, wout, last, VB_last)
    case(VSSVV0)
      call treeVSSVV(ty, co, w1, P1, PL1, w2, P2, PL2, w3, P3, PL3, w4, P4, PL4&
      , den, m, wout, last, VB_last)
    case(FaVSFS0)
      call treeFaVSFS(ty, co, w1, P1, PL1, w2, P2, PL2, w3, P3, PL3, w4, P4,   &
      PL4, den, m, wout, last, VB_last)
    case(VVVVS0, VVVVS1)
      call treeVVVVS(ty, co, w1, P1, PL1, w2, P2, PL2, w3, P3, PL3, w4, P4, PL4&
      , den, m, wout, last, VB_last)
    case(FSVFaS0)
      call treeFSVFaS(ty, co, w1, P1, PL1, w2, P2, PL2, w3, P3, PL3, w4, P4,   &
      PL4, den, m, wout, last, VB_last)
    case(SFFaVS0)
      call treeSFFaVS(ty, co, w1, P1, PL1, w2, P2, PL2, w3, P3, PL3, w4, P4,   &
      PL4, den, m, wout, last, VB_last)
    case(VSSFaF0)
      call treeVSSFaF(ty, co, w1, P1, PL1, w2, P2, PL2, w3, P3, PL3, w4, P4,   &
      PL4, den, m, wout, last, VB_last)
    case(SFVFaS0)
      call treeSFVFaS(ty, co, w1, P1, PL1, w2, P2, PL2, w3, P3, PL3, w4, P4,   &
      PL4, den, m, wout, last, VB_last)
    case(VSVSS0)
      call treeVSVSS(ty, co, w1, P1, PL1, w2, P2, PL2, w3, P3, PL3, w4, P4, PL4&
      , den, m, wout, last, VB_last)
    case(VFSSFa0)
      call treeVFSSFa(ty, co, w1, P1, PL1, w2, P2, PL2, w3, P3, PL3, w4, P4,   &
      PL4, den, m, wout, last, VB_last)
    case(SSVFaF0)
      call treeSSVFaF(ty, co, w1, P1, PL1, w2, P2, PL2, w3, P3, PL3, w4, P4,   &
      PL4, den, m, wout, last, VB_last)
    case(SSVVV0)
      call treeSSVVV(ty, co, w1, P1, PL1, w2, P2, PL2, w3, P3, PL3, w4, P4, PL4&
      , den, m, wout, last, VB_last)
    case(FaFSVS0)
      call treeFaFSVS(ty, co, w1, P1, PL1, w2, P2, PL2, w3, P3, PL3, w4, P4,   &
      PL4, den, m, wout, last, VB_last)
    case(SSFaFV0)
      call treeSSFaFV(ty, co, w1, P1, PL1, w2, P2, PL2, w3, P3, PL3, w4, P4,   &
      PL4, den, m, wout, last, VB_last)
    case(SVVSS0)
      call treeSVVSS(ty, co, w1, P1, PL1, w2, P2, PL2, w3, P3, PL3, w4, P4, PL4&
      , den, m, wout, last, VB_last)
    case(VSFSFa0)
      call treeVSFSFa(ty, co, w1, P1, PL1, w2, P2, PL2, w3, P3, PL3, w4, P4,   &
      PL4, den, m, wout, last, VB_last)
    case(VSVSV0)
      call treeVSVSV(ty, co, w1, P1, PL1, w2, P2, PL2, w3, P3, PL3, w4, P4, PL4&
      , den, m, wout, last, VB_last)
    case(VVSSV0)
      call treeVVSSV(ty, co, w1, P1, PL1, w2, P2, PL2, w3, P3, PL3, w4, P4, PL4&
      , den, m, wout, last, VB_last)
    case(SFVSFa0)
      call treeSFVSFa(ty, co, w1, P1, PL1, w2, P2, PL2, w3, P3, PL3, w4, P4,   &
      PL4, den, m, wout, last, VB_last)
    case(VSFFaS0)
      call treeVSFFaS(ty, co, w1, P1, PL1, w2, P2, PL2, w3, P3, PL3, w4, P4,   &
      PL4, den, m, wout, last, VB_last)
    case(SVSVS0)
      call treeSVSVS(ty, co, w1, P1, PL1, w2, P2, PL2, w3, P3, PL3, w4, P4, PL4&
      , den, m, wout, last, VB_last)
    case(FFaSVS0)
      call treeFFaSVS(ty, co, w1, P1, PL1, w2, P2, PL2, w3, P3, PL3, w4, P4,   &
      PL4, den, m, wout, last, VB_last)
    case(SFaFVS0)
      call treeSFaFVS(ty, co, w1, P1, PL1, w2, P2, PL2, w3, P3, PL3, w4, P4,   &
      PL4, den, m, wout, last, VB_last)
    case(VSSFFa0)
      call treeVSSFFa(ty, co, w1, P1, PL1, w2, P2, PL2, w3, P3, PL3, w4, P4,   &
      PL4, den, m, wout, last, VB_last)
    case(SVVVS0)
      call treeSVVVS(ty, co, w1, P1, PL1, w2, P2, PL2, w3, P3, PL3, w4, P4, PL4&
      , den, m, wout, last, VB_last)
    case(SFaSFV0)
      call treeSFaSFV(ty, co, w1, P1, PL1, w2, P2, PL2, w3, P3, PL3, w4, P4,   &
      PL4, den, m, wout, last, VB_last)
    case(SFSFaV0)
      call treeSFSFaV(ty, co, w1, P1, PL1, w2, P2, PL2, w3, P3, PL3, w4, P4,   &
      PL4, den, m, wout, last, VB_last)
    case(SSFVFa0)
      call treeSSFVFa(ty, co, w1, P1, PL1, w2, P2, PL2, w3, P3, PL3, w4, P4,   &
      PL4, den, m, wout, last, VB_last)
    case(FSFaVS0)
      call treeFSFaVS(ty, co, w1, P1, PL1, w2, P2, PL2, w3, P3, PL3, w4, P4,   &
      PL4, den, m, wout, last, VB_last)
    case(VSSVS0)
      call treeVSSVS(ty, co, w1, P1, PL1, w2, P2, PL2, w3, P3, PL3, w4, P4, PL4&
      , den, m, wout, last, VB_last)
    case(SVSFaF0)
      call treeSVSFaF(ty, co, w1, P1, PL1, w2, P2, PL2, w3, P3, PL3, w4, P4,   &
      PL4, den, m, wout, last, VB_last)
    case(FVSSFa0)
      call treeFVSSFa(ty, co, w1, P1, PL1, w2, P2, PL2, w3, P3, PL3, w4, P4,   &
      PL4, den, m, wout, last, VB_last)
    case(SSFFaV0)
      call treeSSFFaV(ty, co, w1, P1, PL1, w2, P2, PL2, w3, P3, PL3, w4, P4,   &
      PL4, den, m, wout, last, VB_last)
    case(SVSVV0)
      call treeSVSVV(ty, co, w1, P1, PL1, w2, P2, PL2, w3, P3, PL3, w4, P4, PL4&
      , den, m, wout, last, VB_last)
    case(SFaFSV0)
      call treeSFaFSV(ty, co, w1, P1, PL1, w2, P2, PL2, w3, P3, PL3, w4, P4,   &
      PL4, den, m, wout, last, VB_last)
    case(FaSSFV0)
      call treeFaSSFV(ty, co, w1, P1, PL1, w2, P2, PL2, w3, P3, PL3, w4, P4,   &
      PL4, den, m, wout, last, VB_last)
    case(VVVSV0, VVVSV1)
      call treeVVVSV(ty, co, w1, P1, PL1, w2, P2, PL2, w3, P3, PL3, w4, P4, PL4&
      , den, m, wout, last, VB_last)
    case(FaVSSF0)
      call treeFaVSSF(ty, co, w1, P1, PL1, w2, P2, PL2, w3, P3, PL3, w4, P4,   &
      PL4, den, m, wout, last, VB_last)
    case(VSFaSF0)
      call treeVSFaSF(ty, co, w1, P1, PL1, w2, P2, PL2, w3, P3, PL3, w4, P4,   &
      PL4, den, m, wout, last, VB_last)
    case(VSVVS0)
      call treeVSVVS(ty, co, w1, P1, PL1, w2, P2, PL2, w3, P3, PL3, w4, P4, PL4&
      , den, m, wout, last, VB_last)
    case(VSSSV0)
      call treeVSSSV(ty, co, w1, P1, PL1, w2, P2, PL2, w3, P3, PL3, w4, P4, PL4&
      , den, m, wout, last, VB_last)
    case(SVFSFa0)
      call treeSVFSFa(ty, co, w1, P1, PL1, w2, P2, PL2, w3, P3, PL3, w4, P4,   &
      PL4, den, m, wout, last, VB_last)
    case(SSSVV0)
      call treeSSSVV(ty, co, w1, P1, PL1, w2, P2, PL2, w3, P3, PL3, w4, P4, PL4&
      , den, m, wout, last, VB_last)
    case(FSSFaV0)
      call treeFSSFaV(ty, co, w1, P1, PL1, w2, P2, PL2, w3, P3, PL3, w4, P4,   &
      PL4, den, m, wout, last, VB_last)
    case(SFaSVF0)
      call treeSFaSVF(ty, co, w1, P1, PL1, w2, P2, PL2, w3, P3, PL3, w4, P4,   &
      PL4, den, m, wout, last, VB_last)
    case(FaFVSS0)
      call treeFaFVSS(ty, co, w1, P1, PL1, w2, P2, PL2, w3, P3, PL3, w4, P4,   &
      PL4, den, m, wout, last, VB_last)
    case(SFaVSF0)
      call treeSFaVSF(ty, co, w1, P1, PL1, w2, P2, PL2, w3, P3, PL3, w4, P4,   &
      PL4, den, m, wout, last, VB_last)
    case(SVVSV0)
      call treeSVVSV(ty, co, w1, P1, PL1, w2, P2, PL2, w3, P3, PL3, w4, P4, PL4&
      , den, m, wout, last, VB_last)
    case(FaSVSF0)
      call treeFaSVSF(ty, co, w1, P1, PL1, w2, P2, PL2, w3, P3, PL3, w4, P4,   &
      PL4, den, m, wout, last, VB_last)
    case(FSSVFa0)
      call treeFSSVFa(ty, co, w1, P1, PL1, w2, P2, PL2, w3, P3, PL3, w4, P4,   &
      PL4, den, m, wout, last, VB_last)
    case(SVFFaS0)
      call treeSVFFaS(ty, co, w1, P1, PL1, w2, P2, PL2, w3, P3, PL3, w4, P4,   &
      PL4, den, m, wout, last, VB_last)
    case(VVSVV0, VVSVV1)
      call treeVVSVV(ty, co, w1, P1, PL1, w2, P2, PL2, w3, P3, PL3, w4, P4, PL4&
      , den, m, wout, last, VB_last)
    case(SVVVV0, SVVVV1)
      call treeSVVVV(ty, co, w1, P1, PL1, w2, P2, PL2, w3, P3, PL3, w4, P4, PL4&
      , den, m, wout, last, VB_last)
    case(VFSFaS0)
      call treeVFSFaS(ty, co, w1, P1, PL1, w2, P2, PL2, w3, P3, PL3, w4, P4,   &
      PL4, den, m, wout, last, VB_last)
    case(SFFaSV0)
      call treeSFFaSV(ty, co, w1, P1, PL1, w2, P2, PL2, w3, P3, PL3, w4, P4,   &
      PL4, den, m, wout, last, VB_last)
    case(SSVSV0)
      call treeSSVSV(ty, co, w1, P1, PL1, w2, P2, PL2, w3, P3, PL3, w4, P4, PL4&
      , den, m, wout, last, VB_last)
    case(FVFaSS0)
      call treeFVFaSS(ty, co, w1, P1, PL1, w2, P2, PL2, w3, P3, PL3, w4, P4,   &
      PL4, den, m, wout, last, VB_last)
    case(VVSVS0)
      call treeVVSVS(ty, co, w1, P1, PL1, w2, P2, PL2, w3, P3, PL3, w4, P4, PL4&
      , den, m, wout, last, VB_last)
    case(FaVFSS0)
      call treeFaVFSS(ty, co, w1, P1, PL1, w2, P2, PL2, w3, P3, PL3, w4, P4,   &
      PL4, den, m, wout, last, VB_last)
    case(SFSVFa0)
      call treeSFSVFa(ty, co, w1, P1, PL1, w2, P2, PL2, w3, P3, PL3, w4, P4,   &
      PL4, den, m, wout, last, VB_last)
    case(FFaVSS0)
      call treeFFaVSS(ty, co, w1, P1, PL1, w2, P2, PL2, w3, P3, PL3, w4, P4,   &
      PL4, den, m, wout, last, VB_last)
    case(FFaSSV0)
      call treeFFaSSV(ty, co, w1, P1, PL1, w2, P2, PL2, w3, P3, PL3, w4, P4,   &
      PL4, den, m, wout, last, VB_last)
    case(FVSFaS0)
      call treeFVSFaS(ty, co, w1, P1, PL1, w2, P2, PL2, w3, P3, PL3, w4, P4,   &
      PL4, den, m, wout, last, VB_last)
    case(FaSSVF0)
      call treeFaSSVF(ty, co, w1, P1, PL1, w2, P2, PL2, w3, P3, PL3, w4, P4,   &
      PL4, den, m, wout, last, VB_last)
    case(FaSFSV0)
      call treeFaSFSV(ty, co, w1, P1, PL1, w2, P2, PL2, w3, P3, PL3, w4, P4,   &
      PL4, den, m, wout, last, VB_last)
    case(FSFaSV0)
      call treeFSFaSV(ty, co, w1, P1, PL1, w2, P2, PL2, w3, P3, PL3, w4, P4,   &
      PL4, den, m, wout, last, VB_last)
    case(SVSFFa0)
      call treeSVSFFa(ty, co, w1, P1, PL1, w2, P2, PL2, w3, P3, PL3, w4, P4,   &
      PL4, den, m, wout, last, VB_last)
    case(VSVVV0, VSVVV1)
      call treeVSVVV(ty, co, w1, P1, PL1, w2, P2, PL2, w3, P3, PL3, w4, P4, PL4&
      , den, m, wout, last, VB_last)
    case(VFaSFS0)
      call treeVFaSFS(ty, co, w1, P1, PL1, w2, P2, PL2, w3, P3, PL3, w4, P4,   &
      PL4, den, m, wout, last, VB_last)
    case(FaSFVS0)
      call treeFaSFVS(ty, co, w1, P1, PL1, w2, P2, PL2, w3, P3, PL3, w4, P4,   &
      PL4, den, m, wout, last, VB_last)
    case(SVSSV0)
      call treeSVSSV(ty, co, w1, P1, PL1, w2, P2, PL2, w3, P3, PL3, w4, P4, PL4&
      , den, m, wout, last, VB_last)
    case(FSVSFa0)
      call treeFSVSFa(ty, co, w1, P1, PL1, w2, P2, PL2, w3, P3, PL3, w4, P4,   &
      PL4, den, m, wout, last, VB_last)
    case(SSFaVF0)
      call treeSSFaVF(ty, co, w1, P1, PL1, w2, P2, PL2, w3, P3, PL3, w4, P4,   &
      PL4, den, m, wout, last, VB_last)
    case(SFaVFS0)
      call treeSFaVFS(ty, co, w1, P1, PL1, w2, P2, PL2, w3, P3, PL3, w4, P4,   &
      PL4, den, m, wout, last, VB_last)
    case default
      write(ty_str,'(i3)') ty
      call error_mdl('Unhandled case: ' // ty_str, where='compute_tree_mdl')
    end select 
    if (last .eqv. .false.) then
      wout(:) = cima * wout(:)/den
    else
      if (VB_last) wout(0) = - wout(0)
    end if 
  end subroutine computeTree5

  subroutine computeTree6(ty, co, w1, P1, PL1, w2, P2, PL2, w3, P3, PL3, w4, P4&
  , PL4, w5, P5, PL5, den, m, wout, last)
    use class_vertices
    integer, intent(in) :: ty
    logical :: VB_last
    logical, intent(in) :: last
    complex(kind=dp), dimension(0:), intent(in) :: co
    complex(kind=dp), intent(in), dimension(0:3) :: P1, PL1
    complex(kind=dp), intent(in), dimension(0:3) :: w1
    complex(kind=dp), intent(in), dimension(0:3) :: P2, PL2
    complex(kind=dp), intent(in), dimension(0:3) :: w2
    complex(kind=dp), intent(in), dimension(0:3) :: P3, PL3
    complex(kind=dp), intent(in), dimension(0:3) :: w3
    complex(kind=dp), intent(in), dimension(0:3) :: P4, PL4
    complex(kind=dp), intent(in), dimension(0:3) :: w4
    complex(kind=dp), intent(in), dimension(0:3) :: P5, PL5
    complex(kind=dp), intent(in), dimension(0:3) :: w5
    complex(kind=dp), intent(in) :: m
    complex(kind=dp), intent(in) :: den
    complex(kind=dp), dimension(0:3), intent(out) :: wout
    character(len=3) :: ty_str
    complex(kind=dp), dimension(0:3) :: pl, p

    wout(:) = 0.0d0
    VB_last = .false.

    select case(ty)
    case(SVSSVV0)
      call treeSVSSVV(ty, co, w1, P1, PL1, w2, P2, PL2, w3, P3, PL3, w4, P4,   &
      PL4, w5, P5, PL5, den, m, wout, last, VB_last)
    case(VVSVSV0)
      call treeVVSVSV(ty, co, w1, P1, PL1, w2, P2, PL2, w3, P3, PL3, w4, P4,   &
      PL4, w5, P5, PL5, den, m, wout, last, VB_last)
    case(SSSVVV0)
      call treeSSSVVV(ty, co, w1, P1, PL1, w2, P2, PL2, w3, P3, PL3, w4, P4,   &
      PL4, w5, P5, PL5, den, m, wout, last, VB_last)
    case(VSVSVS0)
      call treeVSVSVS(ty, co, w1, P1, PL1, w2, P2, PL2, w3, P3, PL3, w4, P4,   &
      PL4, w5, P5, PL5, den, m, wout, last, VB_last)
    case(VVSVVS0)
      call treeVVSVVS(ty, co, w1, P1, PL1, w2, P2, PL2, w3, P3, PL3, w4, P4,   &
      PL4, w5, P5, PL5, den, m, wout, last, VB_last)
    case(VSVVSV0)
      call treeVSVVSV(ty, co, w1, P1, PL1, w2, P2, PL2, w3, P3, PL3, w4, P4,   &
      PL4, w5, P5, PL5, den, m, wout, last, VB_last)
    case(SVSVSV0)
      call treeSVSVSV(ty, co, w1, P1, PL1, w2, P2, PL2, w3, P3, PL3, w4, P4,   &
      PL4, w5, P5, PL5, den, m, wout, last, VB_last)
    case(SVVVVS0)
      call treeSVVVVS(ty, co, w1, P1, PL1, w2, P2, PL2, w3, P3, PL3, w4, P4,   &
      PL4, w5, P5, PL5, den, m, wout, last, VB_last)
    case(VSVVSS0)
      call treeVSVVSS(ty, co, w1, P1, PL1, w2, P2, PL2, w3, P3, PL3, w4, P4,   &
      PL4, w5, P5, PL5, den, m, wout, last, VB_last)
    case(SSVVSV0)
      call treeSSVVSV(ty, co, w1, P1, PL1, w2, P2, PL2, w3, P3, PL3, w4, P4,   &
      PL4, w5, P5, PL5, den, m, wout, last, VB_last)
    case(SVVVSV0)
      call treeSVVVSV(ty, co, w1, P1, PL1, w2, P2, PL2, w3, P3, PL3, w4, P4,   &
      PL4, w5, P5, PL5, den, m, wout, last, VB_last)
    case(VVSSVS0)
      call treeVVSSVS(ty, co, w1, P1, PL1, w2, P2, PL2, w3, P3, PL3, w4, P4,   &
      PL4, w5, P5, PL5, den, m, wout, last, VB_last)
    case(VVVSSS0)
      call treeVVVSSS(ty, co, w1, P1, PL1, w2, P2, PL2, w3, P3, PL3, w4, P4,   &
      PL4, w5, P5, PL5, den, m, wout, last, VB_last)
    case(VSSSVV0)
      call treeVSSSVV(ty, co, w1, P1, PL1, w2, P2, PL2, w3, P3, PL3, w4, P4,   &
      PL4, w5, P5, PL5, den, m, wout, last, VB_last)
    case(SVVSVV0)
      call treeSVVSVV(ty, co, w1, P1, PL1, w2, P2, PL2, w3, P3, PL3, w4, P4,   &
      PL4, w5, P5, PL5, den, m, wout, last, VB_last)
    case(SVVVSS0)
      call treeSVVVSS(ty, co, w1, P1, PL1, w2, P2, PL2, w3, P3, PL3, w4, P4,   &
      PL4, w5, P5, PL5, den, m, wout, last, VB_last)
    case(SVSVVS0)
      call treeSVSVVS(ty, co, w1, P1, PL1, w2, P2, PL2, w3, P3, PL3, w4, P4,   &
      PL4, w5, P5, PL5, den, m, wout, last, VB_last)
    case(VSVSVV0)
      call treeVSVSVV(ty, co, w1, P1, PL1, w2, P2, PL2, w3, P3, PL3, w4, P4,   &
      PL4, w5, P5, PL5, den, m, wout, last, VB_last)
    case(SSVVVS0)
      call treeSSVVVS(ty, co, w1, P1, PL1, w2, P2, PL2, w3, P3, PL3, w4, P4,   &
      PL4, w5, P5, PL5, den, m, wout, last, VB_last)
    case(SSVSVV0)
      call treeSSVSVV(ty, co, w1, P1, PL1, w2, P2, PL2, w3, P3, PL3, w4, P4,   &
      PL4, w5, P5, PL5, den, m, wout, last, VB_last)
    case(VSSVVS0)
      call treeVSSVVS(ty, co, w1, P1, PL1, w2, P2, PL2, w3, P3, PL3, w4, P4,   &
      PL4, w5, P5, PL5, den, m, wout, last, VB_last)
    case(SVVSVS0)
      call treeSVVSVS(ty, co, w1, P1, PL1, w2, P2, PL2, w3, P3, PL3, w4, P4,   &
      PL4, w5, P5, PL5, den, m, wout, last, VB_last)
    case(VSSVSV0)
      call treeVSSVSV(ty, co, w1, P1, PL1, w2, P2, PL2, w3, P3, PL3, w4, P4,   &
      PL4, w5, P5, PL5, den, m, wout, last, VB_last)
    case(VVSVSS0)
      call treeVVSVSS(ty, co, w1, P1, PL1, w2, P2, PL2, w3, P3, PL3, w4, P4,   &
      PL4, w5, P5, PL5, den, m, wout, last, VB_last)
    case(VSVSSV0)
      call treeVSVSSV(ty, co, w1, P1, PL1, w2, P2, PL2, w3, P3, PL3, w4, P4,   &
      PL4, w5, P5, PL5, den, m, wout, last, VB_last)
    case(VVSSSV0)
      call treeVVSSSV(ty, co, w1, P1, PL1, w2, P2, PL2, w3, P3, PL3, w4, P4,   &
      PL4, w5, P5, PL5, den, m, wout, last, VB_last)
    case(VVVSSV0)
      call treeVVVSSV(ty, co, w1, P1, PL1, w2, P2, PL2, w3, P3, PL3, w4, P4,   &
      PL4, w5, P5, PL5, den, m, wout, last, VB_last)
    case(VVVSVS0)
      call treeVVVSVS(ty, co, w1, P1, PL1, w2, P2, PL2, w3, P3, PL3, w4, P4,   &
      PL4, w5, P5, PL5, den, m, wout, last, VB_last)
    case(VVVVSS0)
      call treeVVVVSS(ty, co, w1, P1, PL1, w2, P2, PL2, w3, P3, PL3, w4, P4,   &
      PL4, w5, P5, PL5, den, m, wout, last, VB_last)
    case(SVSVVV0)
      call treeSVSVVV(ty, co, w1, P1, PL1, w2, P2, PL2, w3, P3, PL3, w4, P4,   &
      PL4, w5, P5, PL5, den, m, wout, last, VB_last)
    case(SVVSSV0)
      call treeSVVSSV(ty, co, w1, P1, PL1, w2, P2, PL2, w3, P3, PL3, w4, P4,   &
      PL4, w5, P5, PL5, den, m, wout, last, VB_last)
    case(VSVVVS0)
      call treeVSVVVS(ty, co, w1, P1, PL1, w2, P2, PL2, w3, P3, PL3, w4, P4,   &
      PL4, w5, P5, PL5, den, m, wout, last, VB_last)
    case(SSVVVV0)
      call treeSSVVVV(ty, co, w1, P1, PL1, w2, P2, PL2, w3, P3, PL3, w4, P4,   &
      PL4, w5, P5, PL5, den, m, wout, last, VB_last)
    case(VSSVVV0)
      call treeVSSVVV(ty, co, w1, P1, PL1, w2, P2, PL2, w3, P3, PL3, w4, P4,   &
      PL4, w5, P5, PL5, den, m, wout, last, VB_last)
    case(VVSSVV0)
      call treeVVSSVV(ty, co, w1, P1, PL1, w2, P2, PL2, w3, P3, PL3, w4, P4,   &
      PL4, w5, P5, PL5, den, m, wout, last, VB_last)
    case default
      write(ty_str,'(i3)') ty
      call error_mdl('Unhandled case: ' // ty_str, where='compute_tree_mdl')
    end select 
    if (last .eqv. .false.) then
      wout(:) = cima * wout(:)/den
    else
      if (VB_last) wout(0) = - wout(0)
    end if 
  end subroutine computeTree6

  subroutine computeTree7(ty, co, w1, P1, PL1, w2, P2, PL2, w3, P3, PL3, w4, P4&
  , PL4, w5, P5, PL5, w6, P6, PL6, den, m, wout, last)
    use class_vertices
    integer, intent(in) :: ty
    logical :: VB_last
    logical, intent(in) :: last
    complex(kind=dp), dimension(0:), intent(in) :: co
    complex(kind=dp), intent(in), dimension(0:3) :: P1, PL1
    complex(kind=dp), intent(in), dimension(0:3) :: w1
    complex(kind=dp), intent(in), dimension(0:3) :: P2, PL2
    complex(kind=dp), intent(in), dimension(0:3) :: w2
    complex(kind=dp), intent(in), dimension(0:3) :: P3, PL3
    complex(kind=dp), intent(in), dimension(0:3) :: w3
    complex(kind=dp), intent(in), dimension(0:3) :: P4, PL4
    complex(kind=dp), intent(in), dimension(0:3) :: w4
    complex(kind=dp), intent(in), dimension(0:3) :: P5, PL5
    complex(kind=dp), intent(in), dimension(0:3) :: w5
    complex(kind=dp), intent(in), dimension(0:3) :: P6, PL6
    complex(kind=dp), intent(in), dimension(0:3) :: w6
    complex(kind=dp), intent(in) :: m
    complex(kind=dp), intent(in) :: den
    complex(kind=dp), dimension(0:3), intent(out) :: wout
    character(len=3) :: ty_str
    complex(kind=dp), dimension(0:3) :: pl, p

    wout(:) = 0.0d0
    VB_last = .false.

    select case(ty)
    case(VSVSVVS0)
      call treeVSVSVVS(ty, co, w1, P1, PL1, w2, P2, PL2, w3, P3, PL3, w4, P4,  &
      PL4, w5, P5, PL5, w6, P6, PL6, den, m, wout, last, VB_last)
    case(SVVVSSV0)
      call treeSVVVSSV(ty, co, w1, P1, PL1, w2, P2, PL2, w3, P3, PL3, w4, P4,  &
      PL4, w5, P5, PL5, w6, P6, PL6, den, m, wout, last, VB_last)
    case(SVSVVSV0)
      call treeSVSVVSV(ty, co, w1, P1, PL1, w2, P2, PL2, w3, P3, PL3, w4, P4,  &
      PL4, w5, P5, PL5, w6, P6, PL6, den, m, wout, last, VB_last)
    case(SSSVVVV0)
      call treeSSSVVVV(ty, co, w1, P1, PL1, w2, P2, PL2, w3, P3, PL3, w4, P4,  &
      PL4, w5, P5, PL5, w6, P6, PL6, den, m, wout, last, VB_last)
    case(VSVVSVS0)
      call treeVSVVSVS(ty, co, w1, P1, PL1, w2, P2, PL2, w3, P3, PL3, w4, P4,  &
      PL4, w5, P5, PL5, w6, P6, PL6, den, m, wout, last, VB_last)
    case(VVVSSSV0)
      call treeVVVSSSV(ty, co, w1, P1, PL1, w2, P2, PL2, w3, P3, PL3, w4, P4,  &
      PL4, w5, P5, PL5, w6, P6, PL6, den, m, wout, last, VB_last)
    case(VVVSSVS0)
      call treeVVVSSVS(ty, co, w1, P1, PL1, w2, P2, PL2, w3, P3, PL3, w4, P4,  &
      PL4, w5, P5, PL5, w6, P6, PL6, den, m, wout, last, VB_last)
    case(SVVVVSS0)
      call treeSVVVVSS(ty, co, w1, P1, PL1, w2, P2, PL2, w3, P3, PL3, w4, P4,  &
      PL4, w5, P5, PL5, w6, P6, PL6, den, m, wout, last, VB_last)
    case(VSSVVSV0)
      call treeVSSVVSV(ty, co, w1, P1, PL1, w2, P2, PL2, w3, P3, PL3, w4, P4,  &
      PL4, w5, P5, PL5, w6, P6, PL6, den, m, wout, last, VB_last)
    case(VVSSVVS0)
      call treeVVSSVVS(ty, co, w1, P1, PL1, w2, P2, PL2, w3, P3, PL3, w4, P4,  &
      PL4, w5, P5, PL5, w6, P6, PL6, den, m, wout, last, VB_last)
    case(VVSVSVS0)
      call treeVVSVSVS(ty, co, w1, P1, PL1, w2, P2, PL2, w3, P3, PL3, w4, P4,  &
      PL4, w5, P5, PL5, w6, P6, PL6, den, m, wout, last, VB_last)
    case(VSSVSVV0)
      call treeVSSVSVV(ty, co, w1, P1, PL1, w2, P2, PL2, w3, P3, PL3, w4, P4,  &
      PL4, w5, P5, PL5, w6, P6, PL6, den, m, wout, last, VB_last)
    case(SSVVVSV0)
      call treeSSVVVSV(ty, co, w1, P1, PL1, w2, P2, PL2, w3, P3, PL3, w4, P4,  &
      PL4, w5, P5, PL5, w6, P6, PL6, den, m, wout, last, VB_last)
    case(SVSSVVV0)
      call treeSVSSVVV(ty, co, w1, P1, PL1, w2, P2, PL2, w3, P3, PL3, w4, P4,  &
      PL4, w5, P5, PL5, w6, P6, PL6, den, m, wout, last, VB_last)
    case(SSVVVVS0)
      call treeSSVVVVS(ty, co, w1, P1, PL1, w2, P2, PL2, w3, P3, PL3, w4, P4,  &
      PL4, w5, P5, PL5, w6, P6, PL6, den, m, wout, last, VB_last)
    case(VVVSVSS0)
      call treeVVVSVSS(ty, co, w1, P1, PL1, w2, P2, PL2, w3, P3, PL3, w4, P4,  &
      PL4, w5, P5, PL5, w6, P6, PL6, den, m, wout, last, VB_last)
    case(SSVVSVV0)
      call treeSSVVSVV(ty, co, w1, P1, PL1, w2, P2, PL2, w3, P3, PL3, w4, P4,  &
      PL4, w5, P5, PL5, w6, P6, PL6, den, m, wout, last, VB_last)
    case(VVVVSSS0)
      call treeVVVVSSS(ty, co, w1, P1, PL1, w2, P2, PL2, w3, P3, PL3, w4, P4,  &
      PL4, w5, P5, PL5, w6, P6, PL6, den, m, wout, last, VB_last)
    case(SVVSVVS0)
      call treeSVVSVVS(ty, co, w1, P1, PL1, w2, P2, PL2, w3, P3, PL3, w4, P4,  &
      PL4, w5, P5, PL5, w6, P6, PL6, den, m, wout, last, VB_last)
    case(SVVSSVV0)
      call treeSVVSSVV(ty, co, w1, P1, PL1, w2, P2, PL2, w3, P3, PL3, w4, P4,  &
      PL4, w5, P5, PL5, w6, P6, PL6, den, m, wout, last, VB_last)
    case(SVSVSVV0)
      call treeSVSVSVV(ty, co, w1, P1, PL1, w2, P2, PL2, w3, P3, PL3, w4, P4,  &
      PL4, w5, P5, PL5, w6, P6, PL6, den, m, wout, last, VB_last)
    case(VSSSVVV0)
      call treeVSSSVVV(ty, co, w1, P1, PL1, w2, P2, PL2, w3, P3, PL3, w4, P4,  &
      PL4, w5, P5, PL5, w6, P6, PL6, den, m, wout, last, VB_last)
    case(SVVSVSV0)
      call treeSVVSVSV(ty, co, w1, P1, PL1, w2, P2, PL2, w3, P3, PL3, w4, P4,  &
      PL4, w5, P5, PL5, w6, P6, PL6, den, m, wout, last, VB_last)
    case(VSVVVSS0)
      call treeVSVVVSS(ty, co, w1, P1, PL1, w2, P2, PL2, w3, P3, PL3, w4, P4,  &
      PL4, w5, P5, PL5, w6, P6, PL6, den, m, wout, last, VB_last)
    case(VVSVSSV0)
      call treeVVSVSSV(ty, co, w1, P1, PL1, w2, P2, PL2, w3, P3, PL3, w4, P4,  &
      PL4, w5, P5, PL5, w6, P6, PL6, den, m, wout, last, VB_last)
    case(SVSVVVS0)
      call treeSVSVVVS(ty, co, w1, P1, PL1, w2, P2, PL2, w3, P3, PL3, w4, P4,  &
      PL4, w5, P5, PL5, w6, P6, PL6, den, m, wout, last, VB_last)
    case(VVSVVSS0)
      call treeVVSVVSS(ty, co, w1, P1, PL1, w2, P2, PL2, w3, P3, PL3, w4, P4,  &
      PL4, w5, P5, PL5, w6, P6, PL6, den, m, wout, last, VB_last)
    case(VSSVVVS0)
      call treeVSSVVVS(ty, co, w1, P1, PL1, w2, P2, PL2, w3, P3, PL3, w4, P4,  &
      PL4, w5, P5, PL5, w6, P6, PL6, den, m, wout, last, VB_last)
    case(VSVSVSV0)
      call treeVSVSVSV(ty, co, w1, P1, PL1, w2, P2, PL2, w3, P3, PL3, w4, P4,  &
      PL4, w5, P5, PL5, w6, P6, PL6, den, m, wout, last, VB_last)
    case(SSVSVVV0)
      call treeSSVSVVV(ty, co, w1, P1, PL1, w2, P2, PL2, w3, P3, PL3, w4, P4,  &
      PL4, w5, P5, PL5, w6, P6, PL6, den, m, wout, last, VB_last)
    case(VSVSSVV0)
      call treeVSVSSVV(ty, co, w1, P1, PL1, w2, P2, PL2, w3, P3, PL3, w4, P4,  &
      PL4, w5, P5, PL5, w6, P6, PL6, den, m, wout, last, VB_last)
    case(SVVVSVS0)
      call treeSVVVSVS(ty, co, w1, P1, PL1, w2, P2, PL2, w3, P3, PL3, w4, P4,  &
      PL4, w5, P5, PL5, w6, P6, PL6, den, m, wout, last, VB_last)
    case(VSVVSSV0)
      call treeVSVVSSV(ty, co, w1, P1, PL1, w2, P2, PL2, w3, P3, PL3, w4, P4,  &
      PL4, w5, P5, PL5, w6, P6, PL6, den, m, wout, last, VB_last)
    case(VVSSVSV0)
      call treeVVSSVSV(ty, co, w1, P1, PL1, w2, P2, PL2, w3, P3, PL3, w4, P4,  &
      PL4, w5, P5, PL5, w6, P6, PL6, den, m, wout, last, VB_last)
    case(VVSSSVV0)
      call treeVVSSSVV(ty, co, w1, P1, PL1, w2, P2, PL2, w3, P3, PL3, w4, P4,  &
      PL4, w5, P5, PL5, w6, P6, PL6, den, m, wout, last, VB_last)
    case default
      write(ty_str,'(i3)') ty
      call error_mdl('Unhandled case: ' // ty_str, where='compute_tree_mdl')
    end select 
    if (last .eqv. .false.) then
      wout(:) = cima * wout(:)/den
    else
      if (VB_last) wout(0) = - wout(0)
    end if 
  end subroutine computeTree7

  subroutine computeTree8(ty, co, w1, P1, PL1, w2, P2, PL2, w3, P3, PL3, w4, P4&
  , PL4, w5, P5, PL5, w6, P6, PL6, w7, P7, PL7, den, m, wout, last)
    use class_vertices
    integer, intent(in) :: ty
    logical :: VB_last
    logical, intent(in) :: last
    complex(kind=dp), dimension(0:), intent(in) :: co
    complex(kind=dp), intent(in), dimension(0:3) :: P1, PL1
    complex(kind=dp), intent(in), dimension(0:3) :: w1
    complex(kind=dp), intent(in), dimension(0:3) :: P2, PL2
    complex(kind=dp), intent(in), dimension(0:3) :: w2
    complex(kind=dp), intent(in), dimension(0:3) :: P3, PL3
    complex(kind=dp), intent(in), dimension(0:3) :: w3
    complex(kind=dp), intent(in), dimension(0:3) :: P4, PL4
    complex(kind=dp), intent(in), dimension(0:3) :: w4
    complex(kind=dp), intent(in), dimension(0:3) :: P5, PL5
    complex(kind=dp), intent(in), dimension(0:3) :: w5
    complex(kind=dp), intent(in), dimension(0:3) :: P6, PL6
    complex(kind=dp), intent(in), dimension(0:3) :: w6
    complex(kind=dp), intent(in), dimension(0:3) :: P7, PL7
    complex(kind=dp), intent(in), dimension(0:3) :: w7
    complex(kind=dp), intent(in) :: m
    complex(kind=dp), intent(in) :: den
    complex(kind=dp), dimension(0:3), intent(out) :: wout
    character(len=3) :: ty_str
    complex(kind=dp), dimension(0:3) :: pl, p

    wout(:) = 0.0d0
    VB_last = .false.

    select case(ty)
    case default
      write(ty_str,'(i3)') ty
      call error_mdl('Unhandled case: ' // ty_str, where='compute_tree_mdl')
    end select 
    if (last .eqv. .false.) then
      wout(:) = cima * wout(:)/den
    else
      if (VB_last) wout(0) = - wout(0)
    end if 
  end subroutine computeTree8

  subroutine helicity_conservation_mdl(fheT, typeT, fhfilter, j, w, wOut, ml,  &
  last_tl)
    use class_vertices
    integer, dimension(0:), intent(inout) :: fheT
    logical, dimension(:), intent(inout) :: fhfilter
    integer, intent(in), dimension(:) :: w
    integer, intent(in) :: wOut, typeT, j
    logical, intent(in) :: ml, last_tl
    integer, parameter :: pos_hel = 1
    integer, parameter :: neg_hel = -1
    integer, parameter :: unpol = 0
    integer, parameter :: zero_current = 3
    integer, parameter :: not_set = 111

    select case(typeT)
    case(FFaS0)
      fheT(wOut) = unpol
    case(VSFSFa0)
      if (ml .and. fheT(w(3)) .eq. pos_hel) then
        fheT(wOut) = pos_hel
        if (last_tl) then
          fheT(wOut) = - fheT(wOut)
        end if 
      else if(ml .and. fheT(w(3)) .eq. neg_hel) then
        fheT(wOut) = neg_hel
        if (last_tl) then
          fheT(wOut) = - fheT(wOut)
        end if 
      else
        fheT(wOut) = unpol
      end if 
    case(SFaVFS0)
      if (fheT(w(2)) .eq. neg_hel .and. fheT(w(4)) .eq. neg_hel) then
        fhfilter(j) = .false.
        if (fheT(wOut) .eq. not_set) fheT(wOut) = zero_current
      else if(fheT(w(2)) .eq. pos_hel .and. fheT(w(4)) .eq. pos_hel) then
        fhfilter(j) = .false.
        if (fheT(wOut) .eq. not_set) fheT(wOut) = zero_current
      else
        fheT(wOut) = unpol
      end if 
    case(FFaV0)
      if (fheT(w(1)) .eq. neg_hel .and. fheT(w(2)) .eq. neg_hel) then
        fhfilter(j) = .false.
        if (fheT(wOut) .eq. not_set) fheT(wOut) = zero_current
      else if(fheT(w(1)) .eq. pos_hel .and. fheT(w(2)) .eq. pos_hel) then
        fhfilter(j) = .false.
        if (fheT(wOut) .eq. not_set) fheT(wOut) = zero_current
      else
        fheT(wOut) = unpol
      end if 
    case(FaSFSV0)
      if (fheT(w(1)) .eq. neg_hel .and. fheT(w(3)) .eq. neg_hel) then
        fhfilter(j) = .false.
        if (fheT(wOut) .eq. not_set) fheT(wOut) = zero_current
      else if(fheT(w(1)) .eq. pos_hel .and. fheT(w(3)) .eq. pos_hel) then
        fhfilter(j) = .false.
        if (fheT(wOut) .eq. not_set) fheT(wOut) = zero_current
      else
        fheT(wOut) = unpol
      end if 
    case(FFaVS0)
      if (fheT(w(1)) .eq. neg_hel .and. fheT(w(2)) .eq. neg_hel) then
        fhfilter(j) = .false.
        if (fheT(wOut) .eq. not_set) fheT(wOut) = zero_current
      else if(fheT(w(1)) .eq. pos_hel .and. fheT(w(2)) .eq. pos_hel) then
        fhfilter(j) = .false.
        if (fheT(wOut) .eq. not_set) fheT(wOut) = zero_current
      else
        fheT(wOut) = unpol
      end if 
    case(FaSVF0)
      if (ml .and. fheT(w(1)) .eq. pos_hel) then
        fheT(wOut) = pos_hel
        if (last_tl) then
          fheT(wOut) = - fheT(wOut)
        end if 
      else if(ml .and. fheT(w(1)) .eq. neg_hel) then
        fheT(wOut) = neg_hel
        if (last_tl) then
          fheT(wOut) = - fheT(wOut)
        end if 
      else
        fheT(wOut) = unpol
      end if 
    case(VSFFa0)
      if (ml .and. fheT(w(3)) .eq. pos_hel) then
        fheT(wOut) = pos_hel
        if (last_tl) then
          fheT(wOut) = - fheT(wOut)
        end if 
      else if(ml .and. fheT(w(3)) .eq. neg_hel) then
        fheT(wOut) = neg_hel
        if (last_tl) then
          fheT(wOut) = - fheT(wOut)
        end if 
      else
        fheT(wOut) = unpol
      end if 
    case(FFa0)
      fheT(wOut) = unpol
    case(FaFSV0)
      if (fheT(w(1)) .eq. neg_hel .and. fheT(w(2)) .eq. neg_hel) then
        fhfilter(j) = .false.
        if (fheT(wOut) .eq. not_set) fheT(wOut) = zero_current
      else if(fheT(w(1)) .eq. pos_hel .and. fheT(w(2)) .eq. pos_hel) then
        fhfilter(j) = .false.
        if (fheT(wOut) .eq. not_set) fheT(wOut) = zero_current
      else
        fheT(wOut) = unpol
      end if 
    case(FVFaSS0)
      if (fheT(w(1)) .eq. neg_hel .and. fheT(w(3)) .eq. neg_hel) then
        fhfilter(j) = .false.
        if (fheT(wOut) .eq. not_set) fheT(wOut) = zero_current
      else if(fheT(w(1)) .eq. pos_hel .and. fheT(w(3)) .eq. pos_hel) then
        fhfilter(j) = .false.
        if (fheT(wOut) .eq. not_set) fheT(wOut) = zero_current
      else
        fheT(wOut) = unpol
      end if 
    case(FaFSS0)
      fheT(wOut) = unpol
    case(VFSFa0)
      if (ml .and. fheT(w(2)) .eq. pos_hel) then
        fheT(wOut) = pos_hel
        if (last_tl) then
          fheT(wOut) = - fheT(wOut)
        end if 
      else if(ml .and. fheT(w(2)) .eq. neg_hel) then
        fheT(wOut) = neg_hel
        if (last_tl) then
          fheT(wOut) = - fheT(wOut)
        end if 
      else
        fheT(wOut) = unpol
      end if 
    case(FSFaVS0)
      if (fheT(w(1)) .eq. neg_hel .and. fheT(w(3)) .eq. neg_hel) then
        fhfilter(j) = .false.
        if (fheT(wOut) .eq. not_set) fheT(wOut) = zero_current
      else if(fheT(w(1)) .eq. pos_hel .and. fheT(w(3)) .eq. pos_hel) then
        fhfilter(j) = .false.
        if (fheT(wOut) .eq. not_set) fheT(wOut) = zero_current
      else
        fheT(wOut) = unpol
      end if 
    case(FaFVS0)
      if (fheT(w(1)) .eq. neg_hel .and. fheT(w(2)) .eq. neg_hel) then
        fhfilter(j) = .false.
        if (fheT(wOut) .eq. not_set) fheT(wOut) = zero_current
      else if(fheT(w(1)) .eq. pos_hel .and. fheT(w(2)) .eq. pos_hel) then
        fhfilter(j) = .false.
        if (fheT(wOut) .eq. not_set) fheT(wOut) = zero_current
      else
        fheT(wOut) = unpol
      end if 
    case(FaFS0)
      fheT(wOut) = unpol
    case(FSVFaS0)
      if (fheT(w(1)) .eq. neg_hel .and. fheT(w(4)) .eq. neg_hel) then
        fhfilter(j) = .false.
        if (fheT(wOut) .eq. not_set) fheT(wOut) = zero_current
      else if(fheT(w(1)) .eq. pos_hel .and. fheT(w(4)) .eq. pos_hel) then
        fhfilter(j) = .false.
        if (fheT(wOut) .eq. not_set) fheT(wOut) = zero_current
      else
        fheT(wOut) = unpol
      end if 
    case(FaFV0)
      if (fheT(w(1)) .eq. neg_hel .and. fheT(w(2)) .eq. neg_hel) then
        fhfilter(j) = .false.
        if (fheT(wOut) .eq. not_set) fheT(wOut) = zero_current
      else if(fheT(w(1)) .eq. pos_hel .and. fheT(w(2)) .eq. pos_hel) then
        fhfilter(j) = .false.
        if (fheT(wOut) .eq. not_set) fheT(wOut) = zero_current
      else
        fheT(wOut) = unpol
      end if 
    case(SFSVFa0)
      if (ml .and. fheT(w(2)) .eq. pos_hel) then
        fheT(wOut) = pos_hel
        if (last_tl) then
          fheT(wOut) = - fheT(wOut)
        end if 
      else if(ml .and. fheT(w(2)) .eq. neg_hel) then
        fheT(wOut) = neg_hel
        if (last_tl) then
          fheT(wOut) = - fheT(wOut)
        end if 
      else
        fheT(wOut) = unpol
      end if 
    case(FaSSVF0)
      if (ml .and. fheT(w(1)) .eq. pos_hel) then
        fheT(wOut) = pos_hel
        if (last_tl) then
          fheT(wOut) = - fheT(wOut)
        end if 
      else if(ml .and. fheT(w(1)) .eq. neg_hel) then
        fheT(wOut) = neg_hel
        if (last_tl) then
          fheT(wOut) = - fheT(wOut)
        end if 
      else
        fheT(wOut) = unpol
      end if 
    case(SFFa0)
      fheT(wOut) = unpol
    case(SFaF0)
      fheT(wOut) = unpol
    case(SVFSFa0)
      if (ml .and. fheT(w(3)) .eq. pos_hel) then
        fheT(wOut) = pos_hel
        if (last_tl) then
          fheT(wOut) = - fheT(wOut)
        end if 
      else if(ml .and. fheT(w(3)) .eq. neg_hel) then
        fheT(wOut) = neg_hel
        if (last_tl) then
          fheT(wOut) = - fheT(wOut)
        end if 
      else
        fheT(wOut) = unpol
      end if 
    case(FSFaV0)
      if (fheT(w(1)) .eq. neg_hel .and. fheT(w(3)) .eq. neg_hel) then
        fhfilter(j) = .false.
        if (fheT(wOut) .eq. not_set) fheT(wOut) = zero_current
      else if(fheT(w(1)) .eq. pos_hel .and. fheT(w(3)) .eq. pos_hel) then
        fhfilter(j) = .false.
        if (fheT(wOut) .eq. not_set) fheT(wOut) = zero_current
      else
        fheT(wOut) = unpol
      end if 
    case(FSFaS0)
      fheT(wOut) = unpol
    case(VSFaFS0)
      if (fheT(w(3)) .eq. pos_hel .and. fheT(w(4)) .eq. pos_hel) then
        fhfilter(j) = .false.
        if (fheT(wOut) .eq. not_set) fheT(wOut) = zero_current
      else if(fheT(w(3)) .eq. neg_hel .and. fheT(w(4)) .eq. neg_hel) then
        fhfilter(j) = .false.
        if (fheT(wOut) .eq. not_set) fheT(wOut) = zero_current
      else
        fheT(wOut) = unpol
      end if 
    case(FSSVFa0)
      if (ml .and. fheT(w(1)) .eq. pos_hel) then
        fheT(wOut) = pos_hel
        if (last_tl) then
          fheT(wOut) = - fheT(wOut)
        end if 
      else if(ml .and. fheT(w(1)) .eq. neg_hel) then
        fheT(wOut) = neg_hel
        if (last_tl) then
          fheT(wOut) = - fheT(wOut)
        end if 
      else
        fheT(wOut) = unpol
      end if 
    case(FFaVSS0)
      if (fheT(w(1)) .eq. neg_hel .and. fheT(w(2)) .eq. neg_hel) then
        fhfilter(j) = .false.
        if (fheT(wOut) .eq. not_set) fheT(wOut) = zero_current
      else if(fheT(w(1)) .eq. pos_hel .and. fheT(w(2)) .eq. pos_hel) then
        fhfilter(j) = .false.
        if (fheT(wOut) .eq. not_set) fheT(wOut) = zero_current
      else
        fheT(wOut) = unpol
      end if 
    case(SVFFa0)
      if (ml .and. fheT(w(3)) .eq. pos_hel) then
        fheT(wOut) = pos_hel
        if (last_tl) then
          fheT(wOut) = - fheT(wOut)
        end if 
      else if(ml .and. fheT(w(3)) .eq. neg_hel) then
        fheT(wOut) = neg_hel
        if (last_tl) then
          fheT(wOut) = - fheT(wOut)
        end if 
      else
        fheT(wOut) = unpol
      end if 
    case(VSSFFa0)
      if (ml .and. fheT(w(4)) .eq. neg_hel) then
        fheT(wOut) = neg_hel
        if (last_tl) then
          fheT(wOut) = - fheT(wOut)
        end if 
      else if(ml .and. fheT(w(4)) .eq. pos_hel) then
        fheT(wOut) = pos_hel
        if (last_tl) then
          fheT(wOut) = - fheT(wOut)
        end if 
      else
        fheT(wOut) = unpol
      end if 
    case(FaFSSV0)
      if (fheT(w(1)) .eq. neg_hel .and. fheT(w(2)) .eq. neg_hel) then
        fhfilter(j) = .false.
        if (fheT(wOut) .eq. not_set) fheT(wOut) = zero_current
      else if(fheT(w(1)) .eq. pos_hel .and. fheT(w(2)) .eq. pos_hel) then
        fhfilter(j) = .false.
        if (fheT(wOut) .eq. not_set) fheT(wOut) = zero_current
      else
        fheT(wOut) = unpol
      end if 
    case(SVFFaS0)
      if (fheT(w(3)) .eq. pos_hel .and. fheT(w(4)) .eq. pos_hel) then
        fhfilter(j) = .false.
        if (fheT(wOut) .eq. not_set) fheT(wOut) = zero_current
      else if(fheT(w(3)) .eq. neg_hel .and. fheT(w(4)) .eq. neg_hel) then
        fhfilter(j) = .false.
        if (fheT(wOut) .eq. not_set) fheT(wOut) = zero_current
      else
        fheT(wOut) = unpol
      end if 
    case(FaVSFS0)
      if (fheT(w(1)) .eq. neg_hel .and. fheT(w(4)) .eq. neg_hel) then
        fhfilter(j) = .false.
        if (fheT(wOut) .eq. not_set) fheT(wOut) = zero_current
      else if(fheT(w(1)) .eq. pos_hel .and. fheT(w(4)) .eq. pos_hel) then
        fhfilter(j) = .false.
        if (fheT(wOut) .eq. not_set) fheT(wOut) = zero_current
      else
        fheT(wOut) = unpol
      end if 
    case(FSFa0)
      fheT(wOut) = unpol
    case(FVSFaS0)
      if (fheT(w(1)) .eq. neg_hel .and. fheT(w(4)) .eq. neg_hel) then
        fhfilter(j) = .false.
        if (fheT(wOut) .eq. not_set) fheT(wOut) = zero_current
      else if(fheT(w(1)) .eq. pos_hel .and. fheT(w(4)) .eq. pos_hel) then
        fhfilter(j) = .false.
        if (fheT(wOut) .eq. not_set) fheT(wOut) = zero_current
      else
        fheT(wOut) = unpol
      end if 
    case(SFaFSV0)
      if (fheT(w(2)) .eq. neg_hel .and. fheT(w(3)) .eq. neg_hel) then
        fhfilter(j) = .false.
        if (fheT(wOut) .eq. not_set) fheT(wOut) = zero_current
      else if(fheT(w(2)) .eq. pos_hel .and. fheT(w(3)) .eq. pos_hel) then
        fhfilter(j) = .false.
        if (fheT(wOut) .eq. not_set) fheT(wOut) = zero_current
      else
        fheT(wOut) = unpol
      end if 
    case(SFVFaS0)
      if (fheT(w(2)) .eq. neg_hel .and. fheT(w(4)) .eq. neg_hel) then
        fhfilter(j) = .false.
        if (fheT(wOut) .eq. not_set) fheT(wOut) = zero_current
      else if(fheT(w(2)) .eq. pos_hel .and. fheT(w(4)) .eq. pos_hel) then
        fhfilter(j) = .false.
        if (fheT(wOut) .eq. not_set) fheT(wOut) = zero_current
      else
        fheT(wOut) = unpol
      end if 
    case(SSFVFa0)
      if (ml .and. fheT(w(3)) .eq. pos_hel) then
        fheT(wOut) = pos_hel
        if (last_tl) then
          fheT(wOut) = - fheT(wOut)
        end if 
      else if(ml .and. fheT(w(3)) .eq. neg_hel) then
        fheT(wOut) = neg_hel
        if (last_tl) then
          fheT(wOut) = - fheT(wOut)
        end if 
      else
        fheT(wOut) = unpol
      end if 
    case(VFaFS0)
      if (fheT(w(2)) .eq. neg_hel .and. fheT(w(3)) .eq. neg_hel) then
        fhfilter(j) = .false.
        if (fheT(wOut) .eq. not_set) fheT(wOut) = zero_current
      else if(fheT(w(2)) .eq. pos_hel .and. fheT(w(3)) .eq. pos_hel) then
        fhfilter(j) = .false.
        if (fheT(wOut) .eq. not_set) fheT(wOut) = zero_current
      else
        fheT(wOut) = unpol
      end if 
    case(FSSFaV0)
      if (fheT(w(1)) .eq. neg_hel .and. fheT(w(4)) .eq. neg_hel) then
        fhfilter(j) = .false.
        if (fheT(wOut) .eq. not_set) fheT(wOut) = zero_current
      else if(fheT(w(1)) .eq. pos_hel .and. fheT(w(4)) .eq. pos_hel) then
        fhfilter(j) = .false.
        if (fheT(wOut) .eq. not_set) fheT(wOut) = zero_current
      else
        fheT(wOut) = unpol
      end if 
    case(FaSVSF0)
      if (ml .and. fheT(w(1)) .eq. pos_hel) then
        fheT(wOut) = pos_hel
        if (last_tl) then
          fheT(wOut) = - fheT(wOut)
        end if 
      else if(ml .and. fheT(w(1)) .eq. neg_hel) then
        fheT(wOut) = neg_hel
        if (last_tl) then
          fheT(wOut) = - fheT(wOut)
        end if 
      else
        fheT(wOut) = unpol
      end if 
    case(SFFaV0)
      if (fheT(w(2)) .eq. neg_hel .and. fheT(w(3)) .eq. neg_hel) then
        fhfilter(j) = .false.
        if (fheT(wOut) .eq. not_set) fheT(wOut) = zero_current
      else if(fheT(w(2)) .eq. pos_hel .and. fheT(w(3)) .eq. pos_hel) then
        fhfilter(j) = .false.
        if (fheT(wOut) .eq. not_set) fheT(wOut) = zero_current
      else
        fheT(wOut) = unpol
      end if 
    case(SFFaS0)
      fheT(wOut) = unpol
    case(VSFFaS0)
      if (fheT(w(3)) .eq. pos_hel .and. fheT(w(4)) .eq. pos_hel) then
        fhfilter(j) = .false.
        if (fheT(wOut) .eq. not_set) fheT(wOut) = zero_current
      else if(fheT(w(3)) .eq. neg_hel .and. fheT(w(4)) .eq. neg_hel) then
        fhfilter(j) = .false.
        if (fheT(wOut) .eq. not_set) fheT(wOut) = zero_current
      else
        fheT(wOut) = unpol
      end if 
    case(SFFaSV0)
      if (fheT(w(2)) .eq. neg_hel .and. fheT(w(3)) .eq. neg_hel) then
        fhfilter(j) = .false.
        if (fheT(wOut) .eq. not_set) fheT(wOut) = zero_current
      else if(fheT(w(2)) .eq. pos_hel .and. fheT(w(3)) .eq. pos_hel) then
        fhfilter(j) = .false.
        if (fheT(wOut) .eq. not_set) fheT(wOut) = zero_current
      else
        fheT(wOut) = unpol
      end if 
    case(VFFaSS0)
      if (fheT(w(2)) .eq. neg_hel .and. fheT(w(3)) .eq. neg_hel) then
        fhfilter(j) = .false.
        if (fheT(wOut) .eq. not_set) fheT(wOut) = zero_current
      else if(fheT(w(2)) .eq. pos_hel .and. fheT(w(3)) .eq. pos_hel) then
        fhfilter(j) = .false.
        if (fheT(wOut) .eq. not_set) fheT(wOut) = zero_current
      else
        fheT(wOut) = unpol
      end if 
    case(SFSFa0)
      fheT(wOut) = unpol
    case(VFaSFS0)
      if (fheT(w(2)) .eq. neg_hel .and. fheT(w(4)) .eq. neg_hel) then
        fhfilter(j) = .false.
        if (fheT(wOut) .eq. not_set) fheT(wOut) = zero_current
      else if(fheT(w(2)) .eq. pos_hel .and. fheT(w(4)) .eq. pos_hel) then
        fhfilter(j) = .false.
        if (fheT(wOut) .eq. not_set) fheT(wOut) = zero_current
      else
        fheT(wOut) = unpol
      end if 
    case(SFaVSF0)
      if (ml .and. fheT(w(2)) .eq. pos_hel) then
        fheT(wOut) = pos_hel
        if (last_tl) then
          fheT(wOut) = - fheT(wOut)
        end if 
      else if(ml .and. fheT(w(2)) .eq. neg_hel) then
        fheT(wOut) = neg_hel
        if (last_tl) then
          fheT(wOut) = - fheT(wOut)
        end if 
      else
        fheT(wOut) = unpol
      end if 
    case(SVFaFS0)
      if (fheT(w(3)) .eq. pos_hel .and. fheT(w(4)) .eq. pos_hel) then
        fhfilter(j) = .false.
        if (fheT(wOut) .eq. not_set) fheT(wOut) = zero_current
      else if(fheT(w(3)) .eq. neg_hel .and. fheT(w(4)) .eq. neg_hel) then
        fhfilter(j) = .false.
        if (fheT(wOut) .eq. not_set) fheT(wOut) = zero_current
      else
        fheT(wOut) = unpol
      end if 
    case(SSFFaV0)
      if (fheT(w(3)) .eq. pos_hel .and. fheT(w(4)) .eq. pos_hel) then
        fhfilter(j) = .false.
        if (fheT(wOut) .eq. not_set) fheT(wOut) = zero_current
      else if(fheT(w(3)) .eq. neg_hel .and. fheT(w(4)) .eq. neg_hel) then
        fhfilter(j) = .false.
        if (fheT(wOut) .eq. not_set) fheT(wOut) = zero_current
      else
        fheT(wOut) = unpol
      end if 
    case(FVSSFa0)
      if (ml .and. fheT(w(1)) .eq. pos_hel) then
        fheT(wOut) = pos_hel
        if (last_tl) then
          fheT(wOut) = - fheT(wOut)
        end if 
      else if(ml .and. fheT(w(1)) .eq. neg_hel) then
        fheT(wOut) = neg_hel
        if (last_tl) then
          fheT(wOut) = - fheT(wOut)
        end if 
      else
        fheT(wOut) = unpol
      end if 
    case(FSVFa0)
      if (ml .and. fheT(w(1)) .eq. pos_hel) then
        fheT(wOut) = pos_hel
        if (last_tl) then
          fheT(wOut) = - fheT(wOut)
        end if 
      else if(ml .and. fheT(w(1)) .eq. neg_hel) then
        fheT(wOut) = neg_hel
        if (last_tl) then
          fheT(wOut) = - fheT(wOut)
        end if 
      else
        fheT(wOut) = unpol
      end if 
    case(FaSF0)
      fheT(wOut) = unpol
    case(FaSFS0)
      fheT(wOut) = unpol
    case(SFaFV0)
      if (fheT(w(2)) .eq. neg_hel .and. fheT(w(3)) .eq. neg_hel) then
        fhfilter(j) = .false.
        if (fheT(wOut) .eq. not_set) fheT(wOut) = zero_current
      else if(fheT(w(2)) .eq. pos_hel .and. fheT(w(3)) .eq. pos_hel) then
        fhfilter(j) = .false.
        if (fheT(wOut) .eq. not_set) fheT(wOut) = zero_current
      else
        fheT(wOut) = unpol
      end if 
    case(SVFaSF0)
      if (ml .and. fheT(w(3)) .eq. pos_hel) then
        fheT(wOut) = pos_hel
        if (last_tl) then
          fheT(wOut) = - fheT(wOut)
        end if 
      else if(ml .and. fheT(w(3)) .eq. neg_hel) then
        fheT(wOut) = neg_hel
        if (last_tl) then
          fheT(wOut) = - fheT(wOut)
        end if 
      else
        fheT(wOut) = unpol
      end if 
    case(FFaSV0)
      if (fheT(w(1)) .eq. neg_hel .and. fheT(w(2)) .eq. neg_hel) then
        fhfilter(j) = .false.
        if (fheT(wOut) .eq. not_set) fheT(wOut) = zero_current
      else if(fheT(w(1)) .eq. pos_hel .and. fheT(w(2)) .eq. pos_hel) then
        fhfilter(j) = .false.
        if (fheT(wOut) .eq. not_set) fheT(wOut) = zero_current
      else
        fheT(wOut) = unpol
      end if 
    case(FaVSSF0)
      if (ml .and. fheT(w(1)) .eq. pos_hel) then
        fheT(wOut) = pos_hel
        if (last_tl) then
          fheT(wOut) = - fheT(wOut)
        end if 
      else if(ml .and. fheT(w(1)) .eq. neg_hel) then
        fheT(wOut) = neg_hel
        if (last_tl) then
          fheT(wOut) = - fheT(wOut)
        end if 
      else
        fheT(wOut) = unpol
      end if 
    case(VFFaS0)
      if (fheT(w(2)) .eq. neg_hel .and. fheT(w(3)) .eq. neg_hel) then
        fhfilter(j) = .false.
        if (fheT(wOut) .eq. not_set) fheT(wOut) = zero_current
      else if(fheT(w(2)) .eq. pos_hel .and. fheT(w(3)) .eq. pos_hel) then
        fhfilter(j) = .false.
        if (fheT(wOut) .eq. not_set) fheT(wOut) = zero_current
      else
        fheT(wOut) = unpol
      end if 
    case(SFVFa0)
      if (ml .and. fheT(w(2)) .eq. pos_hel) then
        fheT(wOut) = pos_hel
        if (last_tl) then
          fheT(wOut) = - fheT(wOut)
        end if 
      else if(ml .and. fheT(w(2)) .eq. neg_hel) then
        fheT(wOut) = neg_hel
        if (last_tl) then
          fheT(wOut) = - fheT(wOut)
        end if 
      else
        fheT(wOut) = unpol
      end if 
    case(FVSFa0)
      if (ml .and. fheT(w(1)) .eq. pos_hel) then
        fheT(wOut) = pos_hel
        if (last_tl) then
          fheT(wOut) = - fheT(wOut)
        end if 
      else if(ml .and. fheT(w(1)) .eq. neg_hel) then
        fheT(wOut) = neg_hel
        if (last_tl) then
          fheT(wOut) = - fheT(wOut)
        end if 
      else
        fheT(wOut) = unpol
      end if 
    case(VSSFaF0)
      if (ml .and. fheT(w(4)) .eq. neg_hel) then
        fheT(wOut) = neg_hel
        if (last_tl) then
          fheT(wOut) = - fheT(wOut)
        end if 
      else if(ml .and. fheT(w(4)) .eq. pos_hel) then
        fheT(wOut) = pos_hel
        if (last_tl) then
          fheT(wOut) = - fheT(wOut)
        end if 
      else
        fheT(wOut) = unpol
      end if 
    case(VFFa0)
      if (ml .and. fheT(w(2)) .eq. pos_hel) then
        fheT(wOut) = pos_hel
        if (last_tl) then
          fheT(wOut) = - fheT(wOut)
        end if 
      else if(ml .and. fheT(w(2)) .eq. neg_hel) then
        fheT(wOut) = neg_hel
        if (last_tl) then
          fheT(wOut) = - fheT(wOut)
        end if 
      else
        fheT(wOut) = unpol
      end if 
    case(SVFaF0)
      if (ml .and. fheT(w(3)) .eq. pos_hel) then
        fheT(wOut) = pos_hel
        if (last_tl) then
          fheT(wOut) = - fheT(wOut)
        end if 
      else if(ml .and. fheT(w(3)) .eq. neg_hel) then
        fheT(wOut) = neg_hel
        if (last_tl) then
          fheT(wOut) = - fheT(wOut)
        end if 
      else
        fheT(wOut) = unpol
      end if 
    case(SFaVF0)
      if (ml .and. fheT(w(2)) .eq. pos_hel) then
        fheT(wOut) = pos_hel
        if (last_tl) then
          fheT(wOut) = - fheT(wOut)
        end if 
      else if(ml .and. fheT(w(2)) .eq. neg_hel) then
        fheT(wOut) = neg_hel
        if (last_tl) then
          fheT(wOut) = - fheT(wOut)
        end if 
      else
        fheT(wOut) = unpol
      end if 
    case(FSSFa0)
      fheT(wOut) = unpol
    case(FSFaSV0)
      if (fheT(w(1)) .eq. neg_hel .and. fheT(w(3)) .eq. neg_hel) then
        fhfilter(j) = .false.
        if (fheT(wOut) .eq. not_set) fheT(wOut) = zero_current
      else if(fheT(w(1)) .eq. pos_hel .and. fheT(w(3)) .eq. pos_hel) then
        fhfilter(j) = .false.
        if (fheT(wOut) .eq. not_set) fheT(wOut) = zero_current
      else
        fheT(wOut) = unpol
      end if 
    case(SFaFVS0)
      if (fheT(w(2)) .eq. neg_hel .and. fheT(w(3)) .eq. neg_hel) then
        fhfilter(j) = .false.
        if (fheT(wOut) .eq. not_set) fheT(wOut) = zero_current
      else if(fheT(w(2)) .eq. pos_hel .and. fheT(w(3)) .eq. pos_hel) then
        fhfilter(j) = .false.
        if (fheT(wOut) .eq. not_set) fheT(wOut) = zero_current
      else
        fheT(wOut) = unpol
      end if 
    case(SFaFS0)
      fheT(wOut) = unpol
    case(FaSFV0)
      if (fheT(w(1)) .eq. neg_hel .and. fheT(w(3)) .eq. neg_hel) then
        fhfilter(j) = .false.
        if (fheT(wOut) .eq. not_set) fheT(wOut) = zero_current
      else if(fheT(w(1)) .eq. pos_hel .and. fheT(w(3)) .eq. pos_hel) then
        fhfilter(j) = .false.
        if (fheT(wOut) .eq. not_set) fheT(wOut) = zero_current
      else
        fheT(wOut) = unpol
      end if 
    case(SFFaVS0)
      if (fheT(w(2)) .eq. neg_hel .and. fheT(w(3)) .eq. neg_hel) then
        fhfilter(j) = .false.
        if (fheT(wOut) .eq. not_set) fheT(wOut) = zero_current
      else if(fheT(w(2)) .eq. pos_hel .and. fheT(w(3)) .eq. pos_hel) then
        fhfilter(j) = .false.
        if (fheT(wOut) .eq. not_set) fheT(wOut) = zero_current
      else
        fheT(wOut) = unpol
      end if 
    case(FVFaS0)
      if (fheT(w(1)) .eq. neg_hel .and. fheT(w(3)) .eq. neg_hel) then
        fhfilter(j) = .false.
        if (fheT(wOut) .eq. not_set) fheT(wOut) = zero_current
      else if(fheT(w(1)) .eq. pos_hel .and. fheT(w(3)) .eq. pos_hel) then
        fhfilter(j) = .false.
        if (fheT(wOut) .eq. not_set) fheT(wOut) = zero_current
      else
        fheT(wOut) = unpol
      end if 
    case(FFaSVS0)
      if (fheT(w(1)) .eq. neg_hel .and. fheT(w(2)) .eq. neg_hel) then
        fhfilter(j) = .false.
        if (fheT(wOut) .eq. not_set) fheT(wOut) = zero_current
      else if(fheT(w(1)) .eq. pos_hel .and. fheT(w(2)) .eq. pos_hel) then
        fhfilter(j) = .false.
        if (fheT(wOut) .eq. not_set) fheT(wOut) = zero_current
      else
        fheT(wOut) = unpol
      end if 
    case(FVFa0)
      if (ml .and. fheT(w(1)) .eq. pos_hel) then
        fheT(wOut) = pos_hel
        if (last_tl) then
          fheT(wOut) = - fheT(wOut)
        end if 
      else if(ml .and. fheT(w(1)) .eq. neg_hel) then
        fheT(wOut) = neg_hel
        if (last_tl) then
          fheT(wOut) = - fheT(wOut)
        end if 
      else
        fheT(wOut) = unpol
      end if 
    case(FaF0)
      fheT(wOut) = unpol
    case(VFSFaS0)
      if (fheT(w(2)) .eq. neg_hel .and. fheT(w(4)) .eq. neg_hel) then
        fhfilter(j) = .false.
        if (fheT(wOut) .eq. not_set) fheT(wOut) = zero_current
      else if(fheT(w(2)) .eq. pos_hel .and. fheT(w(4)) .eq. pos_hel) then
        fhfilter(j) = .false.
        if (fheT(wOut) .eq. not_set) fheT(wOut) = zero_current
      else
        fheT(wOut) = unpol
      end if 
    case(SFaSVF0)
      if (ml .and. fheT(w(2)) .eq. pos_hel) then
        fheT(wOut) = pos_hel
        if (last_tl) then
          fheT(wOut) = - fheT(wOut)
        end if 
      else if(ml .and. fheT(w(2)) .eq. neg_hel) then
        fheT(wOut) = neg_hel
        if (last_tl) then
          fheT(wOut) = - fheT(wOut)
        end if 
      else
        fheT(wOut) = unpol
      end if 
    case(SSVFaF0)
      if (ml .and. fheT(w(4)) .eq. neg_hel) then
        fheT(wOut) = neg_hel
        if (last_tl) then
          fheT(wOut) = - fheT(wOut)
        end if 
      else if(ml .and. fheT(w(4)) .eq. pos_hel) then
        fheT(wOut) = pos_hel
        if (last_tl) then
          fheT(wOut) = - fheT(wOut)
        end if 
      else
        fheT(wOut) = unpol
      end if 
    case(FFaSS0)
      fheT(wOut) = unpol
    case(FaSVFS0)
      if (fheT(w(1)) .eq. neg_hel .and. fheT(w(4)) .eq. neg_hel) then
        fhfilter(j) = .false.
        if (fheT(wOut) .eq. not_set) fheT(wOut) = zero_current
      else if(fheT(w(1)) .eq. pos_hel .and. fheT(w(4)) .eq. pos_hel) then
        fhfilter(j) = .false.
        if (fheT(wOut) .eq. not_set) fheT(wOut) = zero_current
      else
        fheT(wOut) = unpol
      end if 
    case(SVSFaF0)
      if (ml .and. fheT(w(4)) .eq. neg_hel) then
        fheT(wOut) = neg_hel
        if (last_tl) then
          fheT(wOut) = - fheT(wOut)
        end if 
      else if(ml .and. fheT(w(4)) .eq. pos_hel) then
        fheT(wOut) = pos_hel
        if (last_tl) then
          fheT(wOut) = - fheT(wOut)
        end if 
      else
        fheT(wOut) = unpol
      end if 
    case(FaVFSS0)
      if (fheT(w(1)) .eq. neg_hel .and. fheT(w(3)) .eq. neg_hel) then
        fhfilter(j) = .false.
        if (fheT(wOut) .eq. not_set) fheT(wOut) = zero_current
      else if(fheT(w(1)) .eq. pos_hel .and. fheT(w(3)) .eq. pos_hel) then
        fhfilter(j) = .false.
        if (fheT(wOut) .eq. not_set) fheT(wOut) = zero_current
      else
        fheT(wOut) = unpol
      end if 
    case(SFaSFV0)
      if (fheT(w(2)) .eq. neg_hel .and. fheT(w(4)) .eq. neg_hel) then
        fhfilter(j) = .false.
        if (fheT(wOut) .eq. not_set) fheT(wOut) = zero_current
      else if(fheT(w(2)) .eq. pos_hel .and. fheT(w(4)) .eq. pos_hel) then
        fhfilter(j) = .false.
        if (fheT(wOut) .eq. not_set) fheT(wOut) = zero_current
      else
        fheT(wOut) = unpol
      end if 
    case(VSFaSF0)
      if (ml .and. fheT(w(3)) .eq. pos_hel) then
        fheT(wOut) = pos_hel
        if (last_tl) then
          fheT(wOut) = - fheT(wOut)
        end if 
      else if(ml .and. fheT(w(3)) .eq. neg_hel) then
        fheT(wOut) = neg_hel
        if (last_tl) then
          fheT(wOut) = - fheT(wOut)
        end if 
      else
        fheT(wOut) = unpol
      end if 
    case(VSFaF0)
      if (ml .and. fheT(w(3)) .eq. pos_hel) then
        fheT(wOut) = pos_hel
        if (last_tl) then
          fheT(wOut) = - fheT(wOut)
        end if 
      else if(ml .and. fheT(w(3)) .eq. neg_hel) then
        fheT(wOut) = neg_hel
        if (last_tl) then
          fheT(wOut) = - fheT(wOut)
        end if 
      else
        fheT(wOut) = unpol
      end if 
    case(VFaF0)
      if (ml .and. fheT(w(2)) .eq. pos_hel) then
        fheT(wOut) = pos_hel
        if (last_tl) then
          fheT(wOut) = - fheT(wOut)
        end if 
      else if(ml .and. fheT(w(2)) .eq. neg_hel) then
        fheT(wOut) = neg_hel
        if (last_tl) then
          fheT(wOut) = - fheT(wOut)
        end if 
      else
        fheT(wOut) = unpol
      end if 
    case(FFaSSV0)
      if (fheT(w(1)) .eq. neg_hel .and. fheT(w(2)) .eq. neg_hel) then
        fhfilter(j) = .false.
        if (fheT(wOut) .eq. not_set) fheT(wOut) = zero_current
      else if(fheT(w(1)) .eq. pos_hel .and. fheT(w(2)) .eq. pos_hel) then
        fhfilter(j) = .false.
        if (fheT(wOut) .eq. not_set) fheT(wOut) = zero_current
      else
        fheT(wOut) = unpol
      end if 
    case(SVSFFa0)
      if (ml .and. fheT(w(4)) .eq. neg_hel) then
        fheT(wOut) = neg_hel
        if (last_tl) then
          fheT(wOut) = - fheT(wOut)
        end if 
      else if(ml .and. fheT(w(4)) .eq. pos_hel) then
        fheT(wOut) = pos_hel
        if (last_tl) then
          fheT(wOut) = - fheT(wOut)
        end if 
      else
        fheT(wOut) = unpol
      end if 
    case(SFaSF0)
      fheT(wOut) = unpol
    case(FaVFS0)
      if (fheT(w(1)) .eq. neg_hel .and. fheT(w(3)) .eq. neg_hel) then
        fhfilter(j) = .false.
        if (fheT(wOut) .eq. not_set) fheT(wOut) = zero_current
      else if(fheT(w(1)) .eq. pos_hel .and. fheT(w(3)) .eq. pos_hel) then
        fhfilter(j) = .false.
        if (fheT(wOut) .eq. not_set) fheT(wOut) = zero_current
      else
        fheT(wOut) = unpol
      end if 
    case(SSFaF0)
      fheT(wOut) = unpol
    case(FSVSFa0)
      if (ml .and. fheT(w(1)) .eq. pos_hel) then
        fheT(wOut) = pos_hel
        if (last_tl) then
          fheT(wOut) = - fheT(wOut)
        end if 
      else if(ml .and. fheT(w(1)) .eq. neg_hel) then
        fheT(wOut) = neg_hel
        if (last_tl) then
          fheT(wOut) = - fheT(wOut)
        end if 
      else
        fheT(wOut) = unpol
      end if 
    case(SFSFaV0)
      if (fheT(w(2)) .eq. neg_hel .and. fheT(w(4)) .eq. neg_hel) then
        fhfilter(j) = .false.
        if (fheT(wOut) .eq. not_set) fheT(wOut) = zero_current
      else if(fheT(w(2)) .eq. pos_hel .and. fheT(w(4)) .eq. pos_hel) then
        fhfilter(j) = .false.
        if (fheT(wOut) .eq. not_set) fheT(wOut) = zero_current
      else
        fheT(wOut) = unpol
      end if 
    case(SSFaVF0)
      if (ml .and. fheT(w(3)) .eq. pos_hel) then
        fheT(wOut) = pos_hel
        if (last_tl) then
          fheT(wOut) = - fheT(wOut)
        end if 
      else if(ml .and. fheT(w(3)) .eq. neg_hel) then
        fheT(wOut) = neg_hel
        if (last_tl) then
          fheT(wOut) = - fheT(wOut)
        end if 
      else
        fheT(wOut) = unpol
      end if 
    case(SSFaFV0)
      if (fheT(w(3)) .eq. pos_hel .and. fheT(w(4)) .eq. pos_hel) then
        fhfilter(j) = .false.
        if (fheT(wOut) .eq. not_set) fheT(wOut) = zero_current
      else if(fheT(w(3)) .eq. neg_hel .and. fheT(w(4)) .eq. neg_hel) then
        fhfilter(j) = .false.
        if (fheT(wOut) .eq. not_set) fheT(wOut) = zero_current
      else
        fheT(wOut) = unpol
      end if 
    case(FaVF0)
      if (ml .and. fheT(w(1)) .eq. pos_hel) then
        fheT(wOut) = pos_hel
        if (last_tl) then
          fheT(wOut) = - fheT(wOut)
        end if 
      else if(ml .and. fheT(w(1)) .eq. neg_hel) then
        fheT(wOut) = neg_hel
        if (last_tl) then
          fheT(wOut) = - fheT(wOut)
        end if 
      else
        fheT(wOut) = unpol
      end if 
    case(FaSSFV0)
      if (fheT(w(1)) .eq. neg_hel .and. fheT(w(4)) .eq. neg_hel) then
        fhfilter(j) = .false.
        if (fheT(wOut) .eq. not_set) fheT(wOut) = zero_current
      else if(fheT(w(1)) .eq. pos_hel .and. fheT(w(4)) .eq. pos_hel) then
        fhfilter(j) = .false.
        if (fheT(wOut) .eq. not_set) fheT(wOut) = zero_current
      else
        fheT(wOut) = unpol
      end if 
    case(FaFVSS0)
      if (fheT(w(1)) .eq. neg_hel .and. fheT(w(2)) .eq. neg_hel) then
        fhfilter(j) = .false.
        if (fheT(wOut) .eq. not_set) fheT(wOut) = zero_current
      else if(fheT(w(1)) .eq. pos_hel .and. fheT(w(2)) .eq. pos_hel) then
        fhfilter(j) = .false.
        if (fheT(wOut) .eq. not_set) fheT(wOut) = zero_current
      else
        fheT(wOut) = unpol
      end if 
    case(SFVSFa0)
      if (ml .and. fheT(w(2)) .eq. pos_hel) then
        fheT(wOut) = pos_hel
        if (last_tl) then
          fheT(wOut) = - fheT(wOut)
        end if 
      else if(ml .and. fheT(w(2)) .eq. neg_hel) then
        fheT(wOut) = neg_hel
        if (last_tl) then
          fheT(wOut) = - fheT(wOut)
        end if 
      else
        fheT(wOut) = unpol
      end if 
    case(VFaSSF0)
      if (ml .and. fheT(w(2)) .eq. pos_hel) then
        fheT(wOut) = pos_hel
        if (last_tl) then
          fheT(wOut) = - fheT(wOut)
        end if 
      else if(ml .and. fheT(w(2)) .eq. neg_hel) then
        fheT(wOut) = neg_hel
        if (last_tl) then
          fheT(wOut) = - fheT(wOut)
        end if 
      else
        fheT(wOut) = unpol
      end if 
    case(SSVFFa0)
      if (ml .and. fheT(w(4)) .eq. neg_hel) then
        fheT(wOut) = neg_hel
        if (last_tl) then
          fheT(wOut) = - fheT(wOut)
        end if 
      else if(ml .and. fheT(w(4)) .eq. pos_hel) then
        fheT(wOut) = pos_hel
        if (last_tl) then
          fheT(wOut) = - fheT(wOut)
        end if 
      else
        fheT(wOut) = unpol
      end if 
    case(FaVSF0)
      if (ml .and. fheT(w(1)) .eq. pos_hel) then
        fheT(wOut) = pos_hel
        if (last_tl) then
          fheT(wOut) = - fheT(wOut)
        end if 
      else if(ml .and. fheT(w(1)) .eq. neg_hel) then
        fheT(wOut) = neg_hel
        if (last_tl) then
          fheT(wOut) = - fheT(wOut)
        end if 
      else
        fheT(wOut) = unpol
      end if 
    case(FaSFVS0)
      if (fheT(w(1)) .eq. neg_hel .and. fheT(w(3)) .eq. neg_hel) then
        fhfilter(j) = .false.
        if (fheT(wOut) .eq. not_set) fheT(wOut) = zero_current
      else if(fheT(w(1)) .eq. pos_hel .and. fheT(w(3)) .eq. pos_hel) then
        fhfilter(j) = .false.
        if (fheT(wOut) .eq. not_set) fheT(wOut) = zero_current
      else
        fheT(wOut) = unpol
      end if 
    case(FaFSVS0)
      if (fheT(w(1)) .eq. neg_hel .and. fheT(w(2)) .eq. neg_hel) then
        fhfilter(j) = .false.
        if (fheT(wOut) .eq. not_set) fheT(wOut) = zero_current
      else if(fheT(w(1)) .eq. pos_hel .and. fheT(w(2)) .eq. pos_hel) then
        fhfilter(j) = .false.
        if (fheT(wOut) .eq. not_set) fheT(wOut) = zero_current
      else
        fheT(wOut) = unpol
      end if 
    case(VFSSFa0)
      if (ml .and. fheT(w(2)) .eq. pos_hel) then
        fheT(wOut) = pos_hel
        if (last_tl) then
          fheT(wOut) = - fheT(wOut)
        end if 
      else if(ml .and. fheT(w(2)) .eq. neg_hel) then
        fheT(wOut) = neg_hel
        if (last_tl) then
          fheT(wOut) = - fheT(wOut)
        end if 
      else
        fheT(wOut) = unpol
      end if 
    case(FaSSF0)
      fheT(wOut) = unpol
    case(VFaFSS0)
      if (fheT(w(2)) .eq. neg_hel .and. fheT(w(3)) .eq. neg_hel) then
        fhfilter(j) = .false.
        if (fheT(wOut) .eq. not_set) fheT(wOut) = zero_current
      else if(fheT(w(2)) .eq. pos_hel .and. fheT(w(3)) .eq. pos_hel) then
        fhfilter(j) = .false.
        if (fheT(wOut) .eq. not_set) fheT(wOut) = zero_current
      else
        fheT(wOut) = unpol
      end if 
    case(SSFFa0)
      fheT(wOut) = unpol
    case(VFaSF0)
      if (ml .and. fheT(w(2)) .eq. pos_hel) then
        fheT(wOut) = pos_hel
        if (last_tl) then
          fheT(wOut) = - fheT(wOut)
        end if 
      else if(ml .and. fheT(w(2)) .eq. neg_hel) then
        fheT(wOut) = neg_hel
        if (last_tl) then
          fheT(wOut) = - fheT(wOut)
        end if 
      else
        fheT(wOut) = unpol
      end if 
    case default
      fheT(wOut) = unpol
    end select 
  end subroutine helicity_conservation_mdl
end module class_tree
