!******************************************************************************!
!                                                                              !
!    fill_ctcouplings3.f90                                                     !
!    is part of RECOLA2 (REcursive Computation of One Loop Amplitudes)2        !
!                                                                              !
!    Copyright (C) 2016-2018 Ansgar Denner, Jean-Nicolas Lang and              !
!                            Sandro Uccirati                                   !
!                                                                              !
!    RECOLA2 is licenced under the GNU GPL version 3,                          !
!    see COPYING for details.                                                  !
!                                                                              !
!******************************************************************************!
!                                                           .---.              !
!                                                          /  .  \             !
!                                                         |\_/|   |            !
!                                                         |   |  /|            !
!          .----------------------------------------------------' |            !
!         /  .-.   fill_ctcouplings3.f90                          |            !
!        |  /   \  This code was generated with REPT1L.           |            !
!        | |\_.  | Change this file and you get what you deserve. |            !
!        |\|  | /| Author: J.N. Lang                              |            !
!        | `---' | UFO date: 03/2019                              |            !
!        |       | UFO version: 1.0                               |            !
!        |       | Generation date: 2019-10-14 13:42             /             !
!        |       |----------------------------------------------'              !
!        \       |                                                             !
!         \     /                                                              !
!          `---'                                                               !
!******************************************************************************!
module fill_ctcouplings3
  use constants_mdl
  use class_couplings
  use class_ctparameters
  implicit none
  contains
  subroutine fill_CTcouplings_mdl3()
    coupl(nGC_2762) = cima*coupl(nGC_1)**2d0*coupl(nGC_116)*coupl(nGC_372)*sq2 &
                      **2d0/(384d0*pi**2d0)
    coupl(nGC_3505) = coupl(nGC_3375) + coupl(nGC_3501)
    coupl(nGC_3502) = coupl(nGC_2)*dZuL_QCD2
    coupl(nGC_2723) = Nc*coupl(nGC_1)**2d0*sq2**2d0*(-2d0*coupl(nGC_390) - 3d0*&
                      coupl(nGC_5))/(768d0*pi**2d0)
    coupl(nGC_4666) = -coupl(nGC_2659)
    coupl(nGC_4668) = -coupl(nGC_2658)
    coupl(nGC_2673) = (-12d0*cima*coupl(nGC_1)*coupl(nGC_9)*sq2**2d0 + 8d0*cima&
                      *coupl(nGC_116)*coupl(nGC_1640) + 40d0*cima*coupl(nGC_116&
                      )*coupl(nGC_1642) + 4d0*cima*coupl(nGC_1642)*coupl(nGC_8 &
                      ) + 66d0*coupl(nGC_1)**2d0*coupl(nGC_116)*sq2**2d0 + 5d0*&
                      coupl(nGC_1)**2d0*coupl(nGC_8)*sq2**2d0)/(768d0*pi**2d0)
    coupl(nGC_2672) = Nc*(88d0*cima*coupl(nGC_116)*coupl(nGC_1640) + 8d0*cima* &
                      coupl(nGC_116)*coupl(nGC_1642) - 8d0*cima*coupl(nGC_116)*&
                      coupl(nGC_1648) - 88d0*cima*coupl(nGC_116)*coupl(nGC_3   &
                      ) + 8d0*cima*coupl(nGC_1640)*coupl(nGC_8) - 8d0*cima*    &
                      coupl(nGC_3)*coupl(nGC_8) - 146d0*coupl(nGC_1)**2d0*coupl&
                      (nGC_116)*sq2**2d0 + 11d0*coupl(nGC_1)**2d0*coupl(nGC_8)*&
                      sq2**2d0)/(768d0*pi**2d0)
    coupl(nGC_2778) = (640d0*cima*coupl(nGC_1)**3d0*coupl(nGC_12)*sq2**4d0 +   &
                      52d0*cima*coupl(nGC_1)**2d0*coupl(nGC_11)*coupl(nGC_1640 &
                      )*sq2**2d0 - 52d0*cima*coupl(nGC_1)**2d0*coupl(nGC_11)*  &
                      coupl(nGC_1642)*sq2**2d0 + 8d0*cima*coupl(nGC_1)**2d0*   &
                      coupl(nGC_11)*coupl(nGC_1648)*sq2**2d0 - 164d0*cima*coupl&
                      (nGC_1)**2d0*coupl(nGC_11)*coupl(nGC_3)*sq2**2d0 + 492d0*&
                      cima*coupl(nGC_1)**2d0*coupl(nGC_1640)*coupl(nGC_372)*sq2&
                      **2d0 - 492d0*cima*coupl(nGC_1)**2d0*coupl(nGC_1642)*    &
                      coupl(nGC_372)*sq2**2d0 - 60d0*cima*coupl(nGC_1)**2d0*   &
                      coupl(nGC_1648)*coupl(nGC_372)*sq2**2d0 - 804d0*cima*    &
                      coupl(nGC_1)**2d0*coupl(nGC_3)*coupl(nGC_372)*sq2**2d0 - &
                      96d0*cima*coupl(nGC_13)*coupl(nGC_1642) + 96d0*cima*coupl&
                      (nGC_1390)*coupl(nGC_1642) + 96d0*cima*coupl(nGC_1392)*  &
                      coupl(nGC_1640) - 96d0*cima*coupl(nGC_1392)*coupl(nGC_3  &
                      ) - 123d0*coupl(nGC_1)**4d0*coupl(nGC_11)*sq2**4d0 -     &
                      862d0*coupl(nGC_1)**4d0*coupl(nGC_372)*sq2**4d0 - 192d0* &
                      coupl(nGC_1)**2d0*coupl(nGC_13)*sq2**2d0 + 96d0*coupl(   &
                      nGC_1)**2d0*coupl(nGC_1390)*sq2**2d0 - 96d0*coupl(nGC_1  &
                      )**2d0*coupl(nGC_1392)*sq2**2d0 + 240d0*coupl(nGC_1)*    &
                      coupl(nGC_12)*coupl(nGC_1640)*sq2**2d0 - 240d0*coupl(    &
                      nGC_1)*coupl(nGC_12)*coupl(nGC_1642)*sq2**2d0 - 48d0*    &
                      coupl(nGC_1)*coupl(nGC_12)*coupl(nGC_1648)*sq2**2d0 -    &
                      336d0*coupl(nGC_1)*coupl(nGC_12)*coupl(nGC_3)*sq2**2d0 - &
                      48d0*coupl(nGC_11)*coupl(nGC_1640)*coupl(nGC_1642) + 48d0&
                      *coupl(nGC_11)*coupl(nGC_1642)*coupl(nGC_3) - 192d0*coupl&
                      (nGC_1640)**2d0*coupl(nGC_372) - 528d0*coupl(nGC_1640)*  &
                      coupl(nGC_1642)*coupl(nGC_372) + 96d0*coupl(nGC_1640)*   &
                      coupl(nGC_1648)*coupl(nGC_372) + 192d0*coupl(nGC_1640)*  &
                      coupl(nGC_3)*coupl(nGC_372) - 48d0*coupl(nGC_1642)**2d0* &
                      coupl(nGC_372) + 48d0*coupl(nGC_1642)*coupl(nGC_1648)*   &
                      coupl(nGC_372) + 432d0*coupl(nGC_1642)*coupl(nGC_3)*coupl&
                      (nGC_372))/(6144d0*pi**2d0)
    coupl(nGC_2656) = coupl(nGC_2)**2d0*sq2**3d0*(Nc**2d0*cima*coupl(nGC_1) +  &
                      coupl(nGC_2))/(64d0*pi**2d0*Nc**2d0)
    coupl(nGC_2677) = coupl(nGC_1)*sq2**2d0*(4d0*cima*coupl(nGC_9) - 4d0*coupl(&
                      nGC_1)*coupl(nGC_116) + 7d0*coupl(nGC_1)*coupl(nGC_8))/( &
                      384d0*pi**2d0)
    coupl(nGC_2676) = coupl(nGC_1)**2d0*sq2**2d0*(2d0*coupl(nGC_116) + 3d0*    &
                      coupl(nGC_8))/(768d0*pi**2d0)
    coupl(nGC_2675) = coupl(nGC_1)**2d0*sq2**2d0*(-46d0*coupl(nGC_116) + 43d0* &
                      coupl(nGC_8))/(768d0*pi**2d0)
    coupl(nGC_2674) = (16d0*cima*coupl(nGC_116)*coupl(nGC_1640) + 80d0*cima*   &
                      coupl(nGC_116)*coupl(nGC_1642) + 8d0*cima*coupl(nGC_1642 &
                      )*coupl(nGC_8) + 146d0*coupl(nGC_1)**2d0*coupl(nGC_116)* &
                      sq2**2d0 - 11d0*coupl(nGC_1)**2d0*coupl(nGC_8)*sq2**2d0  &
                      )/(768d0*pi**2d0)
    coupl(nGC_2772) = (640d0*cima*coupl(nGC_1)**3d0*coupl(nGC_12)*sq2**4d0 +   &
                      84d0*cima*coupl(nGC_1)**2d0*coupl(nGC_11)*coupl(nGC_1640 &
                      )*sq2**2d0 - 84d0*cima*coupl(nGC_1)**2d0*coupl(nGC_11)*  &
                      coupl(nGC_1642)*sq2**2d0 - 24d0*cima*coupl(nGC_1)**2d0*  &
                      coupl(nGC_11)*coupl(nGC_1648)*sq2**2d0 - 132d0*cima*coupl&
                      (nGC_1)**2d0*coupl(nGC_11)*coupl(nGC_3)*sq2**2d0 + 540d0*&
                      cima*coupl(nGC_1)**2d0*coupl(nGC_1640)*coupl(nGC_372)*sq2&
                      **2d0 - 540d0*cima*coupl(nGC_1)**2d0*coupl(nGC_1642)*    &
                      coupl(nGC_372)*sq2**2d0 - 108d0*cima*coupl(nGC_1)**2d0*  &
                      coupl(nGC_1648)*coupl(nGC_372)*sq2**2d0 - 756d0*cima*    &
                      coupl(nGC_1)**2d0*coupl(nGC_3)*coupl(nGC_372)*sq2**2d0 - &
                      96d0*cima*coupl(nGC_13)*coupl(nGC_1642) + 96d0*cima*coupl&
                      (nGC_1390)*coupl(nGC_1642) + 96d0*cima*coupl(nGC_1392)*  &
                      coupl(nGC_1640) - 96d0*cima*coupl(nGC_1392)*coupl(nGC_3  &
                      ) - 123d0*coupl(nGC_1)**4d0*coupl(nGC_11)*sq2**4d0 -     &
                      862d0*coupl(nGC_1)**4d0*coupl(nGC_372)*sq2**4d0 - 144d0* &
                      coupl(nGC_1)**2d0*coupl(nGC_13)*sq2**2d0 + 144d0*coupl(  &
                      nGC_1)**2d0*coupl(nGC_1390)*sq2**2d0 - 144d0*coupl(nGC_1 &
                      )**2d0*coupl(nGC_1392)*sq2**2d0 - 48d0*coupl(nGC_1)**2d0*&
                      coupl(nGC_1396)*sq2**2d0 + 216d0*coupl(nGC_1)*coupl(     &
                      nGC_12)*coupl(nGC_1640)*sq2**2d0 - 216d0*coupl(nGC_1)*   &
                      coupl(nGC_12)*coupl(nGC_1642)*sq2**2d0 - 24d0*coupl(nGC_1&
                      )*coupl(nGC_12)*coupl(nGC_1648)*sq2**2d0 - 360d0*coupl(  &
                      nGC_1)*coupl(nGC_12)*coupl(nGC_3)*sq2**2d0 - 48d0*coupl( &
                      nGC_11)*coupl(nGC_1640)*coupl(nGC_1642) + 48d0*coupl(    &
                      nGC_11)*coupl(nGC_1642)*coupl(nGC_3) - 192d0*coupl(      &
                      nGC_1640)**2d0*coupl(nGC_372) - 528d0*coupl(nGC_1640)*   &
                      coupl(nGC_1642)*coupl(nGC_372) + 96d0*coupl(nGC_1640)*   &
                      coupl(nGC_1648)*coupl(nGC_372) + 192d0*coupl(nGC_1640)*  &
                      coupl(nGC_3)*coupl(nGC_372) - 48d0*coupl(nGC_1642)**2d0* &
                      coupl(nGC_372) + 48d0*coupl(nGC_1642)*coupl(nGC_1648)*   &
                      coupl(nGC_372) + 432d0*coupl(nGC_1642)*coupl(nGC_3)*coupl&
                      (nGC_372))/(6144d0*pi**2d0)
    coupl(nGC_2773) = (640d0*cima*coupl(nGC_1)**3d0*coupl(nGC_12)*sq2**4d0 +   &
                      84d0*cima*coupl(nGC_1)**2d0*coupl(nGC_11)*coupl(nGC_1640 &
                      )*sq2**2d0 - 84d0*cima*coupl(nGC_1)**2d0*coupl(nGC_11)*  &
                      coupl(nGC_1642)*sq2**2d0 - 24d0*cima*coupl(nGC_1)**2d0*  &
                      coupl(nGC_11)*coupl(nGC_1648)*sq2**2d0 - 132d0*cima*coupl&
                      (nGC_1)**2d0*coupl(nGC_11)*coupl(nGC_3)*sq2**2d0 + 540d0*&
                      cima*coupl(nGC_1)**2d0*coupl(nGC_1640)*coupl(nGC_372)*sq2&
                      **2d0 - 540d0*cima*coupl(nGC_1)**2d0*coupl(nGC_1642)*    &
                      coupl(nGC_372)*sq2**2d0 - 108d0*cima*coupl(nGC_1)**2d0*  &
                      coupl(nGC_1648)*coupl(nGC_372)*sq2**2d0 - 756d0*cima*    &
                      coupl(nGC_1)**2d0*coupl(nGC_3)*coupl(nGC_372)*sq2**2d0 - &
                      96d0*cima*coupl(nGC_13)*coupl(nGC_1642) + 96d0*cima*coupl&
                      (nGC_1390)*coupl(nGC_1642) + 96d0*cima*coupl(nGC_1392)*  &
                      coupl(nGC_1640) - 96d0*cima*coupl(nGC_1392)*coupl(nGC_3  &
                      ) - 123d0*coupl(nGC_1)**4d0*coupl(nGC_11)*sq2**4d0 -     &
                      862d0*coupl(nGC_1)**4d0*coupl(nGC_372)*sq2**4d0 - 168d0* &
                      coupl(nGC_1)**2d0*coupl(nGC_13)*sq2**2d0 + 120d0*coupl(  &
                      nGC_1)**2d0*coupl(nGC_1390)*sq2**2d0 - 120d0*coupl(nGC_1 &
                      )**2d0*coupl(nGC_1392)*sq2**2d0 - 24d0*coupl(nGC_1)**2d0*&
                      coupl(nGC_1396)*sq2**2d0 + 240d0*coupl(nGC_1)*coupl(     &
                      nGC_12)*coupl(nGC_1640)*sq2**2d0 - 240d0*coupl(nGC_1)*   &
                      coupl(nGC_12)*coupl(nGC_1642)*sq2**2d0 - 48d0*coupl(nGC_1&
                      )*coupl(nGC_12)*coupl(nGC_1648)*sq2**2d0 - 336d0*coupl(  &
                      nGC_1)*coupl(nGC_12)*coupl(nGC_3)*sq2**2d0 - 48d0*coupl( &
                      nGC_11)*coupl(nGC_1640)*coupl(nGC_1642) + 48d0*coupl(    &
                      nGC_11)*coupl(nGC_1642)*coupl(nGC_3) - 192d0*coupl(      &
                      nGC_1640)**2d0*coupl(nGC_372) - 528d0*coupl(nGC_1640)*   &
                      coupl(nGC_1642)*coupl(nGC_372) + 96d0*coupl(nGC_1640)*   &
                      coupl(nGC_1648)*coupl(nGC_372) + 192d0*coupl(nGC_1640)*  &
                      coupl(nGC_3)*coupl(nGC_372) - 48d0*coupl(nGC_1642)**2d0* &
                      coupl(nGC_372) + 48d0*coupl(nGC_1642)*coupl(nGC_1648)*   &
                      coupl(nGC_372) + 432d0*coupl(nGC_1642)*coupl(nGC_3)*coupl&
                      (nGC_372))/(6144d0*pi**2d0)
    coupl(nGC_2770) = (-640d0*cima*coupl(nGC_1)**3d0*coupl(nGC_12)*sq2**4d0 +  &
                      40d0*cima*coupl(nGC_1)**2d0*coupl(nGC_11)*coupl(nGC_1640 &
                      )*sq2**2d0 + 208d0*cima*coupl(nGC_1)**2d0*coupl(nGC_11)* &
                      coupl(nGC_1642)*sq2**2d0 + 24d0*cima*coupl(nGC_1)**2d0*  &
                      coupl(nGC_11)*coupl(nGC_1648)*sq2**2d0 + 8d0*cima*coupl( &
                      nGC_1)**2d0*coupl(nGC_11)*coupl(nGC_3)*sq2**2d0 + 240d0* &
                      cima*coupl(nGC_1)**2d0*coupl(nGC_1640)*coupl(nGC_372)*sq2&
                      **2d0 + 1296d0*cima*coupl(nGC_1)**2d0*coupl(nGC_1642)*   &
                      coupl(nGC_372)*sq2**2d0 + 96d0*cima*coupl(nGC_1)**2d0*   &
                      coupl(nGC_1648)*coupl(nGC_372)*sq2**2d0 + 192d0*cima*    &
                      coupl(nGC_1392)*coupl(nGC_1642) + 123d0*coupl(nGC_1)**4d0&
                      *coupl(nGC_11)*sq2**4d0 + 862d0*coupl(nGC_1)**4d0*coupl( &
                      nGC_372)*sq2**4d0 + 288d0*coupl(nGC_1)**2d0*coupl(       &
                      nGC_1392)*sq2**2d0 + 48d0*coupl(nGC_1)**2d0*coupl(       &
                      nGC_1396)*sq2**2d0 + 48d0*coupl(nGC_1)*coupl(nGC_12)*    &
                      coupl(nGC_1640)*sq2**2d0 + 528d0*coupl(nGC_1)*coupl(     &
                      nGC_12)*coupl(nGC_1642)*sq2**2d0 + 48d0*coupl(nGC_1)*    &
                      coupl(nGC_12)*coupl(nGC_1648)*sq2**2d0 + 48d0*coupl(nGC_1&
                      )*coupl(nGC_12)*coupl(nGC_3)*sq2**2d0 - 48d0*coupl(nGC_11&
                      )*coupl(nGC_1642)**2d0 - 96d0*coupl(nGC_1640)**2d0*coupl(&
                      nGC_372) - 288d0*coupl(nGC_1640)*coupl(nGC_1642)*coupl(  &
                      nGC_372) + 96d0*coupl(nGC_1640)*coupl(nGC_3)*coupl(      &
                      nGC_372) - 384d0*coupl(nGC_1642)**2d0*coupl(nGC_372) +   &
                      96d0*coupl(nGC_1642)*coupl(nGC_1648)*coupl(nGC_372) -    &
                      96d0*coupl(nGC_1648)*coupl(nGC_3)*coupl(nGC_372))/(3072d0&
                      *pi**2d0)
    coupl(nGC_2771) = (-640d0*cima*coupl(nGC_1)**3d0*coupl(nGC_12)*sq2**4d0 +  &
                      56d0*cima*coupl(nGC_1)**2d0*coupl(nGC_11)*coupl(nGC_1640 &
                      )*sq2**2d0 + 192d0*cima*coupl(nGC_1)**2d0*coupl(nGC_11)* &
                      coupl(nGC_1642)*sq2**2d0 + 8d0*cima*coupl(nGC_1)**2d0*   &
                      coupl(nGC_11)*coupl(nGC_1648)*sq2**2d0 + 24d0*cima*coupl(&
                      nGC_1)**2d0*coupl(nGC_11)*coupl(nGC_3)*sq2**2d0 + 336d0* &
                      cima*coupl(nGC_1)**2d0*coupl(nGC_1640)*coupl(nGC_372)*sq2&
                      **2d0 + 1200d0*cima*coupl(nGC_1)**2d0*coupl(nGC_1642)*   &
                      coupl(nGC_372)*sq2**2d0 + 96d0*cima*coupl(nGC_1)**2d0*   &
                      coupl(nGC_3)*coupl(nGC_372)*sq2**2d0 + 192d0*cima*coupl( &
                      nGC_1392)*coupl(nGC_1642) + 123d0*coupl(nGC_1)**4d0*coupl&
                      (nGC_11)*sq2**4d0 + 862d0*coupl(nGC_1)**4d0*coupl(nGC_372&
                      )*sq2**4d0 + 48d0*coupl(nGC_1)**2d0*coupl(nGC_13)*sq2**  &
                      2d0 + 48d0*coupl(nGC_1)**2d0*coupl(nGC_1390)*sq2**2d0 +  &
                      240d0*coupl(nGC_1)**2d0*coupl(nGC_1392)*sq2**2d0 + 48d0* &
                      coupl(nGC_1)*coupl(nGC_12)*coupl(nGC_1640)*sq2**2d0 +    &
                      528d0*coupl(nGC_1)*coupl(nGC_12)*coupl(nGC_1642)*sq2**2d0&
                       + 48d0*coupl(nGC_1)*coupl(nGC_12)*coupl(nGC_1648)*sq2** &
                      2d0 + 48d0*coupl(nGC_1)*coupl(nGC_12)*coupl(nGC_3)*sq2** &
                      2d0 - 48d0*coupl(nGC_11)*coupl(nGC_1642)**2d0 - 144d0*   &
                      coupl(nGC_1640)**2d0*coupl(nGC_372) - 192d0*coupl(       &
                      nGC_1640)*coupl(nGC_1642)*coupl(nGC_372) + 96d0*coupl(   &
                      nGC_1640)*coupl(nGC_1648)*coupl(nGC_372) - 432d0*coupl(  &
                      nGC_1642)**2d0*coupl(nGC_372) + 96d0*coupl(nGC_1642)*    &
                      coupl(nGC_3)*coupl(nGC_372) - 48d0*coupl(nGC_1648)**2d0* &
                      coupl(nGC_372) - 48d0*coupl(nGC_3)**2d0*coupl(nGC_372))/(&
                      3072d0*pi**2d0)
    coupl(nGC_2776) = (-640d0*cima*coupl(nGC_1)**3d0*coupl(nGC_12)*sq2**4d0 +  &
                      48d0*cima*coupl(nGC_1)**2d0*coupl(nGC_11)*coupl(nGC_1640 &
                      )*sq2**2d0 + 200d0*cima*coupl(nGC_1)**2d0*coupl(nGC_11)* &
                      coupl(nGC_1642)*sq2**2d0 + 16d0*cima*coupl(nGC_1)**2d0*  &
                      coupl(nGC_11)*coupl(nGC_1648)*sq2**2d0 + 16d0*cima*coupl(&
                      nGC_1)**2d0*coupl(nGC_11)*coupl(nGC_3)*sq2**2d0 + 288d0* &
                      cima*coupl(nGC_1)**2d0*coupl(nGC_1640)*coupl(nGC_372)*sq2&
                      **2d0 + 1248d0*cima*coupl(nGC_1)**2d0*coupl(nGC_1642)*   &
                      coupl(nGC_372)*sq2**2d0 + 48d0*cima*coupl(nGC_1)**2d0*   &
                      coupl(nGC_1648)*coupl(nGC_372)*sq2**2d0 + 48d0*cima*coupl&
                      (nGC_1)**2d0*coupl(nGC_3)*coupl(nGC_372)*sq2**2d0 + 192d0&
                      *cima*coupl(nGC_1392)*coupl(nGC_1642) + 123d0*coupl(nGC_1&
                      )**4d0*coupl(nGC_11)*sq2**4d0 + 862d0*coupl(nGC_1)**4d0* &
                      coupl(nGC_372)*sq2**4d0 + 48d0*coupl(nGC_1)**2d0*coupl(  &
                      nGC_13)*sq2**2d0 + 48d0*coupl(nGC_1)**2d0*coupl(nGC_1390 &
                      )*sq2**2d0 + 240d0*coupl(nGC_1)**2d0*coupl(nGC_1392)*sq2 &
                      **2d0 + 24d0*coupl(nGC_1)*coupl(nGC_12)*coupl(nGC_1640)* &
                      sq2**2d0 + 552d0*coupl(nGC_1)*coupl(nGC_12)*coupl(       &
                      nGC_1642)*sq2**2d0 + 72d0*coupl(nGC_1)*coupl(nGC_12)*    &
                      coupl(nGC_1648)*sq2**2d0 + 24d0*coupl(nGC_1)*coupl(nGC_12&
                      )*coupl(nGC_3)*sq2**2d0 - 48d0*coupl(nGC_11)*coupl(      &
                      nGC_1642)**2d0 - 144d0*coupl(nGC_1640)**2d0*coupl(nGC_372&
                      ) - 192d0*coupl(nGC_1640)*coupl(nGC_1642)*coupl(nGC_372  &
                      ) + 96d0*coupl(nGC_1640)*coupl(nGC_1648)*coupl(nGC_372   &
                      ) - 432d0*coupl(nGC_1642)**2d0*coupl(nGC_372) + 96d0*    &
                      coupl(nGC_1642)*coupl(nGC_3)*coupl(nGC_372) - 48d0*coupl(&
                      nGC_1648)**2d0*coupl(nGC_372) - 48d0*coupl(nGC_3)**2d0*  &
                      coupl(nGC_372))/(3072d0*pi**2d0)
    coupl(nGC_2777) = (640d0*cima*coupl(nGC_1)**3d0*coupl(nGC_12)*sq2**4d0 +   &
                      116d0*cima*coupl(nGC_1)**2d0*coupl(nGC_11)*coupl(nGC_1640&
                      )*sq2**2d0 - 116d0*cima*coupl(nGC_1)**2d0*coupl(nGC_11)* &
                      coupl(nGC_1642)*sq2**2d0 - 56d0*cima*coupl(nGC_1)**2d0*  &
                      coupl(nGC_11)*coupl(nGC_1648)*sq2**2d0 - 100d0*cima*coupl&
                      (nGC_1)**2d0*coupl(nGC_11)*coupl(nGC_3)*sq2**2d0 + 588d0*&
                      cima*coupl(nGC_1)**2d0*coupl(nGC_1640)*coupl(nGC_372)*sq2&
                      **2d0 - 588d0*cima*coupl(nGC_1)**2d0*coupl(nGC_1642)*    &
                      coupl(nGC_372)*sq2**2d0 - 156d0*cima*coupl(nGC_1)**2d0*  &
                      coupl(nGC_1648)*coupl(nGC_372)*sq2**2d0 - 708d0*cima*    &
                      coupl(nGC_1)**2d0*coupl(nGC_3)*coupl(nGC_372)*sq2**2d0 - &
                      96d0*cima*coupl(nGC_13)*coupl(nGC_1642) + 96d0*cima*coupl&
                      (nGC_1390)*coupl(nGC_1642) + 96d0*cima*coupl(nGC_1392)*  &
                      coupl(nGC_1640) - 96d0*cima*coupl(nGC_1392)*coupl(nGC_3  &
                      ) - 123d0*coupl(nGC_1)**4d0*coupl(nGC_11)*sq2**4d0 -     &
                      862d0*coupl(nGC_1)**4d0*coupl(nGC_372)*sq2**4d0 - 168d0* &
                      coupl(nGC_1)**2d0*coupl(nGC_13)*sq2**2d0 + 120d0*coupl(  &
                      nGC_1)**2d0*coupl(nGC_1390)*sq2**2d0 - 120d0*coupl(nGC_1 &
                      )**2d0*coupl(nGC_1392)*sq2**2d0 - 24d0*coupl(nGC_1)**2d0*&
                      coupl(nGC_1396)*sq2**2d0 + 264d0*coupl(nGC_1)*coupl(     &
                      nGC_12)*coupl(nGC_1640)*sq2**2d0 - 264d0*coupl(nGC_1)*   &
                      coupl(nGC_12)*coupl(nGC_1642)*sq2**2d0 - 72d0*coupl(nGC_1&
                      )*coupl(nGC_12)*coupl(nGC_1648)*sq2**2d0 - 312d0*coupl(  &
                      nGC_1)*coupl(nGC_12)*coupl(nGC_3)*sq2**2d0 - 48d0*coupl( &
                      nGC_11)*coupl(nGC_1640)*coupl(nGC_1642) + 48d0*coupl(    &
                      nGC_11)*coupl(nGC_1642)*coupl(nGC_3) - 192d0*coupl(      &
                      nGC_1640)**2d0*coupl(nGC_372) - 528d0*coupl(nGC_1640)*   &
                      coupl(nGC_1642)*coupl(nGC_372) + 96d0*coupl(nGC_1640)*   &
                      coupl(nGC_1648)*coupl(nGC_372) + 192d0*coupl(nGC_1640)*  &
                      coupl(nGC_3)*coupl(nGC_372) - 48d0*coupl(nGC_1642)**2d0* &
                      coupl(nGC_372) + 48d0*coupl(nGC_1642)*coupl(nGC_1648)*   &
                      coupl(nGC_372) + 432d0*coupl(nGC_1642)*coupl(nGC_3)*coupl&
                      (nGC_372))/(6144d0*pi**2d0)
    coupl(nGC_2774) = (640d0*cima*coupl(nGC_1)**3d0*coupl(nGC_12)*sq2**4d0 +   &
                      84d0*cima*coupl(nGC_1)**2d0*coupl(nGC_11)*coupl(nGC_1640 &
                      )*sq2**2d0 - 84d0*cima*coupl(nGC_1)**2d0*coupl(nGC_11)*  &
                      coupl(nGC_1642)*sq2**2d0 - 24d0*cima*coupl(nGC_1)**2d0*  &
                      coupl(nGC_11)*coupl(nGC_1648)*sq2**2d0 - 132d0*cima*coupl&
                      (nGC_1)**2d0*coupl(nGC_11)*coupl(nGC_3)*sq2**2d0 + 540d0*&
                      cima*coupl(nGC_1)**2d0*coupl(nGC_1640)*coupl(nGC_372)*sq2&
                      **2d0 - 540d0*cima*coupl(nGC_1)**2d0*coupl(nGC_1642)*    &
                      coupl(nGC_372)*sq2**2d0 - 108d0*cima*coupl(nGC_1)**2d0*  &
                      coupl(nGC_1648)*coupl(nGC_372)*sq2**2d0 - 756d0*cima*    &
                      coupl(nGC_1)**2d0*coupl(nGC_3)*coupl(nGC_372)*sq2**2d0 - &
                      96d0*cima*coupl(nGC_13)*coupl(nGC_1642) + 96d0*cima*coupl&
                      (nGC_1390)*coupl(nGC_1642) + 96d0*cima*coupl(nGC_1392)*  &
                      coupl(nGC_1640) - 96d0*cima*coupl(nGC_1392)*coupl(nGC_3  &
                      ) - 123d0*coupl(nGC_1)**4d0*coupl(nGC_11)*sq2**4d0 -     &
                      862d0*coupl(nGC_1)**4d0*coupl(nGC_372)*sq2**4d0 - 192d0* &
                      coupl(nGC_1)**2d0*coupl(nGC_13)*sq2**2d0 + 96d0*coupl(   &
                      nGC_1)**2d0*coupl(nGC_1390)*sq2**2d0 - 96d0*coupl(nGC_1  &
                      )**2d0*coupl(nGC_1392)*sq2**2d0 + 264d0*coupl(nGC_1)*    &
                      coupl(nGC_12)*coupl(nGC_1640)*sq2**2d0 - 264d0*coupl(    &
                      nGC_1)*coupl(nGC_12)*coupl(nGC_1642)*sq2**2d0 - 72d0*    &
                      coupl(nGC_1)*coupl(nGC_12)*coupl(nGC_1648)*sq2**2d0 -    &
                      312d0*coupl(nGC_1)*coupl(nGC_12)*coupl(nGC_3)*sq2**2d0 - &
                      48d0*coupl(nGC_11)*coupl(nGC_1640)*coupl(nGC_1642) + 48d0&
                      *coupl(nGC_11)*coupl(nGC_1642)*coupl(nGC_3) - 192d0*coupl&
                      (nGC_1640)**2d0*coupl(nGC_372) - 528d0*coupl(nGC_1640)*  &
                      coupl(nGC_1642)*coupl(nGC_372) + 96d0*coupl(nGC_1640)*   &
                      coupl(nGC_1648)*coupl(nGC_372) + 192d0*coupl(nGC_1640)*  &
                      coupl(nGC_3)*coupl(nGC_372) - 48d0*coupl(nGC_1642)**2d0* &
                      coupl(nGC_372) + 48d0*coupl(nGC_1642)*coupl(nGC_1648)*   &
                      coupl(nGC_372) + 432d0*coupl(nGC_1642)*coupl(nGC_3)*coupl&
                      (nGC_372))/(6144d0*pi**2d0)
    coupl(nGC_2775) = (-640d0*cima*coupl(nGC_1)**3d0*coupl(nGC_12)*sq2**4d0 +  &
                      48d0*cima*coupl(nGC_1)**2d0*coupl(nGC_11)*coupl(nGC_1640 &
                      )*sq2**2d0 + 200d0*cima*coupl(nGC_1)**2d0*coupl(nGC_11)* &
                      coupl(nGC_1642)*sq2**2d0 + 16d0*cima*coupl(nGC_1)**2d0*  &
                      coupl(nGC_11)*coupl(nGC_1648)*sq2**2d0 + 16d0*cima*coupl(&
                      nGC_1)**2d0*coupl(nGC_11)*coupl(nGC_3)*sq2**2d0 + 288d0* &
                      cima*coupl(nGC_1)**2d0*coupl(nGC_1640)*coupl(nGC_372)*sq2&
                      **2d0 + 1248d0*cima*coupl(nGC_1)**2d0*coupl(nGC_1642)*   &
                      coupl(nGC_372)*sq2**2d0 + 48d0*cima*coupl(nGC_1)**2d0*   &
                      coupl(nGC_1648)*coupl(nGC_372)*sq2**2d0 + 48d0*cima*coupl&
                      (nGC_1)**2d0*coupl(nGC_3)*coupl(nGC_372)*sq2**2d0 + 192d0&
                      *cima*coupl(nGC_1392)*coupl(nGC_1642) + 123d0*coupl(nGC_1&
                      )**4d0*coupl(nGC_11)*sq2**4d0 + 862d0*coupl(nGC_1)**4d0* &
                      coupl(nGC_372)*sq2**4d0 + 288d0*coupl(nGC_1)**2d0*coupl( &
                      nGC_1392)*sq2**2d0 + 48d0*coupl(nGC_1)**2d0*coupl(       &
                      nGC_1396)*sq2**2d0 + 72d0*coupl(nGC_1)*coupl(nGC_12)*    &
                      coupl(nGC_1640)*sq2**2d0 + 504d0*coupl(nGC_1)*coupl(     &
                      nGC_12)*coupl(nGC_1642)*sq2**2d0 + 24d0*coupl(nGC_1)*    &
                      coupl(nGC_12)*coupl(nGC_1648)*sq2**2d0 + 72d0*coupl(nGC_1&
                      )*coupl(nGC_12)*coupl(nGC_3)*sq2**2d0 - 48d0*coupl(nGC_11&
                      )*coupl(nGC_1642)**2d0 - 96d0*coupl(nGC_1640)**2d0*coupl(&
                      nGC_372) - 288d0*coupl(nGC_1640)*coupl(nGC_1642)*coupl(  &
                      nGC_372) + 96d0*coupl(nGC_1640)*coupl(nGC_3)*coupl(      &
                      nGC_372) - 384d0*coupl(nGC_1642)**2d0*coupl(nGC_372) +   &
                      96d0*coupl(nGC_1642)*coupl(nGC_1648)*coupl(nGC_372) -    &
                      96d0*coupl(nGC_1648)*coupl(nGC_3)*coupl(nGC_372))/(3072d0&
                      *pi**2d0)
    coupl(nGC_4204) = 3d0*coupl(nGC_12)*dZg_QCD2/2d0 + coupl(nGC_2788)
    coupl(nGC_3376) = coupl(nGC_3371) + coupl(nGC_3375)
    coupl(nGC_7496) = 2d0*coupl(nGC_3724)
    coupl(nGC_2757) = -cima*coupl(nGC_1)**2d0*coupl(nGC_11)*coupl(nGC_8)*sq2** &
                      2d0/(384d0*pi**2d0)
    coupl(nGC_3362) = coupl(nGC_2781) + coupl(nGC_5)*dZg_QCD2
    coupl(nGC_3363) = -coupl(nGC_3362)
    coupl(nGC_2687) = Nc*coupl(nGC_1)*sq2*(66d0*cima*coupl(nGC_1)*coupl(nGC_12 &
                      )*sq2**2d0 + 12d0*cima*coupl(nGC_11)*coupl(nGC_1640) +   &
                      4d0*cima*coupl(nGC_11)*coupl(nGC_1642) + 16d0*cima*coupl(&
                      nGC_11)*coupl(nGC_3) + 72d0*cima*coupl(nGC_1640)*coupl(  &
                      nGC_372) - 12d0*cima*coupl(nGC_1642)*coupl(nGC_372) +    &
                      24d0*cima*coupl(nGC_1648)*coupl(nGC_372) + 36d0*cima*    &
                      coupl(nGC_3)*coupl(nGC_372) - 24d0*coupl(nGC_1)**2d0*    &
                      coupl(nGC_11)*sq2**2d0 - 105d0*coupl(nGC_1)**2d0*coupl(  &
                      nGC_372)*sq2**2d0)/(1536d0*pi**2d0)
    coupl(nGC_2766) = (640d0*cima*coupl(nGC_1)**3d0*coupl(nGC_12)*sq2**4d0 +   &
                      116d0*cima*coupl(nGC_1)**2d0*coupl(nGC_11)*coupl(nGC_1640&
                      )*sq2**2d0 - 116d0*cima*coupl(nGC_1)**2d0*coupl(nGC_11)* &
                      coupl(nGC_1642)*sq2**2d0 - 56d0*cima*coupl(nGC_1)**2d0*  &
                      coupl(nGC_11)*coupl(nGC_1648)*sq2**2d0 - 100d0*cima*coupl&
                      (nGC_1)**2d0*coupl(nGC_11)*coupl(nGC_3)*sq2**2d0 + 588d0*&
                      cima*coupl(nGC_1)**2d0*coupl(nGC_1640)*coupl(nGC_372)*sq2&
                      **2d0 - 588d0*cima*coupl(nGC_1)**2d0*coupl(nGC_1642)*    &
                      coupl(nGC_372)*sq2**2d0 - 156d0*cima*coupl(nGC_1)**2d0*  &
                      coupl(nGC_1648)*coupl(nGC_372)*sq2**2d0 - 708d0*cima*    &
                      coupl(nGC_1)**2d0*coupl(nGC_3)*coupl(nGC_372)*sq2**2d0 - &
                      96d0*cima*coupl(nGC_13)*coupl(nGC_1642) + 96d0*cima*coupl&
                      (nGC_1390)*coupl(nGC_1642) + 96d0*cima*coupl(nGC_1392)*  &
                      coupl(nGC_1640) - 96d0*cima*coupl(nGC_1392)*coupl(nGC_3  &
                      ) - 123d0*coupl(nGC_1)**4d0*coupl(nGC_11)*sq2**4d0 -     &
                      862d0*coupl(nGC_1)**4d0*coupl(nGC_372)*sq2**4d0 - 144d0* &
                      coupl(nGC_1)**2d0*coupl(nGC_13)*sq2**2d0 + 144d0*coupl(  &
                      nGC_1)**2d0*coupl(nGC_1390)*sq2**2d0 - 144d0*coupl(nGC_1 &
                      )**2d0*coupl(nGC_1392)*sq2**2d0 - 48d0*coupl(nGC_1)**2d0*&
                      coupl(nGC_1396)*sq2**2d0 + 240d0*coupl(nGC_1)*coupl(     &
                      nGC_12)*coupl(nGC_1640)*sq2**2d0 - 240d0*coupl(nGC_1)*   &
                      coupl(nGC_12)*coupl(nGC_1642)*sq2**2d0 - 48d0*coupl(nGC_1&
                      )*coupl(nGC_12)*coupl(nGC_1648)*sq2**2d0 - 336d0*coupl(  &
                      nGC_1)*coupl(nGC_12)*coupl(nGC_3)*sq2**2d0 - 48d0*coupl( &
                      nGC_11)*coupl(nGC_1640)*coupl(nGC_1642) + 48d0*coupl(    &
                      nGC_11)*coupl(nGC_1642)*coupl(nGC_3) - 192d0*coupl(      &
                      nGC_1640)**2d0*coupl(nGC_372) - 528d0*coupl(nGC_1640)*   &
                      coupl(nGC_1642)*coupl(nGC_372) + 96d0*coupl(nGC_1640)*   &
                      coupl(nGC_1648)*coupl(nGC_372) + 192d0*coupl(nGC_1640)*  &
                      coupl(nGC_3)*coupl(nGC_372) - 48d0*coupl(nGC_1642)**2d0* &
                      coupl(nGC_372) + 48d0*coupl(nGC_1642)*coupl(nGC_1648)*   &
                      coupl(nGC_372) + 432d0*coupl(nGC_1642)*coupl(nGC_3)*coupl&
                      (nGC_372))/(6144d0*pi**2d0)
    coupl(nGC_7495) = -coupl(nGC_3724)
    coupl(nGC_3368) = coupl(nGC_2786) + 3d0*coupl(nGC_6)*dZg_QCD2/2d0
    coupl(nGC_2664) = coupl(nGC_2)**2d0*sq2**3d0*(-12d0*Nc**2d0*cima*coupl(    &
                      nGC_12) + 9d0*Nc**2d0*coupl(nGC_1)*coupl(nGC_11) + 36d0* &
                      Nc**2d0*coupl(nGC_1)*coupl(nGC_372) - 5d0*cima*coupl(    &
                      nGC_11)*coupl(nGC_2) - 14d0*cima*coupl(nGC_2)*coupl(     &
                      nGC_372))/(768d0*pi**2d0*Nc)
    coupl(nGC_2665) = coupl(nGC_2)**2d0*sq2**3d0*(12d0*Nc**2d0*cima*coupl(     &
                      nGC_12) - 9d0*Nc**2d0*coupl(nGC_1)*coupl(nGC_11) - 36d0* &
                      Nc**2d0*coupl(nGC_1)*coupl(nGC_372) + 5d0*cima*coupl(    &
                      nGC_11)*coupl(nGC_2) + 14d0*cima*coupl(nGC_2)*coupl(     &
                      nGC_372))/(768d0*pi**2d0*Nc**2d0)
    coupl(nGC_2709) = Nc*(-915d0*cima*coupl(nGC_1)**2d0*coupl(nGC_11)*coupl(   &
                      nGC_116)*sq2**2d0 - 552d0*cima*coupl(nGC_1)**2d0*coupl(  &
                      nGC_11)*coupl(nGC_8)*sq2**2d0 + 3690d0*cima*coupl(nGC_1  &
                      )**2d0*coupl(nGC_116)*coupl(nGC_372)*sq2**2d0 - 1485d0*  &
                      cima*coupl(nGC_1)**2d0*coupl(nGC_372)*coupl(nGC_8)*sq2** &
                      2d0 - 510d0*coupl(nGC_1)*coupl(nGC_11)*coupl(nGC_9)*sq2**&
                      2d0 + 1280d0*coupl(nGC_1)*coupl(nGC_116)*coupl(nGC_12)*  &
                      sq2**2d0 - 900d0*coupl(nGC_1)*coupl(nGC_12)*coupl(nGC_8)*&
                      sq2**2d0 + 1180d0*coupl(nGC_1)*coupl(nGC_372)*coupl(nGC_9&
                      )*sq2**2d0 + 20d0*coupl(nGC_11)*coupl(nGC_116)*coupl(    &
                      nGC_1640) + 20d0*coupl(nGC_11)*coupl(nGC_116)*coupl(     &
                      nGC_1642) - 20d0*coupl(nGC_11)*coupl(nGC_116)*coupl(     &
                      nGC_1648) - 20d0*coupl(nGC_11)*coupl(nGC_116)*coupl(nGC_3&
                      ) + 60d0*coupl(nGC_11)*coupl(nGC_1640)*coupl(nGC_8) +    &
                      60d0*coupl(nGC_11)*coupl(nGC_1642)*coupl(nGC_8) - 60d0*  &
                      coupl(nGC_11)*coupl(nGC_1648)*coupl(nGC_8) - 60d0*coupl( &
                      nGC_11)*coupl(nGC_3)*coupl(nGC_8) - 20d0*coupl(nGC_1640)*&
                      coupl(nGC_372)*coupl(nGC_8) - 20d0*coupl(nGC_1642)*coupl(&
                      nGC_372)*coupl(nGC_8) + 20d0*coupl(nGC_1648)*coupl(      &
                      nGC_372)*coupl(nGC_8) + 20d0*coupl(nGC_3)*coupl(nGC_372)*&
                      coupl(nGC_8))/(3840d0*pi**2d0)
    coupl(nGC_2704) = (-4d0*Nc*cima*coupl(nGC_1)**4d0*sq2**4d0 - 12d0*Nc*cima* &
                      coupl(nGC_1640)*coupl(nGC_3) - 12d0*Nc*coupl(nGC_1)**2d0*&
                      coupl(nGC_1640)*sq2**2d0 + 9d0*Nc*coupl(nGC_1)**2d0*coupl&
                      (nGC_3)*sq2**2d0 + 15d0*cima*coupl(nGC_2)**4d0*sq2**4d0  &
                      )/(384d0*pi**2d0)
    coupl(nGC_3384) = 2d0*coupl(nGC_10)*dZg_QCD2 + coupl(nGC_2790)
    coupl(nGC_2702) = sq2**2d0*(-4d0*Nc*cima*coupl(nGC_1)**4d0*sq2**2d0 - 9d0* &
                      Nc*coupl(nGC_1)**2d0*coupl(nGC_1642) + 3d0*Nc*coupl(nGC_1&
                      )**2d0*coupl(nGC_1648) - 50d0*cima*coupl(nGC_2)**4d0*sq2 &
                      **2d0)/(768d0*pi**2d0)
    coupl(nGC_2701) = sq2**2d0*(-4d0*Nc*cima*coupl(nGC_1)**4d0*sq2**2d0 - 3d0* &
                      Nc*coupl(nGC_1)**2d0*coupl(nGC_1642) + 9d0*Nc*coupl(nGC_1&
                      )**2d0*coupl(nGC_1648) - 50d0*cima*coupl(nGC_2)**4d0*sq2 &
                      **2d0)/(768d0*pi**2d0)
    coupl(nGC_2700) = (-8d0*Nc*cima*coupl(nGC_1)**4d0*sq2**4d0 + 12d0*Nc*cima* &
                      coupl(nGC_1640)**2d0 + 12d0*Nc*cima*coupl(nGC_3)**2d0 -  &
                      3d0*Nc*coupl(nGC_1)**2d0*coupl(nGC_1640)*sq2**2d0 + 39d0*&
                      Nc*coupl(nGC_1)**2d0*coupl(nGC_3)*sq2**2d0 + 30d0*cima*  &
                      coupl(nGC_2)**4d0*sq2**4d0)/(768d0*pi**2d0)
    coupl(nGC_2744) = Nc*coupl(nGC_1)*sq2*(-66d0*cima*coupl(nGC_1)*coupl(nGC_9 &
                      )*sq2**2d0 + 40d0*cima*coupl(nGC_116)*coupl(nGC_1640) +  &
                      28d0*cima*coupl(nGC_116)*coupl(nGC_1642) - 8d0*cima*coupl&
                      (nGC_116)*coupl(nGC_1648) + 76d0*cima*coupl(nGC_116)*    &
                      coupl(nGC_3) + 12d0*cima*coupl(nGC_1640)*coupl(nGC_8) -  &
                      4d0*cima*coupl(nGC_1642)*coupl(nGC_8) + 8d0*cima*coupl(  &
                      nGC_3)*coupl(nGC_8) + 105d0*coupl(nGC_1)**2d0*coupl(     &
                      nGC_116)*sq2**2d0 + 24d0*coupl(nGC_1)**2d0*coupl(nGC_8)* &
                      sq2**2d0)/(1536d0*pi**2d0)
    coupl(nGC_2655) = coupl(nGC_1)*sq2**2d0*(-8d0*cima*coupl(nGC_12) - 11d0*   &
                      coupl(nGC_1)*coupl(nGC_11) + 10d0*coupl(nGC_1)*coupl(    &
                      nGC_372))/(768d0*pi**2d0)
    coupl(nGC_2654) = coupl(nGC_1)*sq2**2d0*(-8d0*cima*coupl(nGC_12) + 9d0*    &
                      coupl(nGC_1)*coupl(nGC_11) - 14d0*coupl(nGC_1)*coupl(    &
                      nGC_372))/(384d0*pi**2d0)
    coupl(nGC_2651) = coupl(nGC_1)*sq2**2d0*(-24d0*cima*coupl(nGC_12) + 21d0*  &
                      coupl(nGC_1)*coupl(nGC_11) - 14d0*coupl(nGC_1)*coupl(    &
                      nGC_372))/(768d0*pi**2d0)
    coupl(nGC_2650) = Nc*coupl(nGC_1)*sq2**2d0*(8d0*cima*coupl(nGC_12) - 9d0*  &
                      coupl(nGC_1)*coupl(nGC_11) + 14d0*coupl(nGC_1)*coupl(    &
                      nGC_372))/(384d0*pi**2d0)
    coupl(nGC_2653) = (-12d0*cima*coupl(nGC_1)*coupl(nGC_12)*sq2**2d0 + 4d0*   &
                      cima*coupl(nGC_11)*coupl(nGC_1642) + 8d0*cima*coupl(     &
                      nGC_1640)*coupl(nGC_372) + 40d0*cima*coupl(nGC_1642)*    &
                      coupl(nGC_372) + 5d0*coupl(nGC_1)**2d0*coupl(nGC_11)*sq2 &
                      **2d0 + 66d0*coupl(nGC_1)**2d0*coupl(nGC_372)*sq2**2d0)/(&
                      768d0*pi**2d0)
    coupl(nGC_2652) = coupl(nGC_1)**2d0*sq2**2d0*(3d0*coupl(nGC_11) + 2d0*coupl&
                      (nGC_372))/(768d0*pi**2d0)
    coupl(nGC_3877) = coupl(nGC_2797) + coupl(nGC_3875)
    coupl(nGC_2718) = Nc*(-20d0*cima*coupl(nGC_1)**2d0*coupl(nGC_11)*coupl(    &
                      nGC_116)*sq2**2d0 - 4d0*cima*coupl(nGC_1)**2d0*coupl(    &
                      nGC_11)*coupl(nGC_8)*sq2**2d0 + 20d0*cima*coupl(nGC_1)** &
                      2d0*coupl(nGC_116)*coupl(nGC_372)*sq2**2d0 - 20d0*cima*  &
                      coupl(nGC_1)**2d0*coupl(nGC_372)*coupl(nGC_8)*sq2**2d0 - &
                      20d0*cima*coupl(nGC_12)*coupl(nGC_9)*sq2**2d0 - 25d0*    &
                      coupl(nGC_1)*coupl(nGC_11)*coupl(nGC_9)*sq2**2d0 + 20d0* &
                      coupl(nGC_1)*coupl(nGC_116)*coupl(nGC_12)*sq2**2d0 - 25d0&
                      *coupl(nGC_1)*coupl(nGC_12)*coupl(nGC_8)*sq2**2d0 + 20d0*&
                      coupl(nGC_1)*coupl(nGC_372)*coupl(nGC_9)*sq2**2d0 - 15d0*&
                      coupl(nGC_11)*coupl(nGC_116)*coupl(nGC_1640) + 5d0*coupl(&
                      nGC_11)*coupl(nGC_116)*coupl(nGC_1642) + 15d0*coupl(     &
                      nGC_11)*coupl(nGC_116)*coupl(nGC_1648) - 5d0*coupl(nGC_11&
                      )*coupl(nGC_116)*coupl(nGC_3) + 15d0*coupl(nGC_11)*coupl(&
                      nGC_1640)*coupl(nGC_8) + 15d0*coupl(nGC_11)*coupl(       &
                      nGC_1642)*coupl(nGC_8) - 15d0*coupl(nGC_11)*coupl(       &
                      nGC_1648)*coupl(nGC_8) - 15d0*coupl(nGC_11)*coupl(nGC_3)*&
                      coupl(nGC_8) - 15d0*coupl(nGC_1640)*coupl(nGC_372)*coupl(&
                      nGC_8) + 5d0*coupl(nGC_1642)*coupl(nGC_372)*coupl(nGC_8  &
                      ) + 15d0*coupl(nGC_1648)*coupl(nGC_372)*coupl(nGC_8) -   &
                      5d0*coupl(nGC_3)*coupl(nGC_372)*coupl(nGC_8))/(960d0*pi**&
                      2d0)
    coupl(nGC_2719) = (-67d0*Nc**2d0*cima*coupl(nGC_1)**2d0*coupl(nGC_11)*coupl&
                      (nGC_116)*sq2**2d0 - 21d0*Nc**2d0*cima*coupl(nGC_1)**2d0*&
                      coupl(nGC_11)*coupl(nGC_8)*sq2**2d0 - 366d0*Nc**2d0*cima*&
                      coupl(nGC_1)**2d0*coupl(nGC_116)*coupl(nGC_372)*sq2**2d0 &
                       - 67d0*Nc**2d0*cima*coupl(nGC_1)**2d0*coupl(nGC_372)*   &
                      coupl(nGC_8)*sq2**2d0 - 4d0*Nc**2d0*cima*coupl(nGC_10)*  &
                      coupl(nGC_11) - 44d0*Nc**2d0*cima*coupl(nGC_10)*coupl(   &
                      nGC_372) + 4d0*Nc**2d0*cima*coupl(nGC_11)*coupl(nGC_1364 &
                      ) - 44d0*Nc**2d0*cima*coupl(nGC_116)*coupl(nGC_13) + 44d0&
                      *Nc**2d0*cima*coupl(nGC_116)*coupl(nGC_1390) + 4d0*Nc**  &
                      2d0*cima*coupl(nGC_116)*coupl(nGC_1392) - 4d0*Nc**2d0*   &
                      cima*coupl(nGC_116)*coupl(nGC_1396) + 24d0*Nc**2d0*cima* &
                      coupl(nGC_12)*coupl(nGC_9)*sq2**2d0 - 4d0*Nc**2d0*cima*  &
                      coupl(nGC_13)*coupl(nGC_8) + 44d0*Nc**2d0*cima*coupl(    &
                      nGC_1364)*coupl(nGC_372) + 4d0*Nc**2d0*cima*coupl(       &
                      nGC_1366)*coupl(nGC_372) - 4d0*Nc**2d0*cima*coupl(       &
                      nGC_1372)*coupl(nGC_372) + 4d0*Nc**2d0*cima*coupl(       &
                      nGC_1390)*coupl(nGC_8) - 18d0*Nc**2d0*coupl(nGC_1)*coupl(&
                      nGC_11)*coupl(nGC_9)*sq2**2d0 - 132d0*Nc**2d0*coupl(nGC_1&
                      )*coupl(nGC_116)*coupl(nGC_12)*sq2**2d0 - 18d0*Nc**2d0*  &
                      coupl(nGC_1)*coupl(nGC_12)*coupl(nGC_8)*sq2**2d0 - 132d0*&
                      Nc**2d0*coupl(nGC_1)*coupl(nGC_372)*coupl(nGC_9)*sq2**2d0&
                       - 30d0*Nc**2d0*coupl(nGC_11)*coupl(nGC_116)*coupl(      &
                      nGC_1640) - 2d0*Nc**2d0*coupl(nGC_11)*coupl(nGC_116)*    &
                      coupl(nGC_1642) + 2d0*Nc**2d0*coupl(nGC_11)*coupl(nGC_116&
                      )*coupl(nGC_1648) + 30d0*Nc**2d0*coupl(nGC_11)*coupl(    &
                      nGC_116)*coupl(nGC_3) - 6d0*Nc**2d0*coupl(nGC_11)*coupl( &
                      nGC_1640)*coupl(nGC_8) - 2d0*Nc**2d0*coupl(nGC_11)*coupl(&
                      nGC_1642)*coupl(nGC_8) + 2d0*Nc**2d0*coupl(nGC_11)*coupl(&
                      nGC_1648)*coupl(nGC_8) + 6d0*Nc**2d0*coupl(nGC_11)*coupl(&
                      nGC_3)*coupl(nGC_8) - 212d0*Nc**2d0*coupl(nGC_116)*coupl(&
                      nGC_1640)*coupl(nGC_372) - 28d0*Nc**2d0*coupl(nGC_116)*  &
                      coupl(nGC_1642)*coupl(nGC_372) + 28d0*Nc**2d0*coupl(     &
                      nGC_116)*coupl(nGC_1648)*coupl(nGC_372) + 212d0*Nc**2d0* &
                      coupl(nGC_116)*coupl(nGC_3)*coupl(nGC_372) - 30d0*Nc**2d0&
                      *coupl(nGC_1640)*coupl(nGC_372)*coupl(nGC_8) - 2d0*Nc**  &
                      2d0*coupl(nGC_1642)*coupl(nGC_372)*coupl(nGC_8) + 2d0*Nc &
                      **2d0*coupl(nGC_1648)*coupl(nGC_372)*coupl(nGC_8) + 30d0*&
                      Nc**2d0*coupl(nGC_3)*coupl(nGC_372)*coupl(nGC_8) + 44d0* &
                      cima*coupl(nGC_116)*coupl(nGC_13) - 52d0*cima*coupl(     &
                      nGC_116)*coupl(nGC_1390) - 44d0*cima*coupl(nGC_116)*coupl&
                      (nGC_1392) + 4d0*cima*coupl(nGC_116)*coupl(nGC_1396) +   &
                      4d0*cima*coupl(nGC_13)*coupl(nGC_8) - 4d0*cima*coupl(    &
                      nGC_1390)*coupl(nGC_8) - 4d0*cima*coupl(nGC_1392)*coupl( &
                      nGC_8))/(384d0*pi**2d0*Nc)
  end subroutine fill_CTcouplings_mdl3
end module fill_ctcouplings3
