!******************************************************************************!
!                                                                              !
!    fill_ctcouplings4.f90                                                     !
!    is part of RECOLA2 (REcursive Computation of One Loop Amplitudes)2        !
!                                                                              !
!    Copyright (C) 2016-2018 Ansgar Denner, Jean-Nicolas Lang and              !
!                            Sandro Uccirati                                   !
!                                                                              !
!    RECOLA2 is licenced under the GNU GPL version 3,                          !
!    see COPYING for details.                                                  !
!                                                                              !
!******************************************************************************!
!                                                           .---.              !
!                                                          /  .  \             !
!                                                         |\_/|   |            !
!                                                         |   |  /|            !
!          .----------------------------------------------------' |            !
!         /  .-.   fill_ctcouplings4.f90                          |            !
!        |  /   \  This code was generated with REPT1L.           |            !
!        | |\_.  | Change this file and you get what you deserve. |            !
!        |\|  | /| Author: J.N. Lang                              |            !
!        | `---' | UFO date: 03/2019                              |            !
!        |       | UFO version: 1.0                               |            !
!        |       | Generation date: 2019-10-14 13:42             /             !
!        |       |----------------------------------------------'              !
!        \       |                                                             !
!         \     /                                                              !
!          `---'                                                               !
!******************************************************************************!
module fill_ctcouplings4
  use constants_mdl
  use class_couplings
  use class_ctparameters
  implicit none
  contains
  subroutine fill_CTcouplings_mdl4()
    coupl(nGC_2714) = Nc*(40d0*cima*coupl(nGC_1)**2d0*coupl(nGC_11)*coupl(     &
                      nGC_116)*sq2**2d0 + 54d0*cima*coupl(nGC_1)**2d0*coupl(   &
                      nGC_11)*coupl(nGC_8)*sq2**2d0 + 510d0*cima*coupl(nGC_1)**&
                      2d0*coupl(nGC_116)*coupl(nGC_372)*sq2**2d0 - 265d0*cima* &
                      coupl(nGC_1)**2d0*coupl(nGC_372)*coupl(nGC_8)*sq2**2d0 - &
                      120d0*cima*coupl(nGC_12)*coupl(nGC_9)*sq2**2d0 + 200d0*  &
                      coupl(nGC_1)*coupl(nGC_116)*coupl(nGC_12)*sq2**2d0 -     &
                      210d0*coupl(nGC_1)*coupl(nGC_12)*coupl(nGC_8)*sq2**2d0 + &
                      160d0*coupl(nGC_1)*coupl(nGC_372)*coupl(nGC_9)*sq2**2d0  &
                       + 20d0*coupl(nGC_11)*coupl(nGC_116)*coupl(nGC_1640) +   &
                      20d0*coupl(nGC_11)*coupl(nGC_116)*coupl(nGC_1642) - 20d0*&
                      coupl(nGC_11)*coupl(nGC_116)*coupl(nGC_1648) - 20d0*coupl&
                      (nGC_11)*coupl(nGC_116)*coupl(nGC_3) + 60d0*coupl(nGC_11 &
                      )*coupl(nGC_1640)*coupl(nGC_8) + 60d0*coupl(nGC_11)*coupl&
                      (nGC_1642)*coupl(nGC_8) - 60d0*coupl(nGC_11)*coupl(      &
                      nGC_1648)*coupl(nGC_8) - 60d0*coupl(nGC_11)*coupl(nGC_3)*&
                      coupl(nGC_8) - 20d0*coupl(nGC_1640)*coupl(nGC_372)*coupl(&
                      nGC_8) - 20d0*coupl(nGC_1642)*coupl(nGC_372)*coupl(nGC_8 &
                      ) + 20d0*coupl(nGC_1648)*coupl(nGC_372)*coupl(nGC_8) +   &
                      20d0*coupl(nGC_3)*coupl(nGC_372)*coupl(nGC_8))/(3840d0*pi&
                      **2d0)
    coupl(nGC_2715) = Nc*coupl(nGC_1)*sq2**2d0*(-4d0*cima*coupl(nGC_6) + 4d0*  &
                      coupl(nGC_1)*coupl(nGC_390) - 7d0*coupl(nGC_1)*coupl(    &
                      nGC_5))/(384d0*pi**2d0)
    coupl(nGC_2716) = Nc*(-350d0*cima*coupl(nGC_1)**2d0*coupl(nGC_11)*coupl(   &
                      nGC_116)*sq2**2d0 - 267d0*cima*coupl(nGC_1)**2d0*coupl(  &
                      nGC_11)*coupl(nGC_8)*sq2**2d0 - 1608d0*cima*coupl(nGC_1  &
                      )**2d0*coupl(nGC_116)*coupl(nGC_372)*sq2**2d0 - 304d0*   &
                      cima*coupl(nGC_1)**2d0*coupl(nGC_372)*coupl(nGC_8)*sq2** &
                      2d0 - 8d0*cima*coupl(nGC_10)*coupl(nGC_11) - 88d0*cima*  &
                      coupl(nGC_10)*coupl(nGC_372) + 8d0*cima*coupl(nGC_11)*   &
                      coupl(nGC_1364) - 176d0*cima*coupl(nGC_116)*coupl(nGC_13 &
                      ) + 176d0*cima*coupl(nGC_116)*coupl(nGC_1390) + 16d0*cima&
                      *coupl(nGC_116)*coupl(nGC_1392) - 16d0*cima*coupl(nGC_116&
                      )*coupl(nGC_1396) + 72d0*cima*coupl(nGC_12)*coupl(nGC_9)*&
                      sq2**2d0 - 16d0*cima*coupl(nGC_13)*coupl(nGC_8) + 88d0*  &
                      cima*coupl(nGC_1364)*coupl(nGC_372) + 8d0*cima*coupl(    &
                      nGC_1366)*coupl(nGC_372) - 8d0*cima*coupl(nGC_1372)*coupl&
                      (nGC_372) + 16d0*cima*coupl(nGC_1390)*coupl(nGC_8) - 88d0&
                      *coupl(nGC_1)*coupl(nGC_11)*coupl(nGC_9)*sq2**2d0 - 572d0&
                      *coupl(nGC_1)*coupl(nGC_116)*coupl(nGC_12)*sq2**2d0 -    &
                      74d0*coupl(nGC_1)*coupl(nGC_12)*coupl(nGC_8)*sq2**2d0 -  &
                      352d0*coupl(nGC_1)*coupl(nGC_372)*coupl(nGC_9)*sq2**2d0  &
                       - 132d0*coupl(nGC_11)*coupl(nGC_116)*coupl(nGC_1640) -  &
                      12d0*coupl(nGC_11)*coupl(nGC_116)*coupl(nGC_1642) + 12d0*&
                      coupl(nGC_11)*coupl(nGC_116)*coupl(nGC_1648) + 132d0*    &
                      coupl(nGC_11)*coupl(nGC_116)*coupl(nGC_3) - 132d0*coupl( &
                      nGC_11)*coupl(nGC_1640)*coupl(nGC_8) - 12d0*coupl(nGC_11 &
                      )*coupl(nGC_1642)*coupl(nGC_8) + 12d0*coupl(nGC_11)*coupl&
                      (nGC_1648)*coupl(nGC_8) + 132d0*coupl(nGC_11)*coupl(nGC_3&
                      )*coupl(nGC_8) - 888d0*coupl(nGC_116)*coupl(nGC_1640)*   &
                      coupl(nGC_372) - 120d0*coupl(nGC_116)*coupl(nGC_1642)*   &
                      coupl(nGC_372) + 120d0*coupl(nGC_116)*coupl(nGC_1648)*   &
                      coupl(nGC_372) + 888d0*coupl(nGC_116)*coupl(nGC_3)*coupl(&
                      nGC_372) - 132d0*coupl(nGC_1640)*coupl(nGC_372)*coupl(   &
                      nGC_8) - 12d0*coupl(nGC_1642)*coupl(nGC_372)*coupl(nGC_8 &
                      ) + 12d0*coupl(nGC_1648)*coupl(nGC_372)*coupl(nGC_8) +   &
                      132d0*coupl(nGC_3)*coupl(nGC_372)*coupl(nGC_8))/(1536d0* &
                      pi**2d0)
    coupl(nGC_2717) = Nc*(12d0*cima*coupl(nGC_1)*coupl(nGC_6)*sq2**2d0 + 44d0* &
                      cima*coupl(nGC_1640)*coupl(nGC_390) + 4d0*cima*coupl(    &
                      nGC_1640)*coupl(nGC_5) + 4d0*cima*coupl(nGC_1642)*coupl( &
                      nGC_390) - 4d0*cima*coupl(nGC_1648)*coupl(nGC_390) - 44d0&
                      *cima*coupl(nGC_3)*coupl(nGC_390) - 4d0*cima*coupl(nGC_3 &
                      )*coupl(nGC_5) - 66d0*coupl(nGC_1)**2d0*coupl(nGC_390)*  &
                      sq2**2d0 - 5d0*coupl(nGC_1)**2d0*coupl(nGC_5)*sq2**2d0)/(&
                      768d0*pi**2d0)
    coupl(nGC_2710) = Nc*coupl(nGC_1)**2d0*sq2**2d0*(46d0*coupl(nGC_390) - 43d0&
                      *coupl(nGC_5))/(768d0*pi**2d0)
    coupl(nGC_2711) = Nc*(-125d0*cima*coupl(nGC_1)**2d0*coupl(nGC_11)*coupl(   &
                      nGC_116)*sq2**2d0 - 132d0*cima*coupl(nGC_1)**2d0*coupl(  &
                      nGC_11)*coupl(nGC_8)*sq2**2d0 - 1962d0*cima*coupl(nGC_1  &
                      )**2d0*coupl(nGC_116)*coupl(nGC_372)*sq2**2d0 - 79d0*cima&
                      *coupl(nGC_1)**2d0*coupl(nGC_372)*coupl(nGC_8)*sq2**2d0  &
                       - 8d0*cima*coupl(nGC_10)*coupl(nGC_11) - 88d0*cima*coupl&
                      (nGC_10)*coupl(nGC_372) + 8d0*cima*coupl(nGC_11)*coupl(  &
                      nGC_1364) - 176d0*cima*coupl(nGC_116)*coupl(nGC_13) +    &
                      176d0*cima*coupl(nGC_116)*coupl(nGC_1390) + 16d0*cima*   &
                      coupl(nGC_116)*coupl(nGC_1392) - 16d0*cima*coupl(nGC_116 &
                      )*coupl(nGC_1396) - 16d0*cima*coupl(nGC_13)*coupl(nGC_8  &
                      ) + 88d0*cima*coupl(nGC_1364)*coupl(nGC_372) + 8d0*cima* &
                      coupl(nGC_1366)*coupl(nGC_372) - 8d0*cima*coupl(nGC_1372 &
                      )*coupl(nGC_372) + 16d0*cima*coupl(nGC_1390)*coupl(nGC_8 &
                      ) + 38d0*coupl(nGC_1)*coupl(nGC_11)*coupl(nGC_9)*sq2**2d0&
                       - 656d0*coupl(nGC_1)*coupl(nGC_116)*coupl(nGC_12)*sq2** &
                      2d0 + 52d0*coupl(nGC_1)*coupl(nGC_12)*coupl(nGC_8)*sq2** &
                      2d0 - 436d0*coupl(nGC_1)*coupl(nGC_372)*coupl(nGC_9)*sq2 &
                      **2d0 - 132d0*coupl(nGC_11)*coupl(nGC_116)*coupl(nGC_1640&
                      ) - 12d0*coupl(nGC_11)*coupl(nGC_116)*coupl(nGC_1642) +  &
                      12d0*coupl(nGC_11)*coupl(nGC_116)*coupl(nGC_1648) + 132d0&
                      *coupl(nGC_11)*coupl(nGC_116)*coupl(nGC_3) - 132d0*coupl(&
                      nGC_11)*coupl(nGC_1640)*coupl(nGC_8) - 12d0*coupl(nGC_11 &
                      )*coupl(nGC_1642)*coupl(nGC_8) + 12d0*coupl(nGC_11)*coupl&
                      (nGC_1648)*coupl(nGC_8) + 132d0*coupl(nGC_11)*coupl(nGC_3&
                      )*coupl(nGC_8) - 888d0*coupl(nGC_116)*coupl(nGC_1640)*   &
                      coupl(nGC_372) - 120d0*coupl(nGC_116)*coupl(nGC_1642)*   &
                      coupl(nGC_372) + 120d0*coupl(nGC_116)*coupl(nGC_1648)*   &
                      coupl(nGC_372) + 888d0*coupl(nGC_116)*coupl(nGC_3)*coupl(&
                      nGC_372) - 132d0*coupl(nGC_1640)*coupl(nGC_372)*coupl(   &
                      nGC_8) - 12d0*coupl(nGC_1642)*coupl(nGC_372)*coupl(nGC_8 &
                      ) + 12d0*coupl(nGC_1648)*coupl(nGC_372)*coupl(nGC_8) +   &
                      132d0*coupl(nGC_3)*coupl(nGC_372)*coupl(nGC_8))/(768d0*pi&
                      **2d0)
    coupl(nGC_2712) = Nc*(88d0*cima*coupl(nGC_1640)*coupl(nGC_390) + 8d0*cima* &
                      coupl(nGC_1640)*coupl(nGC_5) + 8d0*cima*coupl(nGC_1642)* &
                      coupl(nGC_390) - 8d0*cima*coupl(nGC_1648)*coupl(nGC_390  &
                      ) - 88d0*cima*coupl(nGC_3)*coupl(nGC_390) - 8d0*cima*    &
                      coupl(nGC_3)*coupl(nGC_5) - 146d0*coupl(nGC_1)**2d0*coupl&
                      (nGC_390)*sq2**2d0 + 11d0*coupl(nGC_1)**2d0*coupl(nGC_5)*&
                      sq2**2d0)/(768d0*pi**2d0)
    coupl(nGC_2713) = Nc*(-67d0*cima*coupl(nGC_1)**2d0*coupl(nGC_11)*coupl(    &
                      nGC_116)*sq2**2d0 - 21d0*cima*coupl(nGC_1)**2d0*coupl(   &
                      nGC_11)*coupl(nGC_8)*sq2**2d0 - 366d0*cima*coupl(nGC_1)**&
                      2d0*coupl(nGC_116)*coupl(nGC_372)*sq2**2d0 - 67d0*cima*  &
                      coupl(nGC_1)**2d0*coupl(nGC_372)*coupl(nGC_8)*sq2**2d0 - &
                      4d0*cima*coupl(nGC_10)*coupl(nGC_11) - 44d0*cima*coupl(  &
                      nGC_10)*coupl(nGC_372) + 4d0*cima*coupl(nGC_11)*coupl(   &
                      nGC_1364) - 44d0*cima*coupl(nGC_116)*coupl(nGC_13) + 44d0&
                      *cima*coupl(nGC_116)*coupl(nGC_1390) + 4d0*cima*coupl(   &
                      nGC_116)*coupl(nGC_1392) - 4d0*cima*coupl(nGC_116)*coupl(&
                      nGC_1396) + 24d0*cima*coupl(nGC_12)*coupl(nGC_9)*sq2**2d0&
                       - 4d0*cima*coupl(nGC_13)*coupl(nGC_8) + 44d0*cima*coupl(&
                      nGC_1364)*coupl(nGC_372) + 4d0*cima*coupl(nGC_1366)*coupl&
                      (nGC_372) - 4d0*cima*coupl(nGC_1372)*coupl(nGC_372) + 4d0&
                      *cima*coupl(nGC_1390)*coupl(nGC_8) - 18d0*coupl(nGC_1)*  &
                      coupl(nGC_11)*coupl(nGC_9)*sq2**2d0 - 132d0*coupl(nGC_1)*&
                      coupl(nGC_116)*coupl(nGC_12)*sq2**2d0 - 18d0*coupl(nGC_1 &
                      )*coupl(nGC_12)*coupl(nGC_8)*sq2**2d0 - 132d0*coupl(nGC_1&
                      )*coupl(nGC_372)*coupl(nGC_9)*sq2**2d0 - 30d0*coupl(     &
                      nGC_11)*coupl(nGC_116)*coupl(nGC_1640) - 2d0*coupl(nGC_11&
                      )*coupl(nGC_116)*coupl(nGC_1642) + 2d0*coupl(nGC_11)*    &
                      coupl(nGC_116)*coupl(nGC_1648) + 30d0*coupl(nGC_11)*coupl&
                      (nGC_116)*coupl(nGC_3) - 6d0*coupl(nGC_11)*coupl(nGC_1640&
                      )*coupl(nGC_8) - 2d0*coupl(nGC_11)*coupl(nGC_1642)*coupl(&
                      nGC_8) + 2d0*coupl(nGC_11)*coupl(nGC_1648)*coupl(nGC_8   &
                      ) + 6d0*coupl(nGC_11)*coupl(nGC_3)*coupl(nGC_8) - 212d0* &
                      coupl(nGC_116)*coupl(nGC_1640)*coupl(nGC_372) - 28d0*    &
                      coupl(nGC_116)*coupl(nGC_1642)*coupl(nGC_372) + 28d0*    &
                      coupl(nGC_116)*coupl(nGC_1648)*coupl(nGC_372) + 212d0*   &
                      coupl(nGC_116)*coupl(nGC_3)*coupl(nGC_372) - 30d0*coupl( &
                      nGC_1640)*coupl(nGC_372)*coupl(nGC_8) - 2d0*coupl(       &
                      nGC_1642)*coupl(nGC_372)*coupl(nGC_8) + 2d0*coupl(       &
                      nGC_1648)*coupl(nGC_372)*coupl(nGC_8) + 30d0*coupl(nGC_3 &
                      )*coupl(nGC_372)*coupl(nGC_8))/(384d0*pi**2d0)
    coupl(nGC_8543) = -coupl(nGC_2753)
    coupl(nGC_8544) = -coupl(nGC_2755)
    coupl(nGC_3437) = coupl(nGC_3375) + coupl(nGC_3433)
    coupl(nGC_2648) = Nc*(12d0*cima*coupl(nGC_1)*coupl(nGC_12)*sq2**2d0 + 4d0* &
                      cima*coupl(nGC_11)*coupl(nGC_1640) - 4d0*cima*coupl(     &
                      nGC_11)*coupl(nGC_3) + 44d0*cima*coupl(nGC_1640)*coupl(  &
                      nGC_372) + 4d0*cima*coupl(nGC_1642)*coupl(nGC_372) - 4d0*&
                      cima*coupl(nGC_1648)*coupl(nGC_372) - 44d0*cima*coupl(   &
                      nGC_3)*coupl(nGC_372) - 5d0*coupl(nGC_1)**2d0*coupl(     &
                      nGC_11)*sq2**2d0 - 66d0*coupl(nGC_1)**2d0*coupl(nGC_372)*&
                      sq2**2d0)/(768d0*pi**2d0)
    coupl(nGC_2649) = Nc*coupl(nGC_1)*sq2**2d0*(8d0*cima*coupl(nGC_12) + 11d0* &
                      coupl(nGC_1)*coupl(nGC_11) - 10d0*coupl(nGC_1)*coupl(    &
                      nGC_372))/(768d0*pi**2d0)
    coupl(nGC_2642) = cMC*coupl(nGC_2)**2d0*sq2**2d0*(Nc**2d0*coupl(nGC_11) +  &
                      8d0*Nc**2d0*coupl(nGC_372) - coupl(nGC_11) - 8d0*coupl(  &
                      nGC_372))/(128d0*pi**2d0*Nc)
    coupl(nGC_2643) = cMD*coupl(nGC_2)**2d0*sq2**2d0*(Nc**2d0*coupl(nGC_11) +  &
                      8d0*Nc**2d0*coupl(nGC_372) - coupl(nGC_11) - 8d0*coupl(  &
                      nGC_372))/(128d0*pi**2d0*Nc)
    coupl(nGC_2640) = coupl(nGC_2)**2d0*sq2**2d0*(-2d0*Nc**2d0*coupl(nGC_11) - &
                      5d0*Nc**2d0*coupl(nGC_372) + 2d0*coupl(nGC_11) + 5d0*    &
                      coupl(nGC_372))/(192d0*pi**2d0*Nc)
    coupl(nGC_2641) = cMU*coupl(nGC_2)**2d0*sq2**2d0*(Nc**2d0*coupl(nGC_11) +  &
                      8d0*Nc**2d0*coupl(nGC_372) - coupl(nGC_11) - 8d0*coupl(  &
                      nGC_372))/(128d0*pi**2d0*Nc)
    coupl(nGC_2646) = Nc*coupl(nGC_1)*sq2**2d0*(24d0*cima*coupl(nGC_12) - 21d0*&
                      coupl(nGC_1)*coupl(nGC_11) + 14d0*coupl(nGC_1)*coupl(    &
                      nGC_372))/(768d0*pi**2d0)
    coupl(nGC_2647) = Nc*coupl(nGC_1)**2d0*sq2**2d0*(-3d0*coupl(nGC_11) - 2d0* &
                      coupl(nGC_372))/(768d0*pi**2d0)
    coupl(nGC_3438) = coupl(nGC_3375) + coupl(nGC_3434)
    coupl(nGC_2645) = cMS*coupl(nGC_2)**2d0*sq2**2d0*(Nc**2d0*coupl(nGC_11) +  &
                      8d0*Nc**2d0*coupl(nGC_372) - coupl(nGC_11) - 8d0*coupl(  &
                      nGC_372))/(128d0*pi**2d0*Nc)
    coupl(nGC_2729) = (-40d0*cima*coupl(nGC_1)**2d0*coupl(nGC_11)*coupl(nGC_116&
                      )*sq2**2d0 - 54d0*cima*coupl(nGC_1)**2d0*coupl(nGC_11)*  &
                      coupl(nGC_8)*sq2**2d0 - 510d0*cima*coupl(nGC_1)**2d0*    &
                      coupl(nGC_116)*coupl(nGC_372)*sq2**2d0 + 265d0*cima*coupl&
                      (nGC_1)**2d0*coupl(nGC_372)*coupl(nGC_8)*sq2**2d0 + 120d0&
                      *cima*coupl(nGC_12)*coupl(nGC_9)*sq2**2d0 - 200d0*coupl( &
                      nGC_1)*coupl(nGC_116)*coupl(nGC_12)*sq2**2d0 + 210d0*    &
                      coupl(nGC_1)*coupl(nGC_12)*coupl(nGC_8)*sq2**2d0 - 160d0*&
                      coupl(nGC_1)*coupl(nGC_372)*coupl(nGC_9)*sq2**2d0 + 40d0*&
                      coupl(nGC_11)*coupl(nGC_116)*coupl(nGC_1640) + 120d0*    &
                      coupl(nGC_11)*coupl(nGC_1640)*coupl(nGC_8) - 40d0*coupl( &
                      nGC_1640)*coupl(nGC_372)*coupl(nGC_8))/(3840d0*pi**2d0)
    coupl(nGC_2728) = (16d0*cima*coupl(nGC_1640)*coupl(nGC_390) + 80d0*cima*   &
                      coupl(nGC_1642)*coupl(nGC_390) + 8d0*cima*coupl(nGC_1642 &
                      )*coupl(nGC_5) + 146d0*coupl(nGC_1)**2d0*coupl(nGC_390)* &
                      sq2**2d0 - 11d0*coupl(nGC_1)**2d0*coupl(nGC_5)*sq2**2d0  &
                      )/(768d0*pi**2d0)
    coupl(nGC_7524) = -2d0*coupl(nGC_3741)
    coupl(nGC_2721) = (-67d0*Nc**2d0*cima*coupl(nGC_1)**2d0*coupl(nGC_11)*coupl&
                      (nGC_116)*sq2**2d0 - 21d0*Nc**2d0*cima*coupl(nGC_1)**2d0*&
                      coupl(nGC_11)*coupl(nGC_8)*sq2**2d0 - 366d0*Nc**2d0*cima*&
                      coupl(nGC_1)**2d0*coupl(nGC_116)*coupl(nGC_372)*sq2**2d0 &
                       - 67d0*Nc**2d0*cima*coupl(nGC_1)**2d0*coupl(nGC_372)*   &
                      coupl(nGC_8)*sq2**2d0 - 4d0*Nc**2d0*cima*coupl(nGC_10)*  &
                      coupl(nGC_11) - 44d0*Nc**2d0*cima*coupl(nGC_10)*coupl(   &
                      nGC_372) + 4d0*Nc**2d0*cima*coupl(nGC_11)*coupl(nGC_1364 &
                      ) - 44d0*Nc**2d0*cima*coupl(nGC_116)*coupl(nGC_13) + 44d0&
                      *Nc**2d0*cima*coupl(nGC_116)*coupl(nGC_1390) + 4d0*Nc**  &
                      2d0*cima*coupl(nGC_116)*coupl(nGC_1392) - 4d0*Nc**2d0*   &
                      cima*coupl(nGC_116)*coupl(nGC_1396) + 24d0*Nc**2d0*cima* &
                      coupl(nGC_12)*coupl(nGC_9)*sq2**2d0 - 4d0*Nc**2d0*cima*  &
                      coupl(nGC_13)*coupl(nGC_8) + 44d0*Nc**2d0*cima*coupl(    &
                      nGC_1364)*coupl(nGC_372) + 4d0*Nc**2d0*cima*coupl(       &
                      nGC_1366)*coupl(nGC_372) - 4d0*Nc**2d0*cima*coupl(       &
                      nGC_1372)*coupl(nGC_372) + 4d0*Nc**2d0*cima*coupl(       &
                      nGC_1390)*coupl(nGC_8) - 18d0*Nc**2d0*coupl(nGC_1)*coupl(&
                      nGC_11)*coupl(nGC_9)*sq2**2d0 - 132d0*Nc**2d0*coupl(nGC_1&
                      )*coupl(nGC_116)*coupl(nGC_12)*sq2**2d0 - 18d0*Nc**2d0*  &
                      coupl(nGC_1)*coupl(nGC_12)*coupl(nGC_8)*sq2**2d0 - 132d0*&
                      Nc**2d0*coupl(nGC_1)*coupl(nGC_372)*coupl(nGC_9)*sq2**2d0&
                       - 30d0*Nc**2d0*coupl(nGC_11)*coupl(nGC_116)*coupl(      &
                      nGC_1640) - 2d0*Nc**2d0*coupl(nGC_11)*coupl(nGC_116)*    &
                      coupl(nGC_1642) + 2d0*Nc**2d0*coupl(nGC_11)*coupl(nGC_116&
                      )*coupl(nGC_1648) + 30d0*Nc**2d0*coupl(nGC_11)*coupl(    &
                      nGC_116)*coupl(nGC_3) - 6d0*Nc**2d0*coupl(nGC_11)*coupl( &
                      nGC_1640)*coupl(nGC_8) - 2d0*Nc**2d0*coupl(nGC_11)*coupl(&
                      nGC_1642)*coupl(nGC_8) + 2d0*Nc**2d0*coupl(nGC_11)*coupl(&
                      nGC_1648)*coupl(nGC_8) + 6d0*Nc**2d0*coupl(nGC_11)*coupl(&
                      nGC_3)*coupl(nGC_8) - 212d0*Nc**2d0*coupl(nGC_116)*coupl(&
                      nGC_1640)*coupl(nGC_372) - 28d0*Nc**2d0*coupl(nGC_116)*  &
                      coupl(nGC_1642)*coupl(nGC_372) + 28d0*Nc**2d0*coupl(     &
                      nGC_116)*coupl(nGC_1648)*coupl(nGC_372) + 212d0*Nc**2d0* &
                      coupl(nGC_116)*coupl(nGC_3)*coupl(nGC_372) - 30d0*Nc**2d0&
                      *coupl(nGC_1640)*coupl(nGC_372)*coupl(nGC_8) - 2d0*Nc**  &
                      2d0*coupl(nGC_1642)*coupl(nGC_372)*coupl(nGC_8) + 2d0*Nc &
                      **2d0*coupl(nGC_1648)*coupl(nGC_372)*coupl(nGC_8) + 30d0*&
                      Nc**2d0*coupl(nGC_3)*coupl(nGC_372)*coupl(nGC_8) + 2d0*  &
                      cima*coupl(nGC_10)*coupl(nGC_11) + 22d0*cima*coupl(nGC_10&
                      )*coupl(nGC_372) - 2d0*cima*coupl(nGC_11)*coupl(nGC_1364 &
                      ) - 2d0*cima*coupl(nGC_11)*coupl(nGC_1366) + 22d0*cima*  &
                      coupl(nGC_116)*coupl(nGC_13) - 26d0*cima*coupl(nGC_116)* &
                      coupl(nGC_1390) - 22d0*cima*coupl(nGC_116)*coupl(nGC_1392&
                      ) + 2d0*cima*coupl(nGC_116)*coupl(nGC_1396) + 2d0*cima*  &
                      coupl(nGC_13)*coupl(nGC_8) - 26d0*cima*coupl(nGC_1364)*  &
                      coupl(nGC_372) - 22d0*cima*coupl(nGC_1366)*coupl(nGC_372 &
                      ) + 2d0*cima*coupl(nGC_1372)*coupl(nGC_372) - 2d0*cima*  &
                      coupl(nGC_1390)*coupl(nGC_8) - 2d0*cima*coupl(nGC_1392)* &
                      coupl(nGC_8))/(384d0*pi**2d0*Nc)
    coupl(nGC_2720) = Nc*(-20d0*cima*coupl(nGC_1)**2d0*coupl(nGC_11)*coupl(    &
                      nGC_116)*sq2**2d0 - 4d0*cima*coupl(nGC_1)**2d0*coupl(    &
                      nGC_11)*coupl(nGC_8)*sq2**2d0 + 20d0*cima*coupl(nGC_1)** &
                      2d0*coupl(nGC_116)*coupl(nGC_372)*sq2**2d0 - 20d0*cima*  &
                      coupl(nGC_1)**2d0*coupl(nGC_372)*coupl(nGC_8)*sq2**2d0 - &
                      20d0*cima*coupl(nGC_12)*coupl(nGC_9)*sq2**2d0 - 25d0*    &
                      coupl(nGC_1)*coupl(nGC_11)*coupl(nGC_9)*sq2**2d0 + 20d0* &
                      coupl(nGC_1)*coupl(nGC_116)*coupl(nGC_12)*sq2**2d0 - 25d0&
                      *coupl(nGC_1)*coupl(nGC_12)*coupl(nGC_8)*sq2**2d0 + 20d0*&
                      coupl(nGC_1)*coupl(nGC_372)*coupl(nGC_9)*sq2**2d0 - 5d0* &
                      coupl(nGC_11)*coupl(nGC_116)*coupl(nGC_1640) - 5d0*coupl(&
                      nGC_11)*coupl(nGC_116)*coupl(nGC_1642) + 5d0*coupl(nGC_11&
                      )*coupl(nGC_116)*coupl(nGC_1648) + 5d0*coupl(nGC_11)*    &
                      coupl(nGC_116)*coupl(nGC_3) + 15d0*coupl(nGC_11)*coupl(  &
                      nGC_1640)*coupl(nGC_8) + 15d0*coupl(nGC_11)*coupl(       &
                      nGC_1642)*coupl(nGC_8) - 15d0*coupl(nGC_11)*coupl(       &
                      nGC_1648)*coupl(nGC_8) - 15d0*coupl(nGC_11)*coupl(nGC_3)*&
                      coupl(nGC_8) - 5d0*coupl(nGC_1640)*coupl(nGC_372)*coupl( &
                      nGC_8) - 5d0*coupl(nGC_1642)*coupl(nGC_372)*coupl(nGC_8  &
                      ) + 5d0*coupl(nGC_1648)*coupl(nGC_372)*coupl(nGC_8) + 5d0&
                      *coupl(nGC_3)*coupl(nGC_372)*coupl(nGC_8))/(480d0*pi**2d0&
                      )
    coupl(nGC_2722) = Nc*(5d0*cima*coupl(nGC_1)**2d0*coupl(nGC_11)*coupl(      &
                      nGC_116)*sq2**2d0 + 48d0*cima*coupl(nGC_1)**2d0*coupl(   &
                      nGC_11)*coupl(nGC_8)*sq2**2d0 - 90d0*cima*coupl(nGC_1)** &
                      2d0*coupl(nGC_116)*coupl(nGC_372)*sq2**2d0 - 35d0*cima*  &
                      coupl(nGC_1)**2d0*coupl(nGC_372)*coupl(nGC_8)*sq2**2d0 - &
                      30d0*coupl(nGC_1)*coupl(nGC_11)*coupl(nGC_9)*sq2**2d0 -  &
                      40d0*coupl(nGC_1)*coupl(nGC_116)*coupl(nGC_12)*sq2**2d0  &
                       - 60d0*coupl(nGC_1)*coupl(nGC_12)*coupl(nGC_8)*sq2**2d0 &
                       - 20d0*coupl(nGC_1)*coupl(nGC_372)*coupl(nGC_9)*sq2**2d0&
                       + 20d0*coupl(nGC_11)*coupl(nGC_116)*coupl(nGC_1640) +   &
                      20d0*coupl(nGC_11)*coupl(nGC_116)*coupl(nGC_1642) - 20d0*&
                      coupl(nGC_11)*coupl(nGC_116)*coupl(nGC_1648) - 20d0*coupl&
                      (nGC_11)*coupl(nGC_116)*coupl(nGC_3) + 60d0*coupl(nGC_11 &
                      )*coupl(nGC_1640)*coupl(nGC_8) + 60d0*coupl(nGC_11)*coupl&
                      (nGC_1642)*coupl(nGC_8) - 60d0*coupl(nGC_11)*coupl(      &
                      nGC_1648)*coupl(nGC_8) - 60d0*coupl(nGC_11)*coupl(nGC_3)*&
                      coupl(nGC_8) - 20d0*coupl(nGC_1640)*coupl(nGC_372)*coupl(&
                      nGC_8) - 20d0*coupl(nGC_1642)*coupl(nGC_372)*coupl(nGC_8 &
                      ) + 20d0*coupl(nGC_1648)*coupl(nGC_372)*coupl(nGC_8) +   &
                      20d0*coupl(nGC_3)*coupl(nGC_372)*coupl(nGC_8))/(3840d0*pi&
                      **2d0)
    coupl(nGC_2725) = (915d0*cima*coupl(nGC_1)**2d0*coupl(nGC_11)*coupl(nGC_116&
                      )*sq2**2d0 + 552d0*cima*coupl(nGC_1)**2d0*coupl(nGC_11)* &
                      coupl(nGC_8)*sq2**2d0 - 3690d0*cima*coupl(nGC_1)**2d0*   &
                      coupl(nGC_116)*coupl(nGC_372)*sq2**2d0 + 1485d0*cima*    &
                      coupl(nGC_1)**2d0*coupl(nGC_372)*coupl(nGC_8)*sq2**2d0 + &
                      510d0*coupl(nGC_1)*coupl(nGC_11)*coupl(nGC_9)*sq2**2d0 - &
                      1280d0*coupl(nGC_1)*coupl(nGC_116)*coupl(nGC_12)*sq2**2d0&
                       + 900d0*coupl(nGC_1)*coupl(nGC_12)*coupl(nGC_8)*sq2**2d0&
                       - 1180d0*coupl(nGC_1)*coupl(nGC_372)*coupl(nGC_9)*sq2** &
                      2d0 + 40d0*coupl(nGC_11)*coupl(nGC_116)*coupl(nGC_1640   &
                      ) + 120d0*coupl(nGC_11)*coupl(nGC_1640)*coupl(nGC_8) -   &
                      40d0*coupl(nGC_1640)*coupl(nGC_372)*coupl(nGC_8))/(3840d0&
                      *pi**2d0)
    coupl(nGC_2724) = Nc*(-20d0*cima*coupl(nGC_1)**2d0*coupl(nGC_11)*coupl(    &
                      nGC_116)*sq2**2d0 - 4d0*cima*coupl(nGC_1)**2d0*coupl(    &
                      nGC_11)*coupl(nGC_8)*sq2**2d0 + 20d0*cima*coupl(nGC_1)** &
                      2d0*coupl(nGC_116)*coupl(nGC_372)*sq2**2d0 - 20d0*cima*  &
                      coupl(nGC_1)**2d0*coupl(nGC_372)*coupl(nGC_8)*sq2**2d0 - &
                      20d0*cima*coupl(nGC_12)*coupl(nGC_9)*sq2**2d0 - 25d0*    &
                      coupl(nGC_1)*coupl(nGC_11)*coupl(nGC_9)*sq2**2d0 + 20d0* &
                      coupl(nGC_1)*coupl(nGC_116)*coupl(nGC_12)*sq2**2d0 - 25d0&
                      *coupl(nGC_1)*coupl(nGC_12)*coupl(nGC_8)*sq2**2d0 + 20d0*&
                      coupl(nGC_1)*coupl(nGC_372)*coupl(nGC_9)*sq2**2d0 + 5d0* &
                      coupl(nGC_11)*coupl(nGC_116)*coupl(nGC_1640) - 15d0*coupl&
                      (nGC_11)*coupl(nGC_116)*coupl(nGC_1642) - 5d0*coupl(     &
                      nGC_11)*coupl(nGC_116)*coupl(nGC_1648) + 15d0*coupl(     &
                      nGC_11)*coupl(nGC_116)*coupl(nGC_3) + 15d0*coupl(nGC_11)*&
                      coupl(nGC_1640)*coupl(nGC_8) + 15d0*coupl(nGC_11)*coupl( &
                      nGC_1642)*coupl(nGC_8) - 15d0*coupl(nGC_11)*coupl(       &
                      nGC_1648)*coupl(nGC_8) - 15d0*coupl(nGC_11)*coupl(nGC_3)*&
                      coupl(nGC_8) + 5d0*coupl(nGC_1640)*coupl(nGC_372)*coupl( &
                      nGC_8) - 15d0*coupl(nGC_1642)*coupl(nGC_372)*coupl(nGC_8 &
                      ) - 5d0*coupl(nGC_1648)*coupl(nGC_372)*coupl(nGC_8) +    &
                      15d0*coupl(nGC_3)*coupl(nGC_372)*coupl(nGC_8))/(960d0*pi &
                      **2d0)
    coupl(nGC_2727) = (125d0*cima*coupl(nGC_1)**2d0*coupl(nGC_11)*coupl(nGC_116&
                      )*sq2**2d0 + 132d0*cima*coupl(nGC_1)**2d0*coupl(nGC_11)* &
                      coupl(nGC_8)*sq2**2d0 + 1962d0*cima*coupl(nGC_1)**2d0*   &
                      coupl(nGC_116)*coupl(nGC_372)*sq2**2d0 + 79d0*cima*coupl(&
                      nGC_1)**2d0*coupl(nGC_372)*coupl(nGC_8)*sq2**2d0 + 8d0*  &
                      cima*coupl(nGC_11)*coupl(nGC_1366) + 32d0*cima*coupl(    &
                      nGC_116)*coupl(nGC_1390) + 160d0*cima*coupl(nGC_116)*    &
                      coupl(nGC_1392) + 16d0*cima*coupl(nGC_1364)*coupl(nGC_372&
                      ) + 80d0*cima*coupl(nGC_1366)*coupl(nGC_372) + 16d0*cima*&
                      coupl(nGC_1392)*coupl(nGC_8) - 38d0*coupl(nGC_1)*coupl(  &
                      nGC_11)*coupl(nGC_9)*sq2**2d0 + 656d0*coupl(nGC_1)*coupl(&
                      nGC_116)*coupl(nGC_12)*sq2**2d0 - 52d0*coupl(nGC_1)*coupl&
                      (nGC_12)*coupl(nGC_8)*sq2**2d0 + 436d0*coupl(nGC_1)*coupl&
                      (nGC_372)*coupl(nGC_9)*sq2**2d0 - 24d0*coupl(nGC_11)*    &
                      coupl(nGC_116)*coupl(nGC_1640) - 120d0*coupl(nGC_11)*    &
                      coupl(nGC_116)*coupl(nGC_1642) - 24d0*coupl(nGC_11)*coupl&
                      (nGC_1640)*coupl(nGC_8) - 120d0*coupl(nGC_11)*coupl(     &
                      nGC_1642)*coupl(nGC_8) - 240d0*coupl(nGC_116)*coupl(     &
                      nGC_1640)*coupl(nGC_372) - 768d0*coupl(nGC_116)*coupl(   &
                      nGC_1642)*coupl(nGC_372) - 24d0*coupl(nGC_1640)*coupl(   &
                      nGC_372)*coupl(nGC_8) - 120d0*coupl(nGC_1642)*coupl(     &
                      nGC_372)*coupl(nGC_8))/(768d0*pi**2d0)
    coupl(nGC_2726) = coupl(nGC_1)**2d0*sq2**2d0*(-46d0*coupl(nGC_390) + 43d0* &
                      coupl(nGC_5))/(768d0*pi**2d0)
    coupl(nGC_2703) = (-8d0*Nc*cima*coupl(nGC_1)**4d0*sq2**4d0 - 24d0*Nc*cima* &
                      coupl(nGC_1640)*coupl(nGC_3) - 39d0*Nc*coupl(nGC_1)**2d0*&
                      coupl(nGC_1640)*sq2**2d0 + 3d0*Nc*coupl(nGC_1)**2d0*coupl&
                      (nGC_3)*sq2**2d0 + 30d0*cima*coupl(nGC_2)**4d0*sq2**4d0  &
                      )/(768d0*pi**2d0)
    coupl(nGC_3333) = -coupl(nGC_3332)
    coupl(nGC_2736) = (20d0*cima*coupl(nGC_1)**2d0*coupl(nGC_11)*coupl(nGC_116 &
                      )*sq2**2d0 + 4d0*cima*coupl(nGC_1)**2d0*coupl(nGC_11)*   &
                      coupl(nGC_8)*sq2**2d0 - 20d0*cima*coupl(nGC_1)**2d0*coupl&
                      (nGC_116)*coupl(nGC_372)*sq2**2d0 + 20d0*cima*coupl(nGC_1&
                      )**2d0*coupl(nGC_372)*coupl(nGC_8)*sq2**2d0 + 20d0*cima* &
                      coupl(nGC_12)*coupl(nGC_9)*sq2**2d0 + 25d0*coupl(nGC_1)* &
                      coupl(nGC_11)*coupl(nGC_9)*sq2**2d0 - 20d0*coupl(nGC_1)* &
                      coupl(nGC_116)*coupl(nGC_12)*sq2**2d0 + 25d0*coupl(nGC_1 &
                      )*coupl(nGC_12)*coupl(nGC_8)*sq2**2d0 - 20d0*coupl(nGC_1 &
                      )*coupl(nGC_372)*coupl(nGC_9)*sq2**2d0 - 10d0*coupl(     &
                      nGC_11)*coupl(nGC_116)*coupl(nGC_1640) + 30d0*coupl(     &
                      nGC_11)*coupl(nGC_1640)*coupl(nGC_8) - 10d0*coupl(       &
                      nGC_1640)*coupl(nGC_372)*coupl(nGC_8))/(960d0*pi**2d0)
    coupl(nGC_2737) = Nc*coupl(nGC_1)*sq2*(-66d0*cima*coupl(nGC_1)*coupl(nGC_9 &
                      )*sq2**2d0 - 72d0*cima*coupl(nGC_116)*coupl(nGC_1640) +  &
                      12d0*cima*coupl(nGC_116)*coupl(nGC_1642) - 24d0*cima*    &
                      coupl(nGC_116)*coupl(nGC_1648) - 36d0*cima*coupl(nGC_116 &
                      )*coupl(nGC_3) - 12d0*cima*coupl(nGC_1640)*coupl(nGC_8   &
                      ) - 4d0*cima*coupl(nGC_1642)*coupl(nGC_8) - 16d0*cima*   &
                      coupl(nGC_3)*coupl(nGC_8) + 105d0*coupl(nGC_1)**2d0*coupl&
                      (nGC_116)*sq2**2d0 + 24d0*coupl(nGC_1)**2d0*coupl(nGC_8)*&
                      sq2**2d0)/(1536d0*pi**2d0)
    coupl(nGC_2734) = (-5d0*cima*coupl(nGC_1)**2d0*coupl(nGC_11)*coupl(nGC_116 &
                      )*sq2**2d0 - 48d0*cima*coupl(nGC_1)**2d0*coupl(nGC_11)*  &
                      coupl(nGC_8)*sq2**2d0 + 90d0*cima*coupl(nGC_1)**2d0*coupl&
                      (nGC_116)*coupl(nGC_372)*sq2**2d0 + 35d0*cima*coupl(nGC_1&
                      )**2d0*coupl(nGC_372)*coupl(nGC_8)*sq2**2d0 + 30d0*coupl(&
                      nGC_1)*coupl(nGC_11)*coupl(nGC_9)*sq2**2d0 + 40d0*coupl( &
                      nGC_1)*coupl(nGC_116)*coupl(nGC_12)*sq2**2d0 + 60d0*coupl&
                      (nGC_1)*coupl(nGC_12)*coupl(nGC_8)*sq2**2d0 + 20d0*coupl(&
                      nGC_1)*coupl(nGC_372)*coupl(nGC_9)*sq2**2d0 + 40d0*coupl(&
                      nGC_11)*coupl(nGC_116)*coupl(nGC_1640) + 120d0*coupl(    &
                      nGC_11)*coupl(nGC_1640)*coupl(nGC_8) - 40d0*coupl(       &
                      nGC_1640)*coupl(nGC_372)*coupl(nGC_8))/(3840d0*pi**2d0)
    coupl(nGC_2735) = coupl(nGC_1)**2d0*sq2**2d0*(2d0*coupl(nGC_390) + 3d0*    &
                      coupl(nGC_5))/(768d0*pi**2d0)
    coupl(nGC_2732) = (-12d0*cima*coupl(nGC_1)*coupl(nGC_6)*sq2**2d0 + 8d0*cima&
                      *coupl(nGC_1640)*coupl(nGC_390) + 40d0*cima*coupl(       &
                      nGC_1642)*coupl(nGC_390) + 4d0*cima*coupl(nGC_1642)*coupl&
                      (nGC_5) + 66d0*coupl(nGC_1)**2d0*coupl(nGC_390)*sq2**2d0 &
                       + 5d0*coupl(nGC_1)**2d0*coupl(nGC_5)*sq2**2d0)/(768d0*pi&
                      **2d0)
    coupl(nGC_2733) = (67d0*cima*coupl(nGC_1)**2d0*coupl(nGC_11)*coupl(nGC_116 &
                      )*sq2**2d0 + 21d0*cima*coupl(nGC_1)**2d0*coupl(nGC_11)*  &
                      coupl(nGC_8)*sq2**2d0 + 366d0*cima*coupl(nGC_1)**2d0*    &
                      coupl(nGC_116)*coupl(nGC_372)*sq2**2d0 + 67d0*cima*coupl(&
                      nGC_1)**2d0*coupl(nGC_372)*coupl(nGC_8)*sq2**2d0 + 4d0*  &
                      cima*coupl(nGC_11)*coupl(nGC_1366) + 8d0*cima*coupl(     &
                      nGC_116)*coupl(nGC_1390) + 40d0*cima*coupl(nGC_116)*coupl&
                      (nGC_1392) - 24d0*cima*coupl(nGC_12)*coupl(nGC_9)*sq2**  &
                      2d0 + 8d0*cima*coupl(nGC_1364)*coupl(nGC_372) + 40d0*cima&
                      *coupl(nGC_1366)*coupl(nGC_372) + 4d0*cima*coupl(nGC_1392&
                      )*coupl(nGC_8) + 18d0*coupl(nGC_1)*coupl(nGC_11)*coupl(  &
                      nGC_9)*sq2**2d0 + 132d0*coupl(nGC_1)*coupl(nGC_116)*coupl&
                      (nGC_12)*sq2**2d0 + 18d0*coupl(nGC_1)*coupl(nGC_12)*coupl&
                      (nGC_8)*sq2**2d0 + 132d0*coupl(nGC_1)*coupl(nGC_372)*    &
                      coupl(nGC_9)*sq2**2d0 - 4d0*coupl(nGC_11)*coupl(nGC_116)*&
                      coupl(nGC_1640) - 28d0*coupl(nGC_11)*coupl(nGC_116)*coupl&
                      (nGC_1642) - 4d0*coupl(nGC_11)*coupl(nGC_1640)*coupl(    &
                      nGC_8) - 4d0*coupl(nGC_11)*coupl(nGC_1642)*coupl(nGC_8   &
                      ) - 56d0*coupl(nGC_116)*coupl(nGC_1640)*coupl(nGC_372) - &
                      184d0*coupl(nGC_116)*coupl(nGC_1642)*coupl(nGC_372) - 4d0&
                      *coupl(nGC_1640)*coupl(nGC_372)*coupl(nGC_8) - 28d0*coupl&
                      (nGC_1642)*coupl(nGC_372)*coupl(nGC_8))/(384d0*pi**2d0)
    coupl(nGC_2730) = coupl(nGC_1)*sq2**2d0*(4d0*cima*coupl(nGC_6) - 4d0*coupl(&
                      nGC_1)*coupl(nGC_390) + 7d0*coupl(nGC_1)*coupl(nGC_5))/( &
                      384d0*pi**2d0)
    coupl(nGC_2731) = (350d0*cima*coupl(nGC_1)**2d0*coupl(nGC_11)*coupl(nGC_116&
                      )*sq2**2d0 + 267d0*cima*coupl(nGC_1)**2d0*coupl(nGC_11)* &
                      coupl(nGC_8)*sq2**2d0 + 1608d0*cima*coupl(nGC_1)**2d0*   &
                      coupl(nGC_116)*coupl(nGC_372)*sq2**2d0 + 304d0*cima*coupl&
                      (nGC_1)**2d0*coupl(nGC_372)*coupl(nGC_8)*sq2**2d0 + 8d0* &
                      cima*coupl(nGC_11)*coupl(nGC_1366) + 32d0*cima*coupl(    &
                      nGC_116)*coupl(nGC_1390) + 160d0*cima*coupl(nGC_116)*    &
                      coupl(nGC_1392) - 72d0*cima*coupl(nGC_12)*coupl(nGC_9)*  &
                      sq2**2d0 + 16d0*cima*coupl(nGC_1364)*coupl(nGC_372) +    &
                      80d0*cima*coupl(nGC_1366)*coupl(nGC_372) + 16d0*cima*    &
                      coupl(nGC_1392)*coupl(nGC_8) + 88d0*coupl(nGC_1)*coupl(  &
                      nGC_11)*coupl(nGC_9)*sq2**2d0 + 572d0*coupl(nGC_1)*coupl(&
                      nGC_116)*coupl(nGC_12)*sq2**2d0 + 74d0*coupl(nGC_1)*coupl&
                      (nGC_12)*coupl(nGC_8)*sq2**2d0 + 352d0*coupl(nGC_1)*coupl&
                      (nGC_372)*coupl(nGC_9)*sq2**2d0 - 24d0*coupl(nGC_11)*    &
                      coupl(nGC_116)*coupl(nGC_1640) - 120d0*coupl(nGC_11)*    &
                      coupl(nGC_116)*coupl(nGC_1642) - 24d0*coupl(nGC_11)*coupl&
                      (nGC_1640)*coupl(nGC_8) - 120d0*coupl(nGC_11)*coupl(     &
                      nGC_1642)*coupl(nGC_8) - 240d0*coupl(nGC_116)*coupl(     &
                      nGC_1640)*coupl(nGC_372) - 768d0*coupl(nGC_116)*coupl(   &
                      nGC_1642)*coupl(nGC_372) - 24d0*coupl(nGC_1640)*coupl(   &
                      nGC_372)*coupl(nGC_8) - 120d0*coupl(nGC_1642)*coupl(     &
                      nGC_372)*coupl(nGC_8))/(1536d0*pi**2d0)
    coupl(nGC_2738) = Nc*coupl(nGC_1)*sq2*(66d0*cima*coupl(nGC_1)*coupl(nGC_9)*&
                      sq2**2d0 - 40d0*cima*coupl(nGC_116)*coupl(nGC_1640) -    &
                      28d0*cima*coupl(nGC_116)*coupl(nGC_1642) + 8d0*cima*coupl&
                      (nGC_116)*coupl(nGC_1648) - 76d0*cima*coupl(nGC_116)*    &
                      coupl(nGC_3) - 12d0*cima*coupl(nGC_1640)*coupl(nGC_8) +  &
                      4d0*cima*coupl(nGC_1642)*coupl(nGC_8) - 8d0*cima*coupl(  &
                      nGC_3)*coupl(nGC_8) - 105d0*coupl(nGC_1)**2d0*coupl(     &
                      nGC_116)*sq2**2d0 - 24d0*coupl(nGC_1)**2d0*coupl(nGC_8)* &
                      sq2**2d0)/(1536d0*pi**2d0)
    coupl(nGC_2739) = Nc*coupl(nGC_1)*sq2*(-66d0*cima*coupl(nGC_1)*coupl(nGC_9 &
                      )*sq2**2d0 - 76d0*cima*coupl(nGC_116)*coupl(nGC_1640) +  &
                      8d0*cima*coupl(nGC_116)*coupl(nGC_1642) - 28d0*cima*coupl&
                      (nGC_116)*coupl(nGC_1648) - 40d0*cima*coupl(nGC_116)*    &
                      coupl(nGC_3) - 8d0*cima*coupl(nGC_1640)*coupl(nGC_8) +   &
                      4d0*cima*coupl(nGC_1648)*coupl(nGC_8) - 12d0*cima*coupl( &
                      nGC_3)*coupl(nGC_8) + 105d0*coupl(nGC_1)**2d0*coupl(     &
                      nGC_116)*sq2**2d0 + 24d0*coupl(nGC_1)**2d0*coupl(nGC_8)* &
                      sq2**2d0)/(1536d0*pi**2d0)
    coupl(nGC_7515) = 2d0*coupl(nGC_3741)
    coupl(nGC_7514) = -coupl(nGC_3741)
    coupl(nGC_2743) = Nc*coupl(nGC_1)*sq2*(66d0*cima*coupl(nGC_1)*coupl(nGC_9)*&
                      sq2**2d0 + 72d0*cima*coupl(nGC_116)*coupl(nGC_1640) -    &
                      12d0*cima*coupl(nGC_116)*coupl(nGC_1642) + 24d0*cima*    &
                      coupl(nGC_116)*coupl(nGC_1648) + 36d0*cima*coupl(nGC_116 &
                      )*coupl(nGC_3) + 12d0*cima*coupl(nGC_1640)*coupl(nGC_8   &
                      ) + 4d0*cima*coupl(nGC_1642)*coupl(nGC_8) + 16d0*cima*   &
                      coupl(nGC_3)*coupl(nGC_8) - 105d0*coupl(nGC_1)**2d0*coupl&
                      (nGC_116)*sq2**2d0 - 24d0*coupl(nGC_1)**2d0*coupl(nGC_8)*&
                      sq2**2d0)/(1536d0*pi**2d0)
    coupl(nGC_2742) = Nc*coupl(nGC_1)*sq2*(66d0*cima*coupl(nGC_1)*coupl(nGC_9)*&
                      sq2**2d0 + 80d0*cima*coupl(nGC_116)*coupl(nGC_1640) - 4d0&
                      *cima*coupl(nGC_116)*coupl(nGC_1642) + 32d0*cima*coupl(  &
                      nGC_116)*coupl(nGC_1648) + 44d0*cima*coupl(nGC_116)*coupl&
                      (nGC_3) + 16d0*cima*coupl(nGC_1640)*coupl(nGC_8) + 8d0*  &
                      cima*coupl(nGC_1642)*coupl(nGC_8) + 4d0*cima*coupl(      &
                      nGC_1648)*coupl(nGC_8) + 20d0*cima*coupl(nGC_3)*coupl(   &
                      nGC_8) - 105d0*coupl(nGC_1)**2d0*coupl(nGC_116)*sq2**2d0 &
                       - 24d0*coupl(nGC_1)**2d0*coupl(nGC_8)*sq2**2d0)/(1536d0*&
                      pi**2d0)
    coupl(nGC_2741) = Nc*coupl(nGC_1)*sq2*(66d0*cima*coupl(nGC_1)*coupl(nGC_9)*&
                      sq2**2d0 - 36d0*cima*coupl(nGC_116)*coupl(nGC_1640) -    &
                      24d0*cima*coupl(nGC_116)*coupl(nGC_1642) + 12d0*cima*    &
                      coupl(nGC_116)*coupl(nGC_1648) - 72d0*cima*coupl(nGC_116 &
                      )*coupl(nGC_3) - 16d0*cima*coupl(nGC_1640)*coupl(nGC_8   &
                      ) - 4d0*cima*coupl(nGC_1648)*coupl(nGC_8) - 12d0*cima*   &
                      coupl(nGC_3)*coupl(nGC_8) - 105d0*coupl(nGC_1)**2d0*coupl&
                      (nGC_116)*sq2**2d0 - 24d0*coupl(nGC_1)**2d0*coupl(nGC_8)*&
                      sq2**2d0)/(1536d0*pi**2d0)
    coupl(nGC_2740) = Nc*coupl(nGC_1)*sq2*(-66d0*cima*coupl(nGC_1)*coupl(nGC_9 &
                      )*sq2**2d0 + 44d0*cima*coupl(nGC_116)*coupl(nGC_1640) +  &
                      32d0*cima*coupl(nGC_116)*coupl(nGC_1642) - 4d0*cima*coupl&
                      (nGC_116)*coupl(nGC_1648) + 80d0*cima*coupl(nGC_116)*    &
                      coupl(nGC_3) + 20d0*cima*coupl(nGC_1640)*coupl(nGC_8) +  &
                      4d0*cima*coupl(nGC_1642)*coupl(nGC_8) + 8d0*cima*coupl(  &
                      nGC_1648)*coupl(nGC_8) + 16d0*cima*coupl(nGC_3)*coupl(   &
                      nGC_8) + 105d0*coupl(nGC_1)**2d0*coupl(nGC_116)*sq2**2d0 &
                       + 24d0*coupl(nGC_1)**2d0*coupl(nGC_8)*sq2**2d0)/(1536d0*&
                      pi**2d0)
    coupl(nGC_2747) = Nc*coupl(nGC_1)*sq2*(-66d0*cima*coupl(nGC_1)*coupl(nGC_9 &
                      )*sq2**2d0 + 36d0*cima*coupl(nGC_116)*coupl(nGC_1640) +  &
                      24d0*cima*coupl(nGC_116)*coupl(nGC_1642) - 12d0*cima*    &
                      coupl(nGC_116)*coupl(nGC_1648) + 72d0*cima*coupl(nGC_116 &
                      )*coupl(nGC_3) + 16d0*cima*coupl(nGC_1640)*coupl(nGC_8   &
                      ) + 4d0*cima*coupl(nGC_1648)*coupl(nGC_8) + 12d0*cima*   &
                      coupl(nGC_3)*coupl(nGC_8) + 105d0*coupl(nGC_1)**2d0*coupl&
                      (nGC_116)*sq2**2d0 + 24d0*coupl(nGC_1)**2d0*coupl(nGC_8)*&
                      sq2**2d0)/(1536d0*pi**2d0)
  end subroutine fill_CTcouplings_mdl4
end module fill_ctcouplings4
