!******************************************************************************!
!                                                                              !
!    fill_ctcouplings5.f90                                                     !
!    is part of RECOLA2 (REcursive Computation of One Loop Amplitudes)2        !
!                                                                              !
!    Copyright (C) 2016-2018 Ansgar Denner, Jean-Nicolas Lang and              !
!                            Sandro Uccirati                                   !
!                                                                              !
!    RECOLA2 is licenced under the GNU GPL version 3,                          !
!    see COPYING for details.                                                  !
!                                                                              !
!******************************************************************************!
!                                                           .---.              !
!                                                          /  .  \             !
!                                                         |\_/|   |            !
!                                                         |   |  /|            !
!          .----------------------------------------------------' |            !
!         /  .-.   fill_ctcouplings5.f90                          |            !
!        |  /   \  This code was generated with REPT1L.           |            !
!        | |\_.  | Change this file and you get what you deserve. |            !
!        |\|  | /| Author: J.N. Lang                              |            !
!        | `---' | UFO date: 03/2019                              |            !
!        |       | UFO version: 1.0                               |            !
!        |       | Generation date: 2019-10-14 13:42             /             !
!        |       |----------------------------------------------'              !
!        \       |                                                             !
!         \     /                                                              !
!          `---'                                                               !
!******************************************************************************!
module fill_ctcouplings5
  use constants_mdl
  use class_couplings
  use class_ctparameters
  implicit none
  contains
  subroutine fill_CTcouplings_mdl5()
    coupl(nGC_2746) = Nc*coupl(nGC_1)*sq2*(66d0*cima*coupl(nGC_1)*coupl(nGC_9)*&
                      sq2**2d0 - 44d0*cima*coupl(nGC_116)*coupl(nGC_1640) -    &
                      32d0*cima*coupl(nGC_116)*coupl(nGC_1642) + 4d0*cima*coupl&
                      (nGC_116)*coupl(nGC_1648) - 80d0*cima*coupl(nGC_116)*    &
                      coupl(nGC_3) - 20d0*cima*coupl(nGC_1640)*coupl(nGC_8) -  &
                      4d0*cima*coupl(nGC_1642)*coupl(nGC_8) - 8d0*cima*coupl(  &
                      nGC_1648)*coupl(nGC_8) - 16d0*cima*coupl(nGC_3)*coupl(   &
                      nGC_8) - 105d0*coupl(nGC_1)**2d0*coupl(nGC_116)*sq2**2d0 &
                       - 24d0*coupl(nGC_1)**2d0*coupl(nGC_8)*sq2**2d0)/(1536d0*&
                      pi**2d0)
    coupl(nGC_2745) = Nc*coupl(nGC_1)*sq2*(66d0*cima*coupl(nGC_1)*coupl(nGC_9)*&
                      sq2**2d0 + 76d0*cima*coupl(nGC_116)*coupl(nGC_1640) - 8d0&
                      *cima*coupl(nGC_116)*coupl(nGC_1642) + 28d0*cima*coupl(  &
                      nGC_116)*coupl(nGC_1648) + 40d0*cima*coupl(nGC_116)*coupl&
                      (nGC_3) + 8d0*cima*coupl(nGC_1640)*coupl(nGC_8) - 4d0*   &
                      cima*coupl(nGC_1648)*coupl(nGC_8) + 12d0*cima*coupl(nGC_3&
                      )*coupl(nGC_8) - 105d0*coupl(nGC_1)**2d0*coupl(nGC_116)* &
                      sq2**2d0 - 24d0*coupl(nGC_1)**2d0*coupl(nGC_8)*sq2**2d0  &
                      )/(1536d0*pi**2d0)
    coupl(nGC_8580) = -coupl(nGC_2761)
    coupl(nGC_2749) = (640d0*cima*coupl(nGC_1)**3d0*coupl(nGC_12)*sq2**4d0 +   &
                      52d0*cima*coupl(nGC_1)**2d0*coupl(nGC_11)*coupl(nGC_1640 &
                      )*sq2**2d0 - 52d0*cima*coupl(nGC_1)**2d0*coupl(nGC_11)*  &
                      coupl(nGC_1642)*sq2**2d0 + 8d0*cima*coupl(nGC_1)**2d0*   &
                      coupl(nGC_11)*coupl(nGC_1648)*sq2**2d0 - 164d0*cima*coupl&
                      (nGC_1)**2d0*coupl(nGC_11)*coupl(nGC_3)*sq2**2d0 + 492d0*&
                      cima*coupl(nGC_1)**2d0*coupl(nGC_1640)*coupl(nGC_372)*sq2&
                      **2d0 - 492d0*cima*coupl(nGC_1)**2d0*coupl(nGC_1642)*    &
                      coupl(nGC_372)*sq2**2d0 - 60d0*cima*coupl(nGC_1)**2d0*   &
                      coupl(nGC_1648)*coupl(nGC_372)*sq2**2d0 - 804d0*cima*    &
                      coupl(nGC_1)**2d0*coupl(nGC_3)*coupl(nGC_372)*sq2**2d0 - &
                      96d0*cima*coupl(nGC_13)*coupl(nGC_1642) + 96d0*cima*coupl&
                      (nGC_1390)*coupl(nGC_1642) + 96d0*cima*coupl(nGC_1392)*  &
                      coupl(nGC_1640) - 96d0*cima*coupl(nGC_1392)*coupl(nGC_3  &
                      ) - 123d0*coupl(nGC_1)**4d0*coupl(nGC_11)*sq2**4d0 -     &
                      862d0*coupl(nGC_1)**4d0*coupl(nGC_372)*sq2**4d0 - 144d0* &
                      coupl(nGC_1)**2d0*coupl(nGC_13)*sq2**2d0 + 144d0*coupl(  &
                      nGC_1)**2d0*coupl(nGC_1390)*sq2**2d0 - 144d0*coupl(nGC_1 &
                      )**2d0*coupl(nGC_1392)*sq2**2d0 - 48d0*coupl(nGC_1)**2d0*&
                      coupl(nGC_1396)*sq2**2d0 + 192d0*coupl(nGC_1)*coupl(     &
                      nGC_12)*coupl(nGC_1640)*sq2**2d0 - 192d0*coupl(nGC_1)*   &
                      coupl(nGC_12)*coupl(nGC_1642)*sq2**2d0 - 384d0*coupl(    &
                      nGC_1)*coupl(nGC_12)*coupl(nGC_3)*sq2**2d0 - 48d0*coupl( &
                      nGC_11)*coupl(nGC_1640)*coupl(nGC_1642) + 48d0*coupl(    &
                      nGC_11)*coupl(nGC_1642)*coupl(nGC_3) - 192d0*coupl(      &
                      nGC_1640)**2d0*coupl(nGC_372) - 528d0*coupl(nGC_1640)*   &
                      coupl(nGC_1642)*coupl(nGC_372) + 96d0*coupl(nGC_1640)*   &
                      coupl(nGC_1648)*coupl(nGC_372) + 192d0*coupl(nGC_1640)*  &
                      coupl(nGC_3)*coupl(nGC_372) - 48d0*coupl(nGC_1642)**2d0* &
                      coupl(nGC_372) + 48d0*coupl(nGC_1642)*coupl(nGC_1648)*   &
                      coupl(nGC_372) + 432d0*coupl(nGC_1642)*coupl(nGC_3)*coupl&
                      (nGC_372))/(6144d0*pi**2d0)
    coupl(nGC_2748) = Nc*coupl(nGC_1)*sq2*(-66d0*cima*coupl(nGC_1)*coupl(nGC_9 &
                      )*sq2**2d0 - 80d0*cima*coupl(nGC_116)*coupl(nGC_1640) +  &
                      4d0*cima*coupl(nGC_116)*coupl(nGC_1642) - 32d0*cima*coupl&
                      (nGC_116)*coupl(nGC_1648) - 44d0*cima*coupl(nGC_116)*    &
                      coupl(nGC_3) - 16d0*cima*coupl(nGC_1640)*coupl(nGC_8) -  &
                      8d0*cima*coupl(nGC_1642)*coupl(nGC_8) - 4d0*cima*coupl(  &
                      nGC_1648)*coupl(nGC_8) - 20d0*cima*coupl(nGC_3)*coupl(   &
                      nGC_8) + 105d0*coupl(nGC_1)**2d0*coupl(nGC_116)*sq2**2d0 &
                       + 24d0*coupl(nGC_1)**2d0*coupl(nGC_8)*sq2**2d0)/(1536d0*&
                      pi**2d0)
    coupl(nGC_3515) = coupl(nGC_3375) + coupl(nGC_3513)
    coupl(nGC_3516) = coupl(nGC_3375) + coupl(nGC_3514)
    coupl(nGC_2750) = (640d0*cima*coupl(nGC_1)**3d0*coupl(nGC_12)*sq2**4d0 +   &
                      92d0*cima*coupl(nGC_1)**2d0*coupl(nGC_11)*coupl(nGC_1640 &
                      )*sq2**2d0 - 92d0*cima*coupl(nGC_1)**2d0*coupl(nGC_11)*  &
                      coupl(nGC_1642)*sq2**2d0 - 32d0*cima*coupl(nGC_1)**2d0*  &
                      coupl(nGC_11)*coupl(nGC_1648)*sq2**2d0 - 124d0*cima*coupl&
                      (nGC_1)**2d0*coupl(nGC_11)*coupl(nGC_3)*sq2**2d0 + 588d0*&
                      cima*coupl(nGC_1)**2d0*coupl(nGC_1640)*coupl(nGC_372)*sq2&
                      **2d0 - 588d0*cima*coupl(nGC_1)**2d0*coupl(nGC_1642)*    &
                      coupl(nGC_372)*sq2**2d0 - 156d0*cima*coupl(nGC_1)**2d0*  &
                      coupl(nGC_1648)*coupl(nGC_372)*sq2**2d0 - 708d0*cima*    &
                      coupl(nGC_1)**2d0*coupl(nGC_3)*coupl(nGC_372)*sq2**2d0 - &
                      96d0*cima*coupl(nGC_13)*coupl(nGC_1642) + 96d0*cima*coupl&
                      (nGC_1390)*coupl(nGC_1642) + 96d0*cima*coupl(nGC_1392)*  &
                      coupl(nGC_1640) - 96d0*cima*coupl(nGC_1392)*coupl(nGC_3  &
                      ) - 123d0*coupl(nGC_1)**4d0*coupl(nGC_11)*sq2**4d0 -     &
                      862d0*coupl(nGC_1)**4d0*coupl(nGC_372)*sq2**4d0 - 168d0* &
                      coupl(nGC_1)**2d0*coupl(nGC_13)*sq2**2d0 + 120d0*coupl(  &
                      nGC_1)**2d0*coupl(nGC_1390)*sq2**2d0 - 120d0*coupl(nGC_1 &
                      )**2d0*coupl(nGC_1392)*sq2**2d0 - 24d0*coupl(nGC_1)**2d0*&
                      coupl(nGC_1396)*sq2**2d0 + 264d0*coupl(nGC_1)*coupl(     &
                      nGC_12)*coupl(nGC_1640)*sq2**2d0 - 264d0*coupl(nGC_1)*   &
                      coupl(nGC_12)*coupl(nGC_1642)*sq2**2d0 - 72d0*coupl(nGC_1&
                      )*coupl(nGC_12)*coupl(nGC_1648)*sq2**2d0 - 312d0*coupl(  &
                      nGC_1)*coupl(nGC_12)*coupl(nGC_3)*sq2**2d0 - 48d0*coupl( &
                      nGC_11)*coupl(nGC_1640)*coupl(nGC_1642) + 48d0*coupl(    &
                      nGC_11)*coupl(nGC_1642)*coupl(nGC_3) - 192d0*coupl(      &
                      nGC_1640)**2d0*coupl(nGC_372) - 528d0*coupl(nGC_1640)*   &
                      coupl(nGC_1642)*coupl(nGC_372) + 96d0*coupl(nGC_1640)*   &
                      coupl(nGC_1648)*coupl(nGC_372) + 192d0*coupl(nGC_1640)*  &
                      coupl(nGC_3)*coupl(nGC_372) - 48d0*coupl(nGC_1642)**2d0* &
                      coupl(nGC_372) + 48d0*coupl(nGC_1642)*coupl(nGC_1648)*   &
                      coupl(nGC_372) + 432d0*coupl(nGC_1642)*coupl(nGC_3)*coupl&
                      (nGC_372))/(6144d0*pi**2d0)
    coupl(nGC_2751) = (640d0*cima*coupl(nGC_1)**3d0*coupl(nGC_12)*sq2**4d0 +   &
                      108d0*cima*coupl(nGC_1)**2d0*coupl(nGC_11)*coupl(nGC_1640&
                      )*sq2**2d0 - 108d0*cima*coupl(nGC_1)**2d0*coupl(nGC_11)* &
                      coupl(nGC_1642)*sq2**2d0 - 48d0*cima*coupl(nGC_1)**2d0*  &
                      coupl(nGC_11)*coupl(nGC_1648)*sq2**2d0 - 108d0*cima*coupl&
                      (nGC_1)**2d0*coupl(nGC_11)*coupl(nGC_3)*sq2**2d0 + 540d0*&
                      cima*coupl(nGC_1)**2d0*coupl(nGC_1640)*coupl(nGC_372)*sq2&
                      **2d0 - 540d0*cima*coupl(nGC_1)**2d0*coupl(nGC_1642)*    &
                      coupl(nGC_372)*sq2**2d0 - 108d0*cima*coupl(nGC_1)**2d0*  &
                      coupl(nGC_1648)*coupl(nGC_372)*sq2**2d0 - 756d0*cima*    &
                      coupl(nGC_1)**2d0*coupl(nGC_3)*coupl(nGC_372)*sq2**2d0 - &
                      96d0*cima*coupl(nGC_13)*coupl(nGC_1642) + 96d0*cima*coupl&
                      (nGC_1390)*coupl(nGC_1642) + 96d0*cima*coupl(nGC_1392)*  &
                      coupl(nGC_1640) - 96d0*cima*coupl(nGC_1392)*coupl(nGC_3  &
                      ) - 123d0*coupl(nGC_1)**4d0*coupl(nGC_11)*sq2**4d0 -     &
                      862d0*coupl(nGC_1)**4d0*coupl(nGC_372)*sq2**4d0 - 192d0* &
                      coupl(nGC_1)**2d0*coupl(nGC_13)*sq2**2d0 + 96d0*coupl(   &
                      nGC_1)**2d0*coupl(nGC_1390)*sq2**2d0 - 96d0*coupl(nGC_1  &
                      )**2d0*coupl(nGC_1392)*sq2**2d0 + 264d0*coupl(nGC_1)*    &
                      coupl(nGC_12)*coupl(nGC_1640)*sq2**2d0 - 264d0*coupl(    &
                      nGC_1)*coupl(nGC_12)*coupl(nGC_1642)*sq2**2d0 - 72d0*    &
                      coupl(nGC_1)*coupl(nGC_12)*coupl(nGC_1648)*sq2**2d0 -    &
                      312d0*coupl(nGC_1)*coupl(nGC_12)*coupl(nGC_3)*sq2**2d0 - &
                      48d0*coupl(nGC_11)*coupl(nGC_1640)*coupl(nGC_1642) + 48d0&
                      *coupl(nGC_11)*coupl(nGC_1642)*coupl(nGC_3) - 192d0*coupl&
                      (nGC_1640)**2d0*coupl(nGC_372) - 528d0*coupl(nGC_1640)*  &
                      coupl(nGC_1642)*coupl(nGC_372) + 96d0*coupl(nGC_1640)*   &
                      coupl(nGC_1648)*coupl(nGC_372) + 192d0*coupl(nGC_1640)*  &
                      coupl(nGC_3)*coupl(nGC_372) - 48d0*coupl(nGC_1642)**2d0* &
                      coupl(nGC_372) + 48d0*coupl(nGC_1642)*coupl(nGC_1648)*   &
                      coupl(nGC_372) + 432d0*coupl(nGC_1642)*coupl(nGC_3)*coupl&
                      (nGC_372))/(6144d0*pi**2d0)
    coupl(nGC_2752) = Nc*(-256d0*cima*coupl(nGC_1)**3d0*coupl(nGC_12)*sq2**4d0 &
                       - 148d0*cima*coupl(nGC_1)**2d0*coupl(nGC_11)*coupl(     &
                      nGC_1640)*sq2**2d0 + 16d0*cima*coupl(nGC_1)**2d0*coupl(  &
                      nGC_11)*coupl(nGC_1642)*sq2**2d0 + 148d0*cima*coupl(nGC_1&
                      )**2d0*coupl(nGC_11)*coupl(nGC_3)*sq2**2d0 - 836d0*cima* &
                      coupl(nGC_1)**2d0*coupl(nGC_1640)*coupl(nGC_372)*sq2**2d0&
                       + 4d0*cima*coupl(nGC_1)**2d0*coupl(nGC_1642)*coupl(     &
                      nGC_372)*sq2**2d0 + 28d0*cima*coupl(nGC_1)**2d0*coupl(   &
                      nGC_1648)*coupl(nGC_372)*sq2**2d0 + 772d0*cima*coupl(    &
                      nGC_1)**2d0*coupl(nGC_3)*coupl(nGC_372)*sq2**2d0 - 192d0*&
                      cima*coupl(nGC_13)*coupl(nGC_1640) - 192d0*cima*coupl(   &
                      nGC_1390)*coupl(nGC_3) + 63d0*coupl(nGC_1)**4d0*coupl(   &
                      nGC_11)*sq2**4d0 + 350d0*coupl(nGC_1)**4d0*coupl(nGC_372 &
                      )*sq2**4d0 - 336d0*coupl(nGC_1)**2d0*coupl(nGC_1390)*sq2 &
                      **2d0 - 192d0*coupl(nGC_1)*coupl(nGC_12)*coupl(nGC_1640)*&
                      sq2**2d0 + 480d0*coupl(nGC_1)*coupl(nGC_12)*coupl(nGC_3)*&
                      sq2**2d0 + 96d0*coupl(nGC_11)*coupl(nGC_1640)*coupl(nGC_3&
                      ) + 96d0*coupl(nGC_1640)*coupl(nGC_1648)*coupl(nGC_372   &
                      ) + 1056d0*coupl(nGC_1640)*coupl(nGC_3)*coupl(nGC_372) + &
                      96d0*coupl(nGC_1642)*coupl(nGC_1648)*coupl(nGC_372) +    &
                      96d0*coupl(nGC_1642)*coupl(nGC_3)*coupl(nGC_372))/(6144d0&
                      *pi**2d0)
    coupl(nGC_7978) = -coupl(nGC_4204)
    coupl(nGC_2754) = Nc*(-256d0*cima*coupl(nGC_1)**3d0*coupl(nGC_12)*sq2**4d0 &
                       - 188d0*cima*coupl(nGC_1)**2d0*coupl(nGC_11)*coupl(     &
                      nGC_1640)*sq2**2d0 + 4d0*cima*coupl(nGC_1)**2d0*coupl(   &
                      nGC_11)*coupl(nGC_1642)*sq2**2d0 - 12d0*cima*coupl(nGC_1 &
                      )**2d0*coupl(nGC_11)*coupl(nGC_1648)*sq2**2d0 + 108d0*   &
                      cima*coupl(nGC_1)**2d0*coupl(nGC_11)*coupl(nGC_3)*sq2**  &
                      2d0 - 1040d0*cima*coupl(nGC_1)**2d0*coupl(nGC_1640)*coupl&
                      (nGC_372)*sq2**2d0 - 32d0*cima*coupl(nGC_1)**2d0*coupl(  &
                      nGC_1642)*coupl(nGC_372)*sq2**2d0 - 8d0*cima*coupl(nGC_1 &
                      )**2d0*coupl(nGC_1648)*coupl(nGC_372)*sq2**2d0 + 568d0*  &
                      cima*coupl(nGC_1)**2d0*coupl(nGC_3)*coupl(nGC_372)*sq2** &
                      2d0 - 192d0*cima*coupl(nGC_13)*coupl(nGC_1640) - 192d0*  &
                      cima*coupl(nGC_1390)*coupl(nGC_3) + 63d0*coupl(nGC_1)**  &
                      4d0*coupl(nGC_11)*sq2**4d0 + 350d0*coupl(nGC_1)**4d0*    &
                      coupl(nGC_372)*sq2**4d0 - 336d0*coupl(nGC_1)**2d0*coupl( &
                      nGC_1390)*sq2**2d0 - 312d0*coupl(nGC_1)*coupl(nGC_12)*   &
                      coupl(nGC_1640)*sq2**2d0 + 360d0*coupl(nGC_1)*coupl(     &
                      nGC_12)*coupl(nGC_3)*sq2**2d0 + 96d0*coupl(nGC_11)*coupl(&
                      nGC_1640)*coupl(nGC_3) + 96d0*coupl(nGC_1640)*coupl(     &
                      nGC_1648)*coupl(nGC_372) + 1056d0*coupl(nGC_1640)*coupl( &
                      nGC_3)*coupl(nGC_372) + 96d0*coupl(nGC_1642)*coupl(      &
                      nGC_1648)*coupl(nGC_372) + 96d0*coupl(nGC_1642)*coupl(   &
                      nGC_3)*coupl(nGC_372))/(6144d0*pi**2d0)
    coupl(nGC_2756) = Nc*(-128d0*cima*coupl(nGC_1)**3d0*coupl(nGC_12)*sq2**4d0 &
                       + 40d0*cima*coupl(nGC_1)**2d0*coupl(nGC_11)*coupl(      &
                      nGC_1640)*sq2**2d0 - 64d0*cima*coupl(nGC_1)**2d0*coupl(  &
                      nGC_11)*coupl(nGC_1642)*sq2**2d0 + 64d0*cima*coupl(nGC_1 &
                      )**2d0*coupl(nGC_11)*coupl(nGC_1648)*sq2**2d0 - 24d0*cima&
                      *coupl(nGC_1)**2d0*coupl(nGC_11)*coupl(nGC_3)*sq2**2d0 + &
                      112d0*cima*coupl(nGC_1)**2d0*coupl(nGC_1640)*coupl(      &
                      nGC_372)*sq2**2d0 - 224d0*cima*coupl(nGC_1)**2d0*coupl(  &
                      nGC_1642)*coupl(nGC_372)*sq2**2d0 + 160d0*cima*coupl(    &
                      nGC_1)**2d0*coupl(nGC_1648)*coupl(nGC_372)*sq2**2d0 -    &
                      80d0*cima*coupl(nGC_1)**2d0*coupl(nGC_3)*coupl(nGC_372)* &
                      sq2**2d0 - 3d0*coupl(nGC_1)**4d0*coupl(nGC_11)*sq2**4d0  &
                       + 162d0*coupl(nGC_1)**4d0*coupl(nGC_372)*sq2**4d0 - 96d0&
                      *coupl(nGC_1)**2d0*coupl(nGC_1392)*sq2**2d0 - 72d0*coupl(&
                      nGC_1)*coupl(nGC_12)*coupl(nGC_1642)*sq2**2d0 + 120d0*   &
                      coupl(nGC_1)*coupl(nGC_12)*coupl(nGC_1648)*sq2**2d0 +    &
                      192d0*coupl(nGC_1640)*coupl(nGC_1648)*coupl(nGC_372) +   &
                      192d0*coupl(nGC_1642)*coupl(nGC_3)*coupl(nGC_372))/(     &
                      6144d0*pi**2d0)
    coupl(nGC_2758) = Nc*(-128d0*cima*coupl(nGC_1)**3d0*coupl(nGC_12)*sq2**4d0 &
                       + 32d0*cima*coupl(nGC_1)**2d0*coupl(nGC_11)*coupl(      &
                      nGC_1640)*sq2**2d0 - 64d0*cima*coupl(nGC_1)**2d0*coupl(  &
                      nGC_11)*coupl(nGC_1642)*sq2**2d0 + 64d0*cima*coupl(nGC_1 &
                      )**2d0*coupl(nGC_11)*coupl(nGC_1648)*sq2**2d0 - 32d0*cima&
                      *coupl(nGC_1)**2d0*coupl(nGC_11)*coupl(nGC_3)*sq2**2d0 + &
                      96d0*cima*coupl(nGC_1)**2d0*coupl(nGC_1640)*coupl(nGC_372&
                      )*sq2**2d0 - 192d0*cima*coupl(nGC_1)**2d0*coupl(nGC_1642 &
                      )*coupl(nGC_372)*sq2**2d0 + 192d0*cima*coupl(nGC_1)**2d0*&
                      coupl(nGC_1648)*coupl(nGC_372)*sq2**2d0 - 96d0*cima*coupl&
                      (nGC_1)**2d0*coupl(nGC_3)*coupl(nGC_372)*sq2**2d0 - 3d0* &
                      coupl(nGC_1)**4d0*coupl(nGC_11)*sq2**4d0 + 162d0*coupl(  &
                      nGC_1)**4d0*coupl(nGC_372)*sq2**4d0 + 96d0*coupl(nGC_1)**&
                      2d0*coupl(nGC_1396)*sq2**2d0 - 144d0*coupl(nGC_1)*coupl( &
                      nGC_12)*coupl(nGC_1642)*sq2**2d0 + 48d0*coupl(nGC_1)*    &
                      coupl(nGC_12)*coupl(nGC_1648)*sq2**2d0 - 192d0*coupl(    &
                      nGC_1640)*coupl(nGC_1642)*coupl(nGC_372) - 192d0*coupl(  &
                      nGC_1648)*coupl(nGC_3)*coupl(nGC_372))/(6144d0*pi**2d0)
    coupl(nGC_2759) = Nc*(-256d0*cima*coupl(nGC_1)**3d0*coupl(nGC_12)*sq2**4d0 &
                       - 148d0*cima*coupl(nGC_1)**2d0*coupl(nGC_11)*coupl(     &
                      nGC_1640)*sq2**2d0 + 8d0*cima*coupl(nGC_1)**2d0*coupl(   &
                      nGC_11)*coupl(nGC_1642)*sq2**2d0 - 8d0*cima*coupl(nGC_1  &
                      )**2d0*coupl(nGC_11)*coupl(nGC_1648)*sq2**2d0 + 148d0*   &
                      cima*coupl(nGC_1)**2d0*coupl(nGC_11)*coupl(nGC_3)*sq2**  &
                      2d0 - 804d0*cima*coupl(nGC_1)**2d0*coupl(nGC_1640)*coupl(&
                      nGC_372)*sq2**2d0 - 12d0*cima*coupl(nGC_1)**2d0*coupl(   &
                      nGC_1642)*coupl(nGC_372)*sq2**2d0 + 12d0*cima*coupl(nGC_1&
                      )**2d0*coupl(nGC_1648)*coupl(nGC_372)*sq2**2d0 + 804d0*  &
                      cima*coupl(nGC_1)**2d0*coupl(nGC_3)*coupl(nGC_372)*sq2** &
                      2d0 + 192d0*cima*coupl(nGC_13)*coupl(nGC_3) + 192d0*cima*&
                      coupl(nGC_1390)*coupl(nGC_1640) + 63d0*coupl(nGC_1)**4d0*&
                      coupl(nGC_11)*sq2**4d0 + 350d0*coupl(nGC_1)**4d0*coupl(  &
                      nGC_372)*sq2**4d0 + 336d0*coupl(nGC_1)**2d0*coupl(nGC_13 &
                      )*sq2**2d0 - 504d0*coupl(nGC_1)*coupl(nGC_12)*coupl(     &
                      nGC_1640)*sq2**2d0 + 168d0*coupl(nGC_1)*coupl(nGC_12)*   &
                      coupl(nGC_3)*sq2**2d0 - 48d0*coupl(nGC_11)*coupl(nGC_1640&
                      )**2d0 - 48d0*coupl(nGC_11)*coupl(nGC_3)**2d0 - 528d0*   &
                      coupl(nGC_1640)**2d0*coupl(nGC_372) - 96d0*coupl(nGC_1640&
                      )*coupl(nGC_1642)*coupl(nGC_372) - 48d0*coupl(nGC_1642)**&
                      2d0*coupl(nGC_372) - 48d0*coupl(nGC_1648)**2d0*coupl(    &
                      nGC_372) - 96d0*coupl(nGC_1648)*coupl(nGC_3)*coupl(      &
                      nGC_372) - 528d0*coupl(nGC_3)**2d0*coupl(nGC_372))/(     &
                      6144d0*pi**2d0)
    coupl(nGC_2691) = (-8d0*Nc*cima*coupl(nGC_1)**4d0*sq2**4d0 + 12d0*Nc*cima* &
                      coupl(nGC_1640)**2d0 + 12d0*Nc*cima*coupl(nGC_3)**2d0 -  &
                      21d0*Nc*coupl(nGC_1)**2d0*coupl(nGC_1640)*sq2**2d0 + 21d0&
                      *Nc*coupl(nGC_1)**2d0*coupl(nGC_3)*sq2**2d0 + 30d0*cima* &
                      coupl(nGC_2)**4d0*sq2**4d0)/(768d0*pi**2d0)
    coupl(nGC_2693) = (10d0*Nc*cima*coupl(nGC_1)**4d0*sq2**4d0 + 6d0*Nc*cima*  &
                      coupl(nGC_1640)*coupl(nGC_1642) - 6d0*Nc*cima*coupl(     &
                      nGC_1642)*coupl(nGC_3) + 6d0*Nc*coupl(nGC_1)**2d0*coupl( &
                      nGC_1640)*sq2**2d0 - 6d0*Nc*coupl(nGC_1)**2d0*coupl(     &
                      nGC_1642)*sq2**2d0 - 12d0*Nc*coupl(nGC_1)**2d0*coupl(    &
                      nGC_3)*sq2**2d0 - 5d0*cima*coupl(nGC_2)**4d0*sq2**4d0)/( &
                      384d0*pi**2d0*Nc)
    coupl(nGC_2692) = (20d0*Nc*cima*coupl(nGC_1)**4d0*sq2**4d0 + 12d0*Nc*cima* &
                      coupl(nGC_1640)*coupl(nGC_1642) - 12d0*Nc*cima*coupl(    &
                      nGC_1642)*coupl(nGC_3) + 15d0*Nc*coupl(nGC_1)**2d0*coupl(&
                      nGC_1640)*sq2**2d0 - 15d0*Nc*coupl(nGC_1)**2d0*coupl(    &
                      nGC_1642)*sq2**2d0 - 3d0*Nc*coupl(nGC_1)**2d0*coupl(     &
                      nGC_1648)*sq2**2d0 - 21d0*Nc*coupl(nGC_1)**2d0*coupl(    &
                      nGC_3)*sq2**2d0 - 10d0*cima*coupl(nGC_2)**4d0*sq2**4d0)/(&
                      768d0*pi**2d0*Nc)
    coupl(nGC_2695) = (-5d0*cima*coupl(nGC_1)**4d0*sq2**4d0 + 3d0*cima*coupl(  &
                      nGC_1640)**2d0 - 6d0*cima*coupl(nGC_1640)*coupl(nGC_3) + &
                      3d0*cima*coupl(nGC_3)**2d0 - 6d0*coupl(nGC_1)**2d0*coupl(&
                      nGC_1640)*sq2**2d0 + 9d0*coupl(nGC_1)**2d0*coupl(nGC_3)* &
                      sq2**2d0)/(96d0*pi**2d0)
    coupl(nGC_2694) = (10d0*Nc*cima*coupl(nGC_1)**4d0*sq2**4d0 + 6d0*Nc*cima*  &
                      coupl(nGC_1640)*coupl(nGC_1642) - 6d0*Nc*cima*coupl(     &
                      nGC_1642)*coupl(nGC_3) + 9d0*Nc*coupl(nGC_1)**2d0*coupl( &
                      nGC_1640)*sq2**2d0 - 9d0*Nc*coupl(nGC_1)**2d0*coupl(     &
                      nGC_1642)*sq2**2d0 - 3d0*Nc*coupl(nGC_1)**2d0*coupl(     &
                      nGC_1648)*sq2**2d0 - 9d0*Nc*coupl(nGC_1)**2d0*coupl(nGC_3&
                      )*sq2**2d0 - 5d0*cima*coupl(nGC_2)**4d0*sq2**4d0)/(384d0*&
                      pi**2d0*Nc)
    coupl(nGC_2697) = (-10d0*cima*coupl(nGC_1)**4d0*sq2**4d0 + 6d0*cima*coupl( &
                      nGC_1642)**2d0 + 3d0*coupl(nGC_1)**2d0*coupl(nGC_1640)*  &
                      sq2**2d0 + 15d0*coupl(nGC_1)**2d0*coupl(nGC_1642)*sq2**  &
                      2d0 + 3d0*coupl(nGC_1)**2d0*coupl(nGC_3)*sq2**2d0)/(192d0&
                      *pi**2d0)
    coupl(nGC_2696) = (-20d0*cima*coupl(nGC_1)**4d0*sq2**4d0 + 12d0*cima*coupl(&
                      nGC_1642)**2d0 + 3d0*coupl(nGC_1)**2d0*coupl(nGC_1640)*  &
                      sq2**2d0 + 33d0*coupl(nGC_1)**2d0*coupl(nGC_1642)*sq2**  &
                      2d0 + 3d0*coupl(nGC_1)**2d0*coupl(nGC_1648)*sq2**2d0 +   &
                      3d0*coupl(nGC_1)**2d0*coupl(nGC_3)*sq2**2d0)/(384d0*pi** &
                      2d0)
    coupl(nGC_2699) = (-4d0*Nc*cima*coupl(nGC_1)**4d0*sq2**4d0 - 12d0*Nc*cima* &
                      coupl(nGC_1640)*coupl(nGC_3) - 9d0*Nc*coupl(nGC_1)**2d0* &
                      coupl(nGC_1640)*sq2**2d0 + 12d0*Nc*coupl(nGC_1)**2d0*    &
                      coupl(nGC_3)*sq2**2d0 + 15d0*cima*coupl(nGC_2)**4d0*sq2**&
                      4d0)/(384d0*pi**2d0)
    coupl(nGC_7176) = -2d0*coupl(nGC_3384)
    coupl(nGC_3506) = coupl(nGC_3375) + coupl(nGC_3502)
    coupl(nGC_2769) = (-640d0*cima*coupl(nGC_1)**3d0*coupl(nGC_12)*sq2**4d0 -  &
                      168d0*cima*coupl(nGC_1)**2d0*coupl(nGC_11)*coupl(nGC_1640&
                      )*sq2**2d0 - 16d0*cima*coupl(nGC_1)**2d0*coupl(nGC_11)*  &
                      coupl(nGC_1642)*sq2**2d0 + 16d0*cima*coupl(nGC_1)**2d0*  &
                      coupl(nGC_11)*coupl(nGC_1648)*sq2**2d0 + 232d0*cima*coupl&
                      (nGC_1)**2d0*coupl(nGC_11)*coupl(nGC_3)*sq2**2d0 - 1224d0&
                      *cima*coupl(nGC_1)**2d0*coupl(nGC_1640)*coupl(nGC_372)*  &
                      sq2**2d0 - 120d0*cima*coupl(nGC_1)**2d0*coupl(nGC_1642)* &
                      coupl(nGC_372)*sq2**2d0 + 120d0*cima*coupl(nGC_1)**2d0*  &
                      coupl(nGC_1648)*coupl(nGC_372)*sq2**2d0 + 1416d0*cima*   &
                      coupl(nGC_1)**2d0*coupl(nGC_3)*coupl(nGC_372)*sq2**2d0 - &
                      192d0*cima*coupl(nGC_13)*coupl(nGC_1640) + 192d0*cima*   &
                      coupl(nGC_13)*coupl(nGC_3) + 192d0*cima*coupl(nGC_1390)* &
                      coupl(nGC_1640) - 192d0*cima*coupl(nGC_1390)*coupl(nGC_3 &
                      ) + 123d0*coupl(nGC_1)**4d0*coupl(nGC_11)*sq2**4d0 +     &
                      862d0*coupl(nGC_1)**4d0*coupl(nGC_372)*sq2**4d0 + 288d0* &
                      coupl(nGC_1)**2d0*coupl(nGC_13)*sq2**2d0 - 192d0*coupl(  &
                      nGC_1)**2d0*coupl(nGC_1390)*sq2**2d0 - 384d0*coupl(nGC_1 &
                      )*coupl(nGC_12)*coupl(nGC_1640)*sq2**2d0 + 576d0*coupl(  &
                      nGC_1)*coupl(nGC_12)*coupl(nGC_3)*sq2**2d0 - 48d0*coupl( &
                      nGC_11)*coupl(nGC_1640)**2d0 + 96d0*coupl(nGC_11)*coupl( &
                      nGC_1640)*coupl(nGC_3) - 48d0*coupl(nGC_11)*coupl(nGC_3  &
                      )**2d0 - 672d0*coupl(nGC_1640)**2d0*coupl(nGC_372) - 96d0&
                      *coupl(nGC_1640)*coupl(nGC_1642)*coupl(nGC_372) + 96d0*  &
                      coupl(nGC_1640)*coupl(nGC_1648)*coupl(nGC_372) + 960d0*  &
                      coupl(nGC_1640)*coupl(nGC_3)*coupl(nGC_372) + 96d0*coupl(&
                      nGC_1642)*coupl(nGC_3)*coupl(nGC_372) - 96d0*coupl(      &
                      nGC_1648)*coupl(nGC_3)*coupl(nGC_372) - 480d0*coupl(nGC_3&
                      )**2d0*coupl(nGC_372))/(3072d0*pi**2d0)
    coupl(nGC_2768) = (640d0*cima*coupl(nGC_1)**3d0*coupl(nGC_12)*sq2**4d0 +   &
                      76d0*cima*coupl(nGC_1)**2d0*coupl(nGC_11)*coupl(nGC_1640 &
                      )*sq2**2d0 - 76d0*cima*coupl(nGC_1)**2d0*coupl(nGC_11)*  &
                      coupl(nGC_1642)*sq2**2d0 - 16d0*cima*coupl(nGC_1)**2d0*  &
                      coupl(nGC_11)*coupl(nGC_1648)*sq2**2d0 - 140d0*cima*coupl&
                      (nGC_1)**2d0*coupl(nGC_11)*coupl(nGC_3)*sq2**2d0 + 492d0*&
                      cima*coupl(nGC_1)**2d0*coupl(nGC_1640)*coupl(nGC_372)*sq2&
                      **2d0 - 492d0*cima*coupl(nGC_1)**2d0*coupl(nGC_1642)*    &
                      coupl(nGC_372)*sq2**2d0 - 60d0*cima*coupl(nGC_1)**2d0*   &
                      coupl(nGC_1648)*coupl(nGC_372)*sq2**2d0 - 804d0*cima*    &
                      coupl(nGC_1)**2d0*coupl(nGC_3)*coupl(nGC_372)*sq2**2d0 - &
                      96d0*cima*coupl(nGC_13)*coupl(nGC_1642) + 96d0*cima*coupl&
                      (nGC_1390)*coupl(nGC_1642) + 96d0*cima*coupl(nGC_1392)*  &
                      coupl(nGC_1640) - 96d0*cima*coupl(nGC_1392)*coupl(nGC_3  &
                      ) - 123d0*coupl(nGC_1)**4d0*coupl(nGC_11)*sq2**4d0 -     &
                      862d0*coupl(nGC_1)**4d0*coupl(nGC_372)*sq2**4d0 - 192d0* &
                      coupl(nGC_1)**2d0*coupl(nGC_13)*sq2**2d0 + 96d0*coupl(   &
                      nGC_1)**2d0*coupl(nGC_1390)*sq2**2d0 - 96d0*coupl(nGC_1  &
                      )**2d0*coupl(nGC_1392)*sq2**2d0 + 240d0*coupl(nGC_1)*    &
                      coupl(nGC_12)*coupl(nGC_1640)*sq2**2d0 - 240d0*coupl(    &
                      nGC_1)*coupl(nGC_12)*coupl(nGC_1642)*sq2**2d0 - 48d0*    &
                      coupl(nGC_1)*coupl(nGC_12)*coupl(nGC_1648)*sq2**2d0 -    &
                      336d0*coupl(nGC_1)*coupl(nGC_12)*coupl(nGC_3)*sq2**2d0 - &
                      48d0*coupl(nGC_11)*coupl(nGC_1640)*coupl(nGC_1642) + 48d0&
                      *coupl(nGC_11)*coupl(nGC_1642)*coupl(nGC_3) - 192d0*coupl&
                      (nGC_1640)**2d0*coupl(nGC_372) - 528d0*coupl(nGC_1640)*  &
                      coupl(nGC_1642)*coupl(nGC_372) + 96d0*coupl(nGC_1640)*   &
                      coupl(nGC_1648)*coupl(nGC_372) + 192d0*coupl(nGC_1640)*  &
                      coupl(nGC_3)*coupl(nGC_372) - 48d0*coupl(nGC_1642)**2d0* &
                      coupl(nGC_372) + 48d0*coupl(nGC_1642)*coupl(nGC_1648)*   &
                      coupl(nGC_372) + 432d0*coupl(nGC_1642)*coupl(nGC_3)*coupl&
                      (nGC_372))/(6144d0*pi**2d0)
    coupl(nGC_2765) = Nc*(-256d0*cima*coupl(nGC_1)**3d0*coupl(nGC_12)*sq2**4d0 &
                       - 148d0*cima*coupl(nGC_1)**2d0*coupl(nGC_11)*coupl(     &
                      nGC_1640)*sq2**2d0 - 16d0*cima*coupl(nGC_1)**2d0*coupl(  &
                      nGC_11)*coupl(nGC_1648)*sq2**2d0 + 148d0*cima*coupl(nGC_1&
                      )**2d0*coupl(nGC_11)*coupl(nGC_3)*sq2**2d0 - 772d0*cima* &
                      coupl(nGC_1)**2d0*coupl(nGC_1640)*coupl(nGC_372)*sq2**2d0&
                       - 28d0*cima*coupl(nGC_1)**2d0*coupl(nGC_1642)*coupl(    &
                      nGC_372)*sq2**2d0 - 4d0*cima*coupl(nGC_1)**2d0*coupl(    &
                      nGC_1648)*coupl(nGC_372)*sq2**2d0 + 836d0*cima*coupl(    &
                      nGC_1)**2d0*coupl(nGC_3)*coupl(nGC_372)*sq2**2d0 - 192d0*&
                      cima*coupl(nGC_13)*coupl(nGC_1640) - 192d0*cima*coupl(   &
                      nGC_1390)*coupl(nGC_3) + 63d0*coupl(nGC_1)**4d0*coupl(   &
                      nGC_11)*sq2**4d0 + 350d0*coupl(nGC_1)**4d0*coupl(nGC_372 &
                      )*sq2**4d0 + 48d0*coupl(nGC_1)**2d0*coupl(nGC_13)*sq2**  &
                      2d0 - 288d0*coupl(nGC_1)**2d0*coupl(nGC_1390)*sq2**2d0 - &
                      192d0*coupl(nGC_1)*coupl(nGC_12)*coupl(nGC_1640)*sq2**2d0&
                       + 480d0*coupl(nGC_1)*coupl(nGC_12)*coupl(nGC_3)*sq2**2d0&
                       + 96d0*coupl(nGC_11)*coupl(nGC_1640)*coupl(nGC_3) - 48d0&
                      *coupl(nGC_1640)**2d0*coupl(nGC_372) + 96d0*coupl(       &
                      nGC_1640)*coupl(nGC_1648)*coupl(nGC_372) + 960d0*coupl(  &
                      nGC_1640)*coupl(nGC_3)*coupl(nGC_372) - 48d0*coupl(      &
                      nGC_1642)**2d0*coupl(nGC_372) + 96d0*coupl(nGC_1642)*    &
                      coupl(nGC_3)*coupl(nGC_372) - 48d0*coupl(nGC_1648)**2d0* &
                      coupl(nGC_372) - 48d0*coupl(nGC_3)**2d0*coupl(nGC_372))/(&
                      6144d0*pi**2d0)
    coupl(nGC_2764) = Nc*(-256d0*cima*coupl(nGC_1)**3d0*coupl(nGC_12)*sq2**4d0 &
                       - 108d0*cima*coupl(nGC_1)**2d0*coupl(nGC_11)*coupl(     &
                      nGC_1640)*sq2**2d0 + 12d0*cima*coupl(nGC_1)**2d0*coupl(  &
                      nGC_11)*coupl(nGC_1642)*sq2**2d0 - 4d0*cima*coupl(nGC_1  &
                      )**2d0*coupl(nGC_11)*coupl(nGC_1648)*sq2**2d0 + 188d0*   &
                      cima*coupl(nGC_1)**2d0*coupl(nGC_11)*coupl(nGC_3)*sq2**  &
                      2d0 - 568d0*cima*coupl(nGC_1)**2d0*coupl(nGC_1640)*coupl(&
                      nGC_372)*sq2**2d0 + 8d0*cima*coupl(nGC_1)**2d0*coupl(    &
                      nGC_1642)*coupl(nGC_372)*sq2**2d0 + 32d0*cima*coupl(nGC_1&
                      )**2d0*coupl(nGC_1648)*coupl(nGC_372)*sq2**2d0 + 1040d0* &
                      cima*coupl(nGC_1)**2d0*coupl(nGC_3)*coupl(nGC_372)*sq2** &
                      2d0 + 192d0*cima*coupl(nGC_13)*coupl(nGC_3) + 192d0*cima*&
                      coupl(nGC_1390)*coupl(nGC_1640) + 63d0*coupl(nGC_1)**4d0*&
                      coupl(nGC_11)*sq2**4d0 + 350d0*coupl(nGC_1)**4d0*coupl(  &
                      nGC_372)*sq2**4d0 + 288d0*coupl(nGC_1)**2d0*coupl(nGC_13 &
                      )*sq2**2d0 - 48d0*coupl(nGC_1)**2d0*coupl(nGC_1390)*sq2**&
                      2d0 - 312d0*coupl(nGC_1)*coupl(nGC_12)*coupl(nGC_1640)*  &
                      sq2**2d0 + 360d0*coupl(nGC_1)*coupl(nGC_12)*coupl(nGC_3)*&
                      sq2**2d0 - 48d0*coupl(nGC_11)*coupl(nGC_1640)**2d0 - 48d0&
                      *coupl(nGC_11)*coupl(nGC_3)**2d0 - 480d0*coupl(nGC_1640  &
                      )**2d0*coupl(nGC_372) - 96d0*coupl(nGC_1640)*coupl(      &
                      nGC_1642)*coupl(nGC_372) + 96d0*coupl(nGC_1640)*coupl(   &
                      nGC_3)*coupl(nGC_372) + 96d0*coupl(nGC_1642)*coupl(      &
                      nGC_1648)*coupl(nGC_372) - 96d0*coupl(nGC_1648)*coupl(   &
                      nGC_3)*coupl(nGC_372) - 480d0*coupl(nGC_3)**2d0*coupl(   &
                      nGC_372))/(6144d0*pi**2d0)
    coupl(nGC_2767) = (640d0*cima*coupl(nGC_1)**3d0*coupl(nGC_12)*sq2**4d0 +   &
                      60d0*cima*coupl(nGC_1)**2d0*coupl(nGC_11)*coupl(nGC_1640 &
                      )*sq2**2d0 - 60d0*cima*coupl(nGC_1)**2d0*coupl(nGC_11)*  &
                      coupl(nGC_1642)*sq2**2d0 - 156d0*cima*coupl(nGC_1)**2d0* &
                      coupl(nGC_11)*coupl(nGC_3)*sq2**2d0 + 540d0*cima*coupl(  &
                      nGC_1)**2d0*coupl(nGC_1640)*coupl(nGC_372)*sq2**2d0 -    &
                      540d0*cima*coupl(nGC_1)**2d0*coupl(nGC_1642)*coupl(      &
                      nGC_372)*sq2**2d0 - 108d0*cima*coupl(nGC_1)**2d0*coupl(  &
                      nGC_1648)*coupl(nGC_372)*sq2**2d0 - 756d0*cima*coupl(    &
                      nGC_1)**2d0*coupl(nGC_3)*coupl(nGC_372)*sq2**2d0 - 96d0* &
                      cima*coupl(nGC_13)*coupl(nGC_1642) + 96d0*cima*coupl(    &
                      nGC_1390)*coupl(nGC_1642) + 96d0*cima*coupl(nGC_1392)*   &
                      coupl(nGC_1640) - 96d0*cima*coupl(nGC_1392)*coupl(nGC_3  &
                      ) - 123d0*coupl(nGC_1)**4d0*coupl(nGC_11)*sq2**4d0 -     &
                      862d0*coupl(nGC_1)**4d0*coupl(nGC_372)*sq2**4d0 - 168d0* &
                      coupl(nGC_1)**2d0*coupl(nGC_13)*sq2**2d0 + 120d0*coupl(  &
                      nGC_1)**2d0*coupl(nGC_1390)*sq2**2d0 - 120d0*coupl(nGC_1 &
                      )**2d0*coupl(nGC_1392)*sq2**2d0 - 24d0*coupl(nGC_1)**2d0*&
                      coupl(nGC_1396)*sq2**2d0 + 240d0*coupl(nGC_1)*coupl(     &
                      nGC_12)*coupl(nGC_1640)*sq2**2d0 - 240d0*coupl(nGC_1)*   &
                      coupl(nGC_12)*coupl(nGC_1642)*sq2**2d0 - 48d0*coupl(nGC_1&
                      )*coupl(nGC_12)*coupl(nGC_1648)*sq2**2d0 - 336d0*coupl(  &
                      nGC_1)*coupl(nGC_12)*coupl(nGC_3)*sq2**2d0 - 48d0*coupl( &
                      nGC_11)*coupl(nGC_1640)*coupl(nGC_1642) + 48d0*coupl(    &
                      nGC_11)*coupl(nGC_1642)*coupl(nGC_3) - 192d0*coupl(      &
                      nGC_1640)**2d0*coupl(nGC_372) - 528d0*coupl(nGC_1640)*   &
                      coupl(nGC_1642)*coupl(nGC_372) + 96d0*coupl(nGC_1640)*   &
                      coupl(nGC_1648)*coupl(nGC_372) + 192d0*coupl(nGC_1640)*  &
                      coupl(nGC_3)*coupl(nGC_372) - 48d0*coupl(nGC_1642)**2d0* &
                      coupl(nGC_372) + 48d0*coupl(nGC_1642)*coupl(nGC_1648)*   &
                      coupl(nGC_372) + 432d0*coupl(nGC_1642)*coupl(nGC_3)*coupl&
                      (nGC_372))/(6144d0*pi**2d0)
    coupl(nGC_2760) = cima*coupl(nGC_1)**2d0*sq2**2d0*(coupl(nGC_11)*coupl(    &
                      nGC_116) + coupl(nGC_372)*coupl(nGC_8))/(768d0*pi**2d0)
    coupl(nGC_2763) = Nc*(-128d0*cima*coupl(nGC_1)**3d0*coupl(nGC_12)*sq2**4d0 &
                       + 24d0*cima*coupl(nGC_1)**2d0*coupl(nGC_11)*coupl(      &
                      nGC_1640)*sq2**2d0 - 64d0*cima*coupl(nGC_1)**2d0*coupl(  &
                      nGC_11)*coupl(nGC_1642)*sq2**2d0 + 64d0*cima*coupl(nGC_1 &
                      )**2d0*coupl(nGC_11)*coupl(nGC_1648)*sq2**2d0 - 40d0*cima&
                      *coupl(nGC_1)**2d0*coupl(nGC_11)*coupl(nGC_3)*sq2**2d0 + &
                      80d0*cima*coupl(nGC_1)**2d0*coupl(nGC_1640)*coupl(nGC_372&
                      )*sq2**2d0 - 160d0*cima*coupl(nGC_1)**2d0*coupl(nGC_1642 &
                      )*coupl(nGC_372)*sq2**2d0 + 224d0*cima*coupl(nGC_1)**2d0*&
                      coupl(nGC_1648)*coupl(nGC_372)*sq2**2d0 - 112d0*cima*    &
                      coupl(nGC_1)**2d0*coupl(nGC_3)*coupl(nGC_372)*sq2**2d0 - &
                      3d0*coupl(nGC_1)**4d0*coupl(nGC_11)*sq2**4d0 + 162d0*    &
                      coupl(nGC_1)**4d0*coupl(nGC_372)*sq2**4d0 - 48d0*coupl(  &
                      nGC_1)**2d0*coupl(nGC_1392)*sq2**2d0 + 48d0*coupl(nGC_1  &
                      )**2d0*coupl(nGC_1396)*sq2**2d0 - 72d0*coupl(nGC_1)*coupl&
                      (nGC_12)*coupl(nGC_1642)*sq2**2d0 + 120d0*coupl(nGC_1)*  &
                      coupl(nGC_12)*coupl(nGC_1648)*sq2**2d0 - 96d0*coupl(     &
                      nGC_1640)*coupl(nGC_1642)*coupl(nGC_372) + 96d0*coupl(   &
                      nGC_1640)*coupl(nGC_1648)*coupl(nGC_372) + 96d0*coupl(   &
                      nGC_1642)*coupl(nGC_3)*coupl(nGC_372) - 96d0*coupl(      &
                      nGC_1648)*coupl(nGC_3)*coupl(nGC_372))/(6144d0*pi**2d0)
    coupl(nGC_2688) = Nc*coupl(nGC_1)*sq2*(66d0*cima*coupl(nGC_1)*coupl(nGC_12 &
                      )*sq2**2d0 + 8d0*cima*coupl(nGC_11)*coupl(nGC_1640) - 4d0&
                      *cima*coupl(nGC_11)*coupl(nGC_1648) + 12d0*cima*coupl(   &
                      nGC_11)*coupl(nGC_3) + 76d0*cima*coupl(nGC_1640)*coupl(  &
                      nGC_372) - 8d0*cima*coupl(nGC_1642)*coupl(nGC_372) + 28d0&
                      *cima*coupl(nGC_1648)*coupl(nGC_372) + 40d0*cima*coupl(  &
                      nGC_3)*coupl(nGC_372) - 24d0*coupl(nGC_1)**2d0*coupl(    &
                      nGC_11)*sq2**2d0 - 105d0*coupl(nGC_1)**2d0*coupl(nGC_372 &
                      )*sq2**2d0)/(1536d0*pi**2d0)
    coupl(nGC_2689) = Nc*coupl(nGC_1)*sq2*(-66d0*cima*coupl(nGC_1)*coupl(nGC_12&
                      )*sq2**2d0 - 16d0*cima*coupl(nGC_11)*coupl(nGC_1640) -   &
                      8d0*cima*coupl(nGC_11)*coupl(nGC_1642) - 4d0*cima*coupl( &
                      nGC_11)*coupl(nGC_1648) - 20d0*cima*coupl(nGC_11)*coupl( &
                      nGC_3) - 80d0*cima*coupl(nGC_1640)*coupl(nGC_372) + 4d0* &
                      cima*coupl(nGC_1642)*coupl(nGC_372) - 32d0*cima*coupl(   &
                      nGC_1648)*coupl(nGC_372) - 44d0*cima*coupl(nGC_3)*coupl( &
                      nGC_372) + 24d0*coupl(nGC_1)**2d0*coupl(nGC_11)*sq2**2d0 &
                       + 105d0*coupl(nGC_1)**2d0*coupl(nGC_372)*sq2**2d0)/(    &
                      1536d0*pi**2d0)
    coupl(nGC_2686) = Nc*coupl(nGC_1)*sq2*(66d0*cima*coupl(nGC_1)*coupl(nGC_12 &
                      )*sq2**2d0 - 20d0*cima*coupl(nGC_11)*coupl(nGC_1640) -   &
                      4d0*cima*coupl(nGC_11)*coupl(nGC_1642) - 8d0*cima*coupl( &
                      nGC_11)*coupl(nGC_1648) - 16d0*cima*coupl(nGC_11)*coupl( &
                      nGC_3) - 44d0*cima*coupl(nGC_1640)*coupl(nGC_372) - 32d0*&
                      cima*coupl(nGC_1642)*coupl(nGC_372) + 4d0*cima*coupl(    &
                      nGC_1648)*coupl(nGC_372) - 80d0*cima*coupl(nGC_3)*coupl( &
                      nGC_372) - 24d0*coupl(nGC_1)**2d0*coupl(nGC_11)*sq2**2d0 &
                       - 105d0*coupl(nGC_1)**2d0*coupl(nGC_372)*sq2**2d0)/(    &
                      1536d0*pi**2d0)
    coupl(nGC_2684) = Nc*coupl(nGC_1)*sq2*(-66d0*cima*coupl(nGC_1)*coupl(nGC_12&
                      )*sq2**2d0 + 12d0*cima*coupl(nGC_11)*coupl(nGC_1640) -   &
                      4d0*cima*coupl(nGC_11)*coupl(nGC_1642) + 8d0*cima*coupl( &
                      nGC_11)*coupl(nGC_3) + 40d0*cima*coupl(nGC_1640)*coupl(  &
                      nGC_372) + 28d0*cima*coupl(nGC_1642)*coupl(nGC_372) - 8d0&
                      *cima*coupl(nGC_1648)*coupl(nGC_372) + 76d0*cima*coupl(  &
                      nGC_3)*coupl(nGC_372) + 24d0*coupl(nGC_1)**2d0*coupl(    &
                      nGC_11)*sq2**2d0 + 105d0*coupl(nGC_1)**2d0*coupl(nGC_372 &
                      )*sq2**2d0)/(1536d0*pi**2d0)
    coupl(nGC_2685) = Nc*coupl(nGC_1)*sq2*(-66d0*cima*coupl(nGC_1)*coupl(nGC_12&
                      )*sq2**2d0 + 16d0*cima*coupl(nGC_11)*coupl(nGC_1640) +   &
                      4d0*cima*coupl(nGC_11)*coupl(nGC_1648) + 12d0*cima*coupl(&
                      nGC_11)*coupl(nGC_3) + 36d0*cima*coupl(nGC_1640)*coupl(  &
                      nGC_372) + 24d0*cima*coupl(nGC_1642)*coupl(nGC_372) -    &
                      12d0*cima*coupl(nGC_1648)*coupl(nGC_372) + 72d0*cima*    &
                      coupl(nGC_3)*coupl(nGC_372) + 24d0*coupl(nGC_1)**2d0*    &
                      coupl(nGC_11)*sq2**2d0 + 105d0*coupl(nGC_1)**2d0*coupl(  &
                      nGC_372)*sq2**2d0)/(1536d0*pi**2d0)
    coupl(nGC_2682) = Nc*coupl(nGC_1)*sq2*(-66d0*cima*coupl(nGC_1)*coupl(nGC_12&
                      )*sq2**2d0 - 8d0*cima*coupl(nGC_11)*coupl(nGC_1640) + 4d0&
                      *cima*coupl(nGC_11)*coupl(nGC_1648) - 12d0*cima*coupl(   &
                      nGC_11)*coupl(nGC_3) - 76d0*cima*coupl(nGC_1640)*coupl(  &
                      nGC_372) + 8d0*cima*coupl(nGC_1642)*coupl(nGC_372) - 28d0&
                      *cima*coupl(nGC_1648)*coupl(nGC_372) - 40d0*cima*coupl(  &
                      nGC_3)*coupl(nGC_372) + 24d0*coupl(nGC_1)**2d0*coupl(    &
                      nGC_11)*sq2**2d0 + 105d0*coupl(nGC_1)**2d0*coupl(nGC_372 &
                      )*sq2**2d0)/(1536d0*pi**2d0)
    coupl(nGC_2683) = Nc*coupl(nGC_1)*sq2*(66d0*cima*coupl(nGC_1)*coupl(nGC_12 &
                      )*sq2**2d0 + 16d0*cima*coupl(nGC_11)*coupl(nGC_1640) +   &
                      8d0*cima*coupl(nGC_11)*coupl(nGC_1642) + 4d0*cima*coupl( &
                      nGC_11)*coupl(nGC_1648) + 20d0*cima*coupl(nGC_11)*coupl( &
                      nGC_3) + 80d0*cima*coupl(nGC_1640)*coupl(nGC_372) - 4d0* &
                      cima*coupl(nGC_1642)*coupl(nGC_372) + 32d0*cima*coupl(   &
                      nGC_1648)*coupl(nGC_372) + 44d0*cima*coupl(nGC_3)*coupl( &
                      nGC_372) - 24d0*coupl(nGC_1)**2d0*coupl(nGC_11)*sq2**2d0 &
                       - 105d0*coupl(nGC_1)**2d0*coupl(nGC_372)*sq2**2d0)/(    &
                      1536d0*pi**2d0)
    coupl(nGC_2680) = Nc*coupl(nGC_1)*sq2*(-66d0*cima*coupl(nGC_1)*coupl(nGC_12&
                      )*sq2**2d0 + 20d0*cima*coupl(nGC_11)*coupl(nGC_1640) +   &
                      4d0*cima*coupl(nGC_11)*coupl(nGC_1642) + 8d0*cima*coupl( &
                      nGC_11)*coupl(nGC_1648) + 16d0*cima*coupl(nGC_11)*coupl( &
                      nGC_3) + 44d0*cima*coupl(nGC_1640)*coupl(nGC_372) + 32d0*&
                      cima*coupl(nGC_1642)*coupl(nGC_372) - 4d0*cima*coupl(    &
                      nGC_1648)*coupl(nGC_372) + 80d0*cima*coupl(nGC_3)*coupl( &
                      nGC_372) + 24d0*coupl(nGC_1)**2d0*coupl(nGC_11)*sq2**2d0 &
                       + 105d0*coupl(nGC_1)**2d0*coupl(nGC_372)*sq2**2d0)/(    &
                      1536d0*pi**2d0)
    coupl(nGC_2681) = Nc*coupl(nGC_1)*sq2*(-66d0*cima*coupl(nGC_1)*coupl(nGC_12&
                      )*sq2**2d0 - 12d0*cima*coupl(nGC_11)*coupl(nGC_1640) -   &
                      4d0*cima*coupl(nGC_11)*coupl(nGC_1642) - 16d0*cima*coupl(&
                      nGC_11)*coupl(nGC_3) - 72d0*cima*coupl(nGC_1640)*coupl(  &
                      nGC_372) + 12d0*cima*coupl(nGC_1642)*coupl(nGC_372) -    &
                      24d0*cima*coupl(nGC_1648)*coupl(nGC_372) - 36d0*cima*    &
                      coupl(nGC_3)*coupl(nGC_372) + 24d0*coupl(nGC_1)**2d0*    &
                      coupl(nGC_11)*sq2**2d0 + 105d0*coupl(nGC_1)**2d0*coupl(  &
                      nGC_372)*sq2**2d0)/(1536d0*pi**2d0)
    coupl(nGC_7168) = -coupl(nGC_3384)
    coupl(nGC_7169) = 2d0*coupl(nGC_3384)
    coupl(nGC_2670) = Nc*(12d0*cima*coupl(nGC_1)*coupl(nGC_9)*sq2**2d0 + 44d0* &
                      cima*coupl(nGC_116)*coupl(nGC_1640) + 4d0*cima*coupl(    &
                      nGC_116)*coupl(nGC_1642) - 4d0*cima*coupl(nGC_116)*coupl(&
                      nGC_1648) - 44d0*cima*coupl(nGC_116)*coupl(nGC_3) + 4d0* &
                      cima*coupl(nGC_1640)*coupl(nGC_8) - 4d0*cima*coupl(nGC_3 &
                      )*coupl(nGC_8) - 66d0*coupl(nGC_1)**2d0*coupl(nGC_116)*  &
                      sq2**2d0 - 5d0*coupl(nGC_1)**2d0*coupl(nGC_8)*sq2**2d0)/(&
                      768d0*pi**2d0)
    coupl(nGC_2679) = Nc*coupl(nGC_1)*sq2*(66d0*cima*coupl(nGC_1)*coupl(nGC_12 &
                      )*sq2**2d0 - 16d0*cima*coupl(nGC_11)*coupl(nGC_1640) -   &
                      4d0*cima*coupl(nGC_11)*coupl(nGC_1648) - 12d0*cima*coupl(&
                      nGC_11)*coupl(nGC_3) - 36d0*cima*coupl(nGC_1640)*coupl(  &
                      nGC_372) - 24d0*cima*coupl(nGC_1642)*coupl(nGC_372) +    &
                      12d0*cima*coupl(nGC_1648)*coupl(nGC_372) - 72d0*cima*    &
                      coupl(nGC_3)*coupl(nGC_372) - 24d0*coupl(nGC_1)**2d0*    &
                      coupl(nGC_11)*sq2**2d0 - 105d0*coupl(nGC_1)**2d0*coupl(  &
                      nGC_372)*sq2**2d0)/(1536d0*pi**2d0)
    coupl(nGC_2678) = Nc*coupl(nGC_1)*sq2*(66d0*cima*coupl(nGC_1)*coupl(nGC_12 &
                      )*sq2**2d0 - 12d0*cima*coupl(nGC_11)*coupl(nGC_1640) +   &
                      4d0*cima*coupl(nGC_11)*coupl(nGC_1642) - 8d0*cima*coupl( &
                      nGC_11)*coupl(nGC_3) - 40d0*cima*coupl(nGC_1640)*coupl(  &
                      nGC_372) - 28d0*cima*coupl(nGC_1642)*coupl(nGC_372) + 8d0&
                      *cima*coupl(nGC_1648)*coupl(nGC_372) - 76d0*cima*coupl(  &
                      nGC_3)*coupl(nGC_372) - 24d0*coupl(nGC_1)**2d0*coupl(    &
                      nGC_11)*sq2**2d0 - 105d0*coupl(nGC_1)**2d0*coupl(nGC_372 &
                      )*sq2**2d0)/(1536d0*pi**2d0)
    coupl(nGC_8635) = coupl(nGC_2720)/2d0
    coupl(nGC_5565) = 2d0*coupl(nGC_2736)
  end subroutine fill_CTcouplings_mdl5
end module fill_ctcouplings5
