!******************************************************************************!
!                                                                              !
!    currents_info1.f90                                                        !
!    is part of RECOLA2 (REcursive Computation of One Loop Amplitudes)2        !
!                                                                              !
!    Copyright (C) 2016-2018 Ansgar Denner, Jean-Nicolas Lang and              !
!                            Sandro Uccirati                                   !
!                                                                              !
!    RECOLA2 is licenced under the GNU GPL version 3,                          !
!    see COPYING for details.                                                  !
!                                                                              !
!******************************************************************************!
!                                                           .---.              !
!                                                          /  .  \             !
!                                                         |\_/|   |            !
!                                                         |   |  /|            !
!          .----------------------------------------------------' |            !
!         /  .-.   currents_info1.f90                             |            !
!        |  /   \  This code was generated with REPT1L.           |            !
!        | |\_.  | Change this file and you get what you deserve. |            !
!        |\|  | /| Author: J.N. Lang                              |            !
!        | `---' | UFO date: 03/2019                              |            !
!        |       | UFO version: 1.0                               |            !
!        |       | Generation date: 2019-10-14 13:42             /             !
!        |       |----------------------------------------------'              !
!        \       |                                                             !
!         \     /                                                              !
!          `---'                                                               !
!******************************************************************************!
module currents_info1
  implicit none
  contains
  subroutine fill_current_1(check)
    use class_particles
    use current_keys, only: createCurrent
    logical, intent(in) :: check
    call createCurrent(P_g, P_dAnti, P_H, P_d, P_H, 548, check)
    call createCurrent(P_dAnti, P_d, P_g, P_H, P_H, 576, check)
    call createCurrent(P_H, P_H, P_d, P_g, P_dAnti, 579, check)
    call createCurrent(P_g, P_H, P_bAnti, P_b, 424, check)
    call createCurrent(P_g, P_H, P_H, P_g, P_H, P_g, P_g, 25, check)
    call createCurrent(P_b, P_g, P_H, P_H, P_bAnti, 637, check)
    call createCurrent(P_H, P_g, P_H, P_u, P_uAnti, 464, check)
    call createCurrent(P_bAnti, P_H, P_g, P_H, P_b, 578, check)
    call createCurrent(P_d, P_H, P_g, P_dAnti, P_H, 495, check)
    call createCurrent(P_c, P_H, P_H, P_cAnti, P_g, 617, check)
    call createCurrent(P_d, P_dAnti, 151, check)
    call createCurrent(P_H, P_g, P_g, P_g, P_g, P_H, P_H, 125, check)
    call createCurrent(P_uAnti, P_H, P_u, P_g, P_H, 469, check)
    call createCurrent(P_H, P_s, P_sAnti, P_g, P_H, 307, check)
    call createCurrent(P_d, P_dAnti, P_H, P_g, 281, check)
    call createCurrent(P_g, P_H, P_H, P_g, P_g, P_H, 21, check)
    call createCurrent(P_g, P_H, P_uAnti, P_H, P_u, 543, check)
    call createCurrent(P_cAnti, P_g, P_c, P_H, P_H, 211, check)
    call createCurrent(P_g, P_H, P_d, P_dAnti, P_H, 627, check)
    call createCurrent(P_H, P_b, P_g, P_bAnti, 202, check)
    call createCurrent(P_H, P_b, P_bAnti, P_H, 517, check)
    call createCurrent(P_H, P_g, P_uAnti, P_H, P_u, 254, check)
    call createCurrent(P_s, P_H, P_H, P_sAnti, P_g, 665, check)
    call createCurrent(P_cAnti, P_H, P_g, P_c, P_H, 520, check)
    call createCurrent(P_H, P_c, P_H, P_cAnti, 280, check)
    call createCurrent(P_H, P_g, P_dAnti, P_d, 239, check)
    call createCurrent(P_H, P_cAnti, P_H, P_c, 666, check)
    call createCurrent(P_H, P_g, P_c, P_cAnti, P_H, 534, check)
    call createCurrent(P_H, P_g, P_H, P_H, P_g, 37, check)
    call createCurrent(P_g, P_cAnti, P_c, 137, check)
    call createCurrent(P_g, P_bAnti, P_b, P_H, P_H, 460, check)
    call createCurrent(P_H, P_s, P_g, P_H, P_sAnti, 620, check)
    call createCurrent(P_H, P_H, P_dAnti, P_d, 524, check)
    call createCurrent(P_H, P_c, P_H, P_cAnti, P_g, 195, check)
    call createCurrent(P_g, P_H, P_u, P_uAnti, P_H, 478, check)
    call createCurrent(P_H, P_g, P_b, P_H, P_bAnti, 185, check)
    call createCurrent(P_uAnti, P_u, 149, check)
    call createCurrent(P_bAnti, P_b, P_H, 419, check)
    call createCurrent(P_sAnti, P_g, P_s, 68, check)
    call createCurrent(P_g, P_H, P_H, P_bAnti, P_b, 335, check)
    call createCurrent(P_H, P_g, P_dAnti, P_d, P_H, 425, check)
    call createCurrent(P_H, P_u, P_uAnti, P_g, 311, check)
    call createCurrent(P_c, P_g, P_cAnti, P_H, 481, check)
    call createCurrent(P_H, P_c, P_g, P_cAnti, 176, check)
    call createCurrent(P_s, P_g, P_sAnti, 74, check)
    call createCurrent(P_sAnti, P_H, P_H, P_s, P_g, 616, check)
    call createCurrent(P_sAnti, P_s, 154, check)
    call createCurrent(P_g, P_b, P_bAnti, P_H, 402, check)
    call createCurrent(P_H, P_H, P_c, P_g, P_cAnti, 537, check)
    call createCurrent(P_d, P_H, P_H, P_dAnti, 431, check)
    call createCurrent(P_H, P_u, P_uAnti, P_g, P_H, 400, check)
    call createCurrent(P_g, P_H, P_g, P_g, P_g, P_H, 52, check)
    call createCurrent(P_H, P_H, P_H, P_g, P_g, P_g, 141, check)
    call createCurrent(P_c, P_H, P_cAnti, P_g, P_H, 542, check)
    call createCurrent(P_H, P_g, P_sAnti, P_s, P_H, 370, check)
    call createCurrent(P_H, P_H, P_s, P_sAnti, P_g, 224, check)
    call createCurrent(P_H, P_g, P_dAnti, P_H, P_d, 238, check)
    call createCurrent(P_g, P_H, P_dAnti, P_d, 337, check)
    call createCurrent(P_s, P_H, P_g, P_sAnti, P_H, 188, check)
    call createCurrent(P_b, P_H, P_H, P_bAnti, P_g, 595, check)
    call createCurrent(P_g, P_H, P_g, P_g, P_H, 105, check)
    call createCurrent(P_d, P_H, P_dAnti, P_H, 320, check)
    call createCurrent(P_uAnti, P_u, P_H, P_g, P_H, 477, check)
    call createCurrent(P_H, P_cAnti, P_c, P_g, P_H, 339, check)
    call createCurrent(P_g, P_H, P_g, 146, check)
    call createCurrent(P_u, P_H, P_g, P_uAnti, P_H, 388, check)
    call createCurrent(P_uAnti, P_H, P_u, P_g, 172, check)
    call createCurrent(P_H, P_bAnti, P_b, P_H, 312, check)
    call createCurrent(P_d, P_dAnti, P_H, P_H, P_g, 631, check)
    call createCurrent(P_H, P_g, P_s, P_sAnti, 442, check)
    call createCurrent(P_g, P_d, P_dAnti, 19, check)
    call createCurrent(P_b, P_bAnti, P_H, P_H, P_g, 635, check)
    call createCurrent(P_H, P_uAnti, P_H, P_g, P_u, 462, check)
    call createCurrent(P_cAnti, P_g, P_c, 55, check)
    call createCurrent(P_H, P_g, P_uAnti, P_u, P_H, 324, check)
    call createCurrent(P_H, P_g, P_H, P_cAnti, P_c, 415, check)
    call createCurrent(P_c, P_g, P_cAnti, P_H, P_H, 329, check)
    call createCurrent(P_g, P_H, P_g, P_H, P_H, P_g, 134, check)
    call createCurrent(P_g, P_H, P_H, P_s, P_sAnti, 235, check)
    call createCurrent(P_H, P_H, P_g, P_d, P_dAnti, 626, check)
    call createCurrent(P_g, P_sAnti, P_H, P_s, 240, check)
    call createCurrent(P_bAnti, P_b, P_g, 122, check)
    call createCurrent(P_g, P_d, P_dAnti, P_H, 615, check)
    call createCurrent(P_H, P_H, P_dAnti, P_g, P_d, 429, check)
    call createCurrent(P_g, P_H, P_g, P_g, P_H, P_g, P_H, 18, check)
    call createCurrent(P_g, P_g, P_H, 142, check)
    call createCurrent(P_sAnti, P_H, P_g, P_H, P_s, 551, check)
    call createCurrent(P_H, P_H, P_sAnti, P_s, 271, check)
    call createCurrent(P_g, P_s, P_sAnti, P_H, P_H, 378, check)
    call createCurrent(P_g, P_g, P_g, P_g, P_H, 94, check)
    call createCurrent(P_u, P_uAnti, P_H, P_g, P_H, 201, check)
    call createCurrent(P_g, P_cAnti, P_c, P_H, 467, check)
    call createCurrent(P_H, P_H, P_uAnti, P_u, 357, check)
    call createCurrent(P_H, P_sAnti, P_s, P_H, 407, check)
    call createCurrent(P_H, P_b, P_g, P_H, P_bAnti, 165, check)
    call createCurrent(P_sAnti, P_s, P_H, P_H, P_g, 558, check)
    call createCurrent(P_u, P_H, P_g, P_uAnti, 624, check)
    call createCurrent(P_g, P_H, P_u, P_H, P_uAnti, 228, check)
    call createCurrent(P_H, P_g, P_g, P_g, 108, check)
    call createCurrent(P_H, P_cAnti, P_c, 265, check)
    call createCurrent(P_c, P_cAnti, P_H, P_g, P_H, 514, check)
    call createCurrent(P_ghG, P_ghGAnti, P_g, 67, check)
    call createCurrent(P_H, P_H, P_uAnti, P_g, P_u, 325, check)
    call createCurrent(P_g, P_g, P_g, P_H, P_H, P_g, 147, check)
    call createCurrent(P_H, P_g, P_H, P_g, P_H, 138, check)
    call createCurrent(P_H, P_b, P_H, P_g, P_bAnti, 504, check)
    call createCurrent(P_u, P_g, P_H, P_uAnti, P_H, 541, check)
    call createCurrent(P_H, P_H, P_cAnti, P_c, 441, check)
    call createCurrent(P_bAnti, P_b, P_H, P_g, 610, check)
    call createCurrent(P_d, P_g, P_H, P_H, P_dAnti, 308, check)
    call createCurrent(P_s, P_sAnti, P_H, P_g, 593, check)
    call createCurrent(P_g, P_H, P_bAnti, P_H, P_b, 210, check)
    call createCurrent(P_uAnti, P_u, P_H, P_H, P_g, 582, check)
    call createCurrent(P_g, P_H, P_b, P_H, P_bAnti, 222, check)
    call createCurrent(P_H, P_dAnti, P_H, P_d, 393, check)
    call createCurrent(P_H, P_c, P_cAnti, P_g, P_H, 160, check)
    call createCurrent(P_H, P_g, P_cAnti, P_H, P_c, 277, check)
    call createCurrent(P_H, P_uAnti, P_u, 288, check)
    call createCurrent(P_g, P_bAnti, P_H, P_H, P_b, 306, check)
    call createCurrent(P_H, P_d, P_g, P_dAnti, P_H, 168, check)
    call createCurrent(P_b, P_bAnti, P_g, P_H, 563, check)
    call createCurrent(P_g, P_g, P_g, P_H, P_H, P_H, P_g, 114, check)
    call createCurrent(P_H, P_H, P_g, P_g, P_g, 121, check)
    call createCurrent(P_b, P_g, P_bAnti, P_H, P_H, 253, check)
    call createCurrent(P_u, P_H, P_H, P_g, P_uAnti, 352, check)
    call createCurrent(P_dAnti, P_H, P_H, P_d, P_g, 485, check)
    call createCurrent(P_H, P_H, P_g, P_sAnti, P_s, 368, check)
    call createCurrent(P_H, P_g, P_b, P_bAnti, P_H, 282, check)
    call createCurrent(P_g, P_d, P_H, P_dAnti, 560, check)
    call createCurrent(P_H, P_s, P_sAnti, P_H, P_g, 401, check)
    call createCurrent(P_H, P_g, P_s, P_H, P_sAnti, 356, check)
    call createCurrent(P_g, P_H, P_H, P_g, 47, check)
    call createCurrent(P_dAnti, P_H, P_g, P_H, P_d, 456, check)
    call createCurrent(P_s, P_sAnti, P_H, 557, check)
    call createCurrent(P_H, P_sAnti, P_s, 461, check)
    call createCurrent(P_H, P_H, P_g, P_g, 102, check)
    call createCurrent(P_H, P_dAnti, P_d, P_g, P_H, 381, check)
    call createCurrent(P_sAnti, P_s, P_H, P_g, P_H, 459, check)
    call createCurrent(P_H, P_H, P_c, P_cAnti, P_g, 657, check)
    call createCurrent(P_c, P_H, P_cAnti, P_g, 170, check)
    call createCurrent(P_u, P_H, P_uAnti, P_g, P_H, 529, check)
    call createCurrent(P_H, P_dAnti, P_g, P_d, P_H, 497, check)
    call createCurrent(P_uAnti, P_H, P_H, P_u, P_g, 295, check)
    call createCurrent(P_sAnti, P_s, P_H, 653, check)
    call createCurrent(P_d, P_H, P_g, P_H, P_dAnti, 345, check)
    call createCurrent(P_g, P_u, P_uAnti, 136, check)
    call createCurrent(P_ghGAnti, P_g, P_ghG, 24, check)
    call createCurrent(P_g, P_g, P_H, P_H, P_g, 46, check)
    call createCurrent(P_cAnti, P_H, P_H, P_g, P_c, 242, check)
    call createCurrent(P_H, P_d, P_H, P_dAnti, 654, check)
    call createCurrent(P_H, P_d, P_H, P_dAnti, P_g, 507, check)
    call createCurrent(P_H, P_g, P_H, P_sAnti, P_s, 564, check)
    call createCurrent(P_g, P_H, P_s, P_sAnti, P_H, 656, check)
    call createCurrent(P_g, P_b, P_bAnti, P_H, P_H, 386, check)
    call createCurrent(P_dAnti, P_g, P_d, 109, check)
    call createCurrent(P_d, P_H, P_dAnti, P_g, 508, check)
    call createCurrent(P_dAnti, P_g, P_H, P_H, P_d, 596, check)
    call createCurrent(P_g, P_H, P_H, P_H, P_g, P_g, 71, check)
    call createCurrent(P_H, P_g, P_H, P_H, P_g, P_g, 76, check)
    call createCurrent(P_d, P_g, P_H, P_dAnti, 646, check)
    call createCurrent(P_H, P_bAnti, P_g, P_H, P_b, 562, check)
    call createCurrent(P_bAnti, P_H, P_H, P_g, P_b, 359, check)
    call createCurrent(P_d, P_H, P_dAnti, P_g, P_H, 232, check)
    call createCurrent(P_g, P_H, P_g, P_H, P_g, P_g, P_H, 140, check)
    call createCurrent(P_cAnti, P_H, P_H, P_c, P_g, 396, check)
    call createCurrent(P_g, P_H, P_g, P_H, P_H, 5, check)
    call createCurrent(P_uAnti, P_u, P_g, P_H, 486, check)
    call createCurrent(P_H, P_H, P_u, P_uAnti, P_g, 249, check)
    call createCurrent(P_H, P_c, P_cAnti, P_H, P_g, 614, check)
    call createCurrent(P_H, P_H, P_bAnti, P_b, P_g, 518, check)
    call createCurrent(P_H, P_c, P_H, P_g, P_cAnti, 511, check)
    call createCurrent(P_H, P_g, P_H, P_uAnti, P_u, 516, check)
    call createCurrent(P_g, P_u, P_H, P_uAnti, P_H, 421, check)
    call createCurrent(P_u, P_uAnti, P_H, 190, check)
    call createCurrent(P_H, P_cAnti, P_H, P_c, P_g, 521, check)
    call createCurrent(P_u, P_H, P_uAnti, P_H, P_g, 592, check)
    call createCurrent(P_H, P_H, P_g, P_uAnti, P_u, 177, check)
    call createCurrent(P_g, P_H, P_d, P_dAnti, 587, check)
    call createCurrent(P_g, P_H, P_dAnti, P_d, P_H, 366, check)
    call createCurrent(P_H, P_uAnti, P_g, P_u, 215, check)
    call createCurrent(P_H, P_s, P_sAnti, P_H, 663, check)
    call createCurrent(P_bAnti, P_H, P_g, P_b, 342, check)
    call createCurrent(P_g, P_sAnti, P_H, P_H, P_s, 348, check)
    call createCurrent(P_d, P_g, P_dAnti, P_H, 599, check)
    call createCurrent(P_cAnti, P_c, P_g, 84, check)
    call createCurrent(P_H, P_H, P_H, 1, check)
    call createCurrent(P_b, P_bAnti, P_H, 410, check)
    call createCurrent(P_c, P_cAnti, P_H, P_H, P_g, 423, check)
    call createCurrent(P_d, P_dAnti, P_g, 99, check)
    call createCurrent(P_g, P_H, P_H, P_c, P_cAnti, 598, check)
    call createCurrent(P_g, P_uAnti, P_H, P_u, P_H, 289, check)
    call createCurrent(P_b, P_g, P_H, P_bAnti, P_H, 644, check)
    call createCurrent(P_H, P_u, P_g, P_uAnti, 234, check)
    call createCurrent(P_g, P_g, P_H, P_H, P_H, P_g, P_g, 29, check)
    call createCurrent(P_g, P_g, P_H, P_H, P_H, P_g, 10, check)
    call createCurrent(P_g, P_d, P_dAnti, P_H, P_H, 205, check)
    call createCurrent(P_u, P_H, P_g, P_H, P_uAnti, 454, check)
    call createCurrent(P_H, P_d, P_dAnti, P_H, 274, check)
    call createCurrent(P_H, P_sAnti, P_H, P_s, 642, check)
    call createCurrent(P_H, P_g, P_H, P_bAnti, P_b, 187, check)
    call createCurrent(P_s, P_g, P_H, P_H, P_sAnti, 403, check)
    call createCurrent(P_H, P_cAnti, P_g, P_c, 353, check)
    call createCurrent(P_bAnti, P_b, P_g, P_H, P_H, 375, check)
    call createCurrent(P_H, P_uAnti, P_H, P_u, 556, check)
    call createCurrent(P_b, P_H, P_bAnti, P_H, P_g, 484, check)
    call createCurrent(P_H, P_H, P_g, P_c, P_cAnti, 600, check)
    call createCurrent(P_dAnti, P_H, P_d, 251, check)
    call createCurrent(P_H, P_g, P_g, P_H, P_g, P_H, 50, check)
    call createCurrent(P_H, P_d, P_g, P_H, P_dAnti, 567, check)
    call createCurrent(P_b, P_H, P_H, P_g, P_bAnti, 547, check)
    call createCurrent(P_g, P_g, P_g, P_H, P_H, 123, check)
    call createCurrent(P_u, P_g, P_uAnti, P_H, 250, check)
    call createCurrent(P_H, P_H, P_g, P_g, P_H, P_g, 63, check)
    call createCurrent(P_sAnti, P_g, P_s, P_H, P_H, 252, check)
    call createCurrent(P_c, P_H, P_g, P_H, P_cAnti, 566, check)
    call createCurrent(P_c, P_g, P_cAnti, 143, check)
    call createCurrent(P_H, P_cAnti, P_c, P_H, P_g, 533, check)
    call createCurrent(P_uAnti, P_H, P_H, P_g, P_u, 305, check)
    call createCurrent(P_H, P_sAnti, P_g, P_s, P_H, 340, check)
    call createCurrent(P_dAnti, P_H, P_d, P_H, P_g, 351, check)
    call createCurrent(P_uAnti, P_u, P_g, 91, check)
    call createCurrent(P_H, P_cAnti, P_c, P_g, 390, check)
    call createCurrent(P_b, P_H, P_bAnti, P_g, 440, check)
    call createCurrent(P_H, P_g, P_g, P_g, P_H, 41, check)
    call createCurrent(P_g, P_b, P_H, P_bAnti, P_H, 328, check)
    call createCurrent(P_g, P_c, P_H, P_cAnti, 186, check)
    call createCurrent(P_s, P_g, P_sAnti, P_H, P_H, 420, check)
    call createCurrent(P_g, P_H, P_g, P_H, P_H, P_g, P_g, 51, check)
    call createCurrent(P_g, P_g, P_H, P_g, P_H, P_g, P_H, 111, check)
    call createCurrent(P_dAnti, P_g, P_d, P_H, P_H, 611, check)
    call createCurrent(P_sAnti, P_H, P_s, 625, check)
    call createCurrent(P_H, P_g, P_g, P_g, P_g, 78, check)
    call createCurrent(P_ghGAnti, P_ghG, P_g, 62, check)
    call createCurrent(P_g, P_H, P_H, P_dAnti, P_d, 573, check)
    call createCurrent(P_H, P_H, P_g, P_dAnti, P_d, 175, check)
    call createCurrent(P_H, P_g, P_u, P_H, P_uAnti, 331, check)
    call createCurrent(P_H, P_g, P_g, P_H, 35, check)
    call createCurrent(P_b, P_g, P_H, P_bAnti, 493, check)
    call createCurrent(P_g, P_ghG, P_ghGAnti, 80, check)
    call createCurrent(P_g, P_H, P_d, P_H, P_dAnti, 333, check)
    call createCurrent(P_c, P_cAnti, P_g, P_H, 546, check)
    call createCurrent(P_c, P_H, P_H, P_g, P_cAnti, 257, check)
    call createCurrent(P_H, P_H, P_g, P_bAnti, P_b, 452, check)
    call createCurrent(P_u, P_H, P_uAnti, P_g, 196, check)
    call createCurrent(P_dAnti, P_g, P_H, P_d, P_H, 225, check)
    call createCurrent(P_g, P_bAnti, P_b, P_H, 336, check)
    call createCurrent(P_g, P_H, P_H, P_g, P_g, P_g, P_H, 83, check)
    call createCurrent(P_sAnti, P_H, P_H, P_g, P_s, 173, check)
    call createCurrent(P_g, P_H, P_u, P_uAnti, 605, check)
    call createCurrent(P_s, P_sAnti, P_H, P_g, P_H, 509, check)
    call createCurrent(P_H, P_H, P_b, P_bAnti, P_g, 220, check)
    call createCurrent(P_dAnti, P_H, P_g, P_d, P_H, 346, check)
    call createCurrent(P_c, P_g, P_H, P_H, P_cAnti, 496, check)
    call createCurrent(P_g, P_g, P_g, P_g, 40, check)
    call createCurrent(P_g, P_g, P_g, P_H, P_g, 133, check)
    call createCurrent(P_H, P_g, P_c, P_H, P_cAnti, 559, check)
    call createCurrent(P_H, P_g, P_cAnti, P_c, P_H, 259, check)
    call createCurrent(P_g, P_H, P_g, P_g, P_H, P_H, 115, check)
    call createCurrent(P_bAnti, P_g, P_b, P_H, P_H, 301, check)
    call createCurrent(P_H, P_uAnti, P_u, P_g, 549, check)
    call createCurrent(P_uAnti, P_H, P_H, P_u, 483, check)
    call createCurrent(P_H, P_c, P_g, P_H, P_cAnti, 641, check)
    call createCurrent(P_H, P_b, P_g, P_bAnti, P_H, 284, check)
    call createCurrent(P_g, P_H, P_c, P_cAnti, 438, check)
    call createCurrent(P_dAnti, P_g, P_H, P_d, 322, check)
    call createCurrent(P_g, P_H, P_cAnti, P_c, 505, check)
    call createCurrent(P_H, P_sAnti, P_H, P_s, P_g, 229, check)
    call createCurrent(P_bAnti, P_b, P_H, P_H, 604, check)
    call createCurrent(P_g, P_H, P_H, P_b, P_bAnti, 629, check)
    call createCurrent(P_uAnti, P_H, P_u, 338, check)
    call createCurrent(P_H, P_g, P_d, P_dAnti, P_H, 171, check)
    call createCurrent(P_g, P_H, P_sAnti, P_H, P_s, 607, check)
    call createCurrent(P_H, P_H, P_dAnti, P_d, P_g, 571, check)
    call createCurrent(P_H, P_d, P_dAnti, 526, check)
    call createCurrent(P_H, P_d, P_dAnti, P_g, P_H, 422, check)
    call createCurrent(P_s, P_H, P_sAnti, 298, check)
    call createCurrent(P_H, P_sAnti, P_g, P_s, 178, check)
    call createCurrent(P_g, P_g, P_g, P_g, P_H, P_H, P_H, 77, check)
    call createCurrent(P_H, P_bAnti, P_b, P_H, P_g, 430, check)
    call createCurrent(P_H, P_g, P_H, P_g, P_g, 92, check)
    call createCurrent(P_dAnti, P_H, P_H, P_d, 453, check)
    call createCurrent(P_H, P_d, P_H, P_g, P_dAnti, 180, check)
    call createCurrent(P_u, P_g, P_H, P_uAnti, 528, check)
    call createCurrent(P_H, P_g, P_g, 14, check)
    call createCurrent(P_H, P_H, P_d, P_dAnti, 395, check)
    call createCurrent(P_H, P_g, P_bAnti, P_H, P_b, 667, check)
    call createCurrent(P_b, P_H, P_g, P_bAnti, P_H, 174, check)
    call createCurrent(P_g, P_b, P_H, P_H, P_bAnti, 270, check)
    call createCurrent(P_g, P_H, P_H, P_cAnti, P_c, 169, check)
    call createCurrent(P_g, P_cAnti, P_H, P_H, P_c, 647, check)
    call createCurrent(P_g, P_g, P_g, P_H, P_H, P_H, 120, check)
    call createCurrent(P_dAnti, P_d, P_g, 17, check)
    call createCurrent(P_H, P_s, P_sAnti, P_g, 159, check)
    call createCurrent(P_H, P_H, P_g, P_H, P_g, P_g, 112, check)
    call createCurrent(P_cAnti, P_c, P_H, P_g, P_H, 408, check)
    call createCurrent(P_H, P_g, P_H, P_g, P_g, P_g, P_H, 0, check)
    call createCurrent(P_b, P_H, P_g, P_H, P_bAnti, 161, check)
    call createCurrent(P_bAnti, P_g, P_b, 65, check)
    call createCurrent(P_c, P_cAnti, 156, check)
    call createCurrent(P_g, P_c, P_cAnti, P_H, 433, check)
    call createCurrent(P_u, P_uAnti, 150, check)
    call createCurrent(P_H, P_H, P_cAnti, P_g, P_c, 183, check)
    call createCurrent(P_u, P_H, P_H, P_uAnti, P_g, 354, check)
    call createCurrent(P_H, P_g, P_d, P_dAnti, 519, check)
    call createCurrent(P_sAnti, P_s, P_H, P_H, 193, check)
    call createCurrent(P_H, P_H, P_g, P_g, P_g, P_g, 16, check)
    call createCurrent(P_uAnti, P_g, P_H, P_u, P_H, 181, check)
    call createCurrent(P_dAnti, P_d, P_g, P_H, 341, check)
    call createCurrent(P_s, P_sAnti, P_g, 106, check)
    call createCurrent(P_H, P_c, P_g, P_cAnti, P_H, 167, check)
    call createCurrent(P_g, P_u, P_uAnti, P_H, 334, check)
    call createCurrent(P_H, P_H, P_s, P_g, P_sAnti, 248, check)
    call createCurrent(P_g, P_uAnti, P_u, 36, check)
    call createCurrent(P_dAnti, P_H, P_d, P_g, 503, check)
    call createCurrent(P_H, P_b, P_H, P_bAnti, 585, check)
    call createCurrent(P_H, P_d, P_dAnti, P_H, P_g, 475, check)
    call createCurrent(P_g, P_dAnti, P_d, P_H, P_H, 162, check)
    call createCurrent(P_d, P_g, P_H, P_dAnti, P_H, 525, check)
    call createCurrent(P_H, P_uAnti, P_u, P_H, P_g, 310, check)
    call createCurrent(P_H, P_g, P_H, P_g, P_H, P_g, 26, check)
    call createCurrent(P_g, P_H, P_bAnti, P_b, P_H, 231, check)
    call createCurrent(P_H, P_u, P_g, P_H, P_uAnti, 494, check)
    call createCurrent(P_sAnti, P_g, P_s, P_H, 608, check)
    call createCurrent(P_g, P_g, P_g, P_H, P_H, P_g, P_H, 88, check)
    call createCurrent(P_bAnti, P_g, P_H, P_b, P_H, 437, check)
    call createCurrent(P_H, P_H, P_b, P_bAnti, 358, check)
    call createCurrent(P_g, P_H, P_s, P_H, P_sAnti, 365, check)
    call createCurrent(P_g, P_bAnti, P_H, P_b, P_H, 594, check)
    call createCurrent(P_g, P_g, P_H, P_g, 113, check)
    call createCurrent(P_c, P_H, P_cAnti, P_H, P_g, 457, check)
    call createCurrent(P_H, P_g, P_H, P_g, 139, check)
    call createCurrent(P_g, P_g, P_H, P_H, P_H, 82, check)
    call createCurrent(P_u, P_uAnti, P_g, P_H, P_H, 317, check)
    call createCurrent(P_H, P_g, P_H, P_c, P_cAnti, 397, check)
    call createCurrent(P_bAnti, P_g, P_b, P_H, 553, check)
    call createCurrent(P_g, P_H, P_dAnti, P_H, P_d, 192, check)
    call createCurrent(P_H, P_g, P_g, P_g, P_H, P_g, P_H, 66, check)
    call createCurrent(P_cAnti, P_c, P_H, P_H, 561, check)
    call createCurrent(P_g, P_c, P_H, P_H, P_cAnti, 530, check)
    call createCurrent(P_H, P_b, P_bAnti, P_g, 662, check)
    call createCurrent(P_g, P_H, P_g, P_g, P_H, P_g, 8, check)
    call createCurrent(P_dAnti, P_H, P_d, P_g, P_H, 449, check)
    call createCurrent(P_g, P_cAnti, P_c, P_H, P_H, 179, check)
    call createCurrent(P_H, P_u, P_H, P_uAnti, 510, check)
    call createCurrent(P_s, P_H, P_sAnti, P_H, P_g, 273, check)
    call createCurrent(P_H, P_g, P_g, P_g, P_g, P_H, 56, check)
    call createCurrent(P_cAnti, P_H, P_c, P_g, P_H, 299, check)
    call createCurrent(P_H, P_dAnti, P_g, P_H, P_d, 463, check)
    call createCurrent(P_H, P_u, P_uAnti, P_H, P_g, 658, check)
    call createCurrent(P_dAnti, P_H, P_g, P_d, 492, check)
    call createCurrent(P_b, P_H, P_bAnti, P_H, 216, check)
    call createCurrent(P_c, P_H, P_g, P_cAnti, 435, check)
    call createCurrent(P_c, P_cAnti, P_g, P_H, P_H, 389, check)
    call createCurrent(P_H, P_cAnti, P_c, P_H, 272, check)
    call createCurrent(P_H, P_g, P_H, P_H, P_g, P_g, P_g, 126, check)
    call createCurrent(P_H, P_g, P_g, P_H, P_H, 28, check)
    call createCurrent(P_H, P_g, P_g, P_g, P_H, P_H, 98, check)
    call createCurrent(P_c, P_cAnti, P_H, 450, check)
    call createCurrent(P_H, P_H, P_H, P_H, 20, check)
    call createCurrent(P_H, P_sAnti, P_s, P_H, P_g, 380, check)
    call createCurrent(P_H, P_H, P_g, P_u, P_uAnti, 214, check)
    call createCurrent(P_cAnti, P_c, P_H, P_H, P_g, 639, check)
    call createCurrent(P_s, P_H, P_g, P_H, P_sAnti, 373, check)
    call createCurrent(P_b, P_H, P_g, P_bAnti, 649, check)
    call createCurrent(P_sAnti, P_H, P_g, P_s, 283, check)
    call createCurrent(P_d, P_H, P_H, P_dAnti, P_g, 315, check)
    call createCurrent(P_g, P_s, P_H, P_sAnti, 413, check)
    call createCurrent(P_dAnti, P_d, P_H, P_H, 227, check)
    call createCurrent(P_g, P_g, P_H, P_H, P_g, P_g, 81, check)
    call createCurrent(P_cAnti, P_H, P_c, 643, check)
    call createCurrent(P_g, P_uAnti, P_H, P_H, P_u, 343, check)
    call createCurrent(P_H, P_sAnti, P_s, P_g, 414, check)
    call createCurrent(P_H, P_H, P_sAnti, P_g, P_s, 367, check)
    call createCurrent(P_dAnti, P_d, 148, check)
    call createCurrent(P_H, P_g, P_bAnti, P_b, P_H, 448, check)
    call createCurrent(P_H, P_H, P_bAnti, P_b, 350, check)
    call createCurrent(P_H, P_g, P_H, P_s, P_sAnti, 491, check)
    call createCurrent(P_H, P_H, P_sAnti, P_s, P_g, 523, check)
    call createCurrent(P_d, P_dAnti, P_H, P_H, 189, check)
    call createCurrent(P_bAnti, P_H, P_b, P_H, P_g, 293, check)
    call createCurrent(P_H, P_g, P_sAnti, P_s, 292, check)
    call createCurrent(P_H, P_g, P_g, P_g, P_H, P_H, P_g, 119, check)
    call createCurrent(P_g, P_g, P_g, P_g, P_H, P_H, 124, check)
    call createCurrent(P_g, P_H, P_H, P_H, P_g, 9, check)
    call createCurrent(P_H, P_dAnti, P_d, P_g, 574, check)
    call createCurrent(P_g, P_uAnti, P_H, P_u, 269, check)
    call createCurrent(P_bAnti, P_H, P_b, 166, check)
    call createCurrent(P_bAnti, P_H, P_b, P_H, 304, check)
    call createCurrent(P_s, P_H, P_sAnti, P_H, 466, check)
    call createCurrent(P_H, P_uAnti, P_g, P_u, P_H, 482, check)
    call createCurrent(P_H, P_dAnti, P_g, P_d, 634, check)
    call createCurrent(P_b, P_H, P_H, P_bAnti, 377, check)
    call createCurrent(P_sAnti, P_s, P_g, P_H, P_H, 323, check)
    call createCurrent(P_H, P_cAnti, P_g, P_c, P_H, 490, check)
    call createCurrent(P_c, P_cAnti, P_H, P_g, 522, check)
    call createCurrent(P_g, P_s, P_sAnti, 15, check)
    call createCurrent(P_H, P_c, P_cAnti, P_g, 355, check)
    call createCurrent(P_g, P_H, P_sAnti, P_s, 632, check)
    call createCurrent(P_H, P_bAnti, P_H, P_g, P_b, 261, check)
    call createCurrent(P_sAnti, P_g, P_H, P_H, P_s, 447, check)
    call createCurrent(P_g, P_H, P_H, P_g, P_g, P_g, 110, check)
    call createCurrent(P_g, P_b, P_H, P_bAnti, 276, check)
    call createCurrent(P_d, P_H, P_H, P_g, P_dAnti, 219, check)
    call createCurrent(P_H, P_H, P_g, P_g, P_H, 129, check)
    call createCurrent(P_u, P_uAnti, P_g, P_H, 163, check)
    call createCurrent(P_H, P_H, P_b, P_g, P_bAnti, 586, check)
    call createCurrent(P_d, P_dAnti, P_H, P_g, P_H, 668, check)
    call createCurrent(P_d, P_H, P_g, P_dAnti, 488, check)
    call createCurrent(P_dAnti, P_d, P_H, 198, check)
    call createCurrent(P_uAnti, P_H, P_g, P_u, 349, check)
    call createCurrent(P_H, P_g, P_H, P_g, P_g, P_H, P_g, 58, check)
    call createCurrent(P_H, P_d, P_g, P_dAnti, 316, check)
    call createCurrent(P_H, P_g, P_c, P_cAnti, 577, check)
    call createCurrent(P_H, P_g, P_H, P_g, P_H, P_g, P_g, 144, check)
    call createCurrent(P_H, P_u, P_H, P_g, P_uAnti, 297, check)
    call createCurrent(P_g, P_H, P_cAnti, P_c, P_H, 268, check)
    call createCurrent(P_g, P_g, P_H, P_H, P_g, P_H, 53, check)
    call createCurrent(P_H, P_g, P_cAnti, P_c, 399, check)
    call createCurrent(P_H, P_bAnti, P_g, P_b, 499, check)
    call createCurrent(P_bAnti, P_b, 158, check)
    call createCurrent(P_g, P_g, P_g, 127, check)
    call createCurrent(P_H, P_H, P_g, P_cAnti, P_c, 436, check)
    call createCurrent(P_s, P_sAnti, P_g, P_H, 361, check)
    call createCurrent(P_s, P_g, P_sAnti, P_H, 326, check)
    call createCurrent(P_c, P_H, P_g, P_cAnti, P_H, 319, check)
    call createCurrent(P_c, P_cAnti, P_H, P_H, 369, check)
    call createCurrent(P_g, P_H, P_H, P_uAnti, P_u, 411, check)
    call createCurrent(P_H, P_H, P_g, P_g, P_g, P_H, P_g, 11, check)
    call createCurrent(P_d, P_dAnti, P_g, P_H, P_H, 544, check)
    call createCurrent(P_H, P_s, P_g, P_sAnti, P_H, 622, check)
    call createCurrent(P_u, P_uAnti, P_H, P_g, 512, check)
    call createCurrent(P_sAnti, P_s, P_g, P_H, 379, check)
    call createCurrent(P_s, P_H, P_sAnti, P_g, 387, check)
    call createCurrent(P_d, P_g, P_dAnti, P_H, P_H, 591, check)
    call createCurrent(P_uAnti, P_u, P_H, P_H, 651, check)
    call createCurrent(P_g, P_cAnti, P_H, P_c, P_H, 633, check)
    call createCurrent(P_cAnti, P_H, P_g, P_c, 432, check)
    call createCurrent(P_d, P_dAnti, P_H, 569, check)
    call createCurrent(P_uAnti, P_g, P_u, P_H, P_H, 300, check)
    call createCurrent(P_g, P_g, P_H, P_H, P_g, P_g, P_H, 59, check)
    call createCurrent(P_H, P_d, P_dAnti, P_g, 609, check)
    call createCurrent(P_b, P_bAnti, P_g, 61, check)
    call createCurrent(P_H, P_dAnti, P_d, P_H, P_g, 603, check)
    call createCurrent(P_H, P_dAnti, P_H, P_g, P_d, 327, check)
    call createCurrent(P_g, P_H, P_sAnti, P_s, P_H, 621, check)
    call createCurrent(P_H, P_s, P_g, P_sAnti, 218, check)
    call createCurrent(P_u, P_g, P_uAnti, P_H, P_H, 640, check)
    call createCurrent(P_g, P_g, P_H, P_g, P_H, P_H, P_g, 33, check)
    call createCurrent(P_uAnti, P_g, P_u, 22, check)
    call createCurrent(P_dAnti, P_d, P_H, P_g, 404, check)
    call createCurrent(P_g, P_uAnti, P_u, P_H, P_H, 606, check)
    call createCurrent(P_g, P_c, P_cAnti, 128, check)
    call createCurrent(P_g, P_H, P_g, P_H, P_g, P_H, 34, check)
    call createCurrent(P_c, P_g, P_H, P_cAnti, 613, check)
    call createCurrent(P_g, P_g, P_H, P_g, P_H, P_H, 86, check)
    call createCurrent(P_g, P_sAnti, P_s, P_H, P_H, 590, check)
    call createCurrent(P_u, P_uAnti, P_g, 45, check)
    call createCurrent(P_d, P_g, P_dAnti, 30, check)
    call createCurrent(P_g, P_g, P_g, P_H, P_g, P_H, P_H, 4, check)
    call createCurrent(P_sAnti, P_H, P_s, P_H, P_g, 619, check)
    call createCurrent(P_u, P_H, P_H, P_uAnti, 267, check)
    call createCurrent(P_cAnti, P_H, P_c, P_g, 588, check)
    call createCurrent(P_g, P_g, P_H, P_g, P_H, P_g, 132, check)
    call createCurrent(P_g, P_d, P_H, P_dAnti, P_H, 652, check)
    call createCurrent(P_H, P_g, P_g, P_H, P_H, P_g, P_g, 54, check)
    call createCurrent(P_H, P_H, P_g, P_g, P_H, P_g, P_g, 27, check)
    call createCurrent(P_H, P_s, P_H, P_sAnti, P_g, 266, check)
    call createCurrent(P_u, P_uAnti, P_H, P_H, 191, check)
    call createCurrent(P_cAnti, P_c, P_g, P_H, 330, check)
    call createCurrent(P_uAnti, P_g, P_H, P_H, P_u, 409, check)
    call createCurrent(P_H, P_uAnti, P_u, P_g, P_H, 538, check)
    call createCurrent(P_g, P_dAnti, P_d, P_H, 255, check)
    call createCurrent(P_g, P_u, P_H, P_H, P_uAnti, 580, check)
    call createCurrent(P_s, P_g, P_H, P_sAnti, 451, check)
    call createCurrent(P_g, P_sAnti, P_s, 116, check)
    call createCurrent(P_g, P_H, P_H, P_g, P_H, P_g, 42, check)
    call createCurrent(P_g, P_u, P_uAnti, P_H, P_H, 552, check)
    call createCurrent(P_sAnti, P_H, P_s, P_H, 223, check)
    call createCurrent(P_c, P_H, P_H, P_cAnti, 655, check)
    call createCurrent(P_H, P_g, P_bAnti, P_b, 565, check)
    call createCurrent(P_g, P_g, P_H, P_g, P_H, 2, check)
    call createCurrent(P_H, P_g, P_d, P_H, P_dAnti, 458, check)
    call createCurrent(P_g, P_g, P_H, P_H, P_g, P_H, P_g, 13, check)
    call createCurrent(P_u, P_H, P_uAnti, 638, check)
    call createCurrent(P_g, P_b, P_bAnti, 93, check)
    call createCurrent(P_g, P_g, P_H, P_H, 44, check)
    call createCurrent(P_g, P_s, P_H, P_H, P_sAnti, 207, check)
    call createCurrent(P_uAnti, P_g, P_H, P_u, 446, check)
    call createCurrent(P_H, P_bAnti, P_b, 314, check)
    call createCurrent(P_g, P_dAnti, P_H, P_H, P_d, 623, check)
    call createCurrent(P_u, P_g, P_uAnti, 87, check)
    call createCurrent(P_uAnti, P_H, P_g, P_H, P_u, 318, check)
    call createCurrent(P_g, P_c, P_H, P_cAnti, P_H, 233, check)
    call createCurrent(P_c, P_H, P_cAnti, 581, check)
    call createCurrent(P_s, P_sAnti, 157, check)
    call createCurrent(P_cAnti, P_c, 152, check)
    call createCurrent(P_uAnti, P_g, P_u, P_H, 612, check)
    call createCurrent(P_sAnti, P_s, P_g, 101, check)
    call createCurrent(P_H, P_g, P_u, P_uAnti, P_H, 263, check)
    call createCurrent(P_H, P_g, P_sAnti, P_H, P_s, 434, check)
    call createCurrent(P_H, P_bAnti, P_H, P_b, 392, check)
    call createCurrent(P_s, P_sAnti, P_H, P_H, 208, check)
    call createCurrent(P_b, P_bAnti, P_H, P_g, P_H, 204, check)
    call createCurrent(P_dAnti, P_g, P_d, P_H, 539, check)
    call createCurrent(P_u, P_g, P_H, P_H, P_uAnti, 575, check)
    call createCurrent(P_g, P_g, P_g, P_H, 118, check)
    call createCurrent(P_H, P_H, P_H, P_g, P_g, P_g, P_g, 135, check)
    call createCurrent(P_dAnti, P_d, P_H, P_g, P_H, 444, check)
    call createCurrent(P_H, P_H, P_cAnti, P_c, P_g, 659, check)
    call createCurrent(P_bAnti, P_H, P_b, P_g, 309, check)
    call createCurrent(P_H, P_H, P_g, P_H, P_g, P_g, P_g, 97, check)
    call createCurrent(P_b, P_g, P_bAnti, 23, check)
    call createCurrent(P_g, P_H, P_H, P_g, P_g, P_H, P_g, 130, check)
    call createCurrent(P_b, P_bAnti, P_g, P_H, P_H, 362, check)
    call createCurrent(P_d, P_H, P_dAnti, 473, check)
    call createCurrent(P_H, P_H, P_u, P_uAnti, 545, check)
    call createCurrent(P_c, P_H, P_cAnti, P_H, 531, check)
    call createCurrent(P_g, P_H, P_cAnti, P_H, P_c, 287, check)
    call createCurrent(P_g, P_H, P_s, P_sAnti, 489, check)
    call createCurrent(P_H, P_H, P_s, P_sAnti, 203, check)
    call createCurrent(P_H, P_H, P_c, P_cAnti, 550, check)
    call createCurrent(P_uAnti, P_H, P_g, P_u, P_H, 213, check)
    call createCurrent(P_bAnti, P_H, P_g, P_b, P_H, 264, check)
    call createCurrent(P_s, P_sAnti, P_g, P_H, P_H, 480, check)
    call createCurrent(P_g, P_H, P_b, P_bAnti, P_H, 630, check)
    call createCurrent(P_g, P_H, P_g, P_H, P_g, 75, check)
    call createCurrent(P_g, P_bAnti, P_H, P_b, 427, check)
    call createCurrent(P_c, P_cAnti, P_g, 72, check)
    call createCurrent(P_g, P_g, P_H, P_g, P_g, 79, check)
    call createCurrent(P_H, P_g, P_H, P_d, P_dAnti, 321, check)
    call createCurrent(P_H, P_u, P_H, P_uAnti, P_g, 532, check)
    call createCurrent(P_H, P_g, P_g, P_g, P_H, P_g, 12, check)
    call createCurrent(P_H, P_g, P_H, P_dAnti, P_d, 371, check)
    call createCurrent(P_H, P_g, P_g, P_H, P_g, P_H, P_g, 39, check)
    call createCurrent(P_H, P_sAnti, P_H, P_g, P_s, 209, check)
    call createCurrent(P_b, P_bAnti, P_H, P_H, 664, check)
    call createCurrent(P_s, P_H, P_sAnti, P_g, P_H, 439, check)
    call createCurrent(P_b, P_g, P_bAnti, P_H, 236, check)
    call createCurrent(P_g, P_H, P_H, P_sAnti, P_s, 479, check)
    call createCurrent(P_H, P_g, P_H, P_b, P_bAnti, 570, check)
    call createCurrent(P_H, P_dAnti, P_d, 291, check)
    call createCurrent(P_H, P_H, P_u, P_g, P_uAnti, 474, check)
    call createCurrent(P_H, P_g, P_H, P_g, P_g, P_H, 64, check)
    call createCurrent(P_g, P_sAnti, P_H, P_s, P_H, 602, check)
    call createCurrent(P_uAnti, P_H, P_u, P_H, 247, check)
    call createCurrent(P_H, P_u, P_uAnti, 426, check)
    call createCurrent(P_g, P_g, P_H, P_g, P_g, P_H, 31, check)
    call createCurrent(P_g, P_H, P_H, P_u, P_uAnti, 618, check)
    call createCurrent(P_H, P_g, P_H, P_g, P_g, P_g, 57, check)
    call createCurrent(P_ghG, P_g, P_ghGAnti, 131, check)
    call createCurrent(P_H, P_bAnti, P_H, P_b, P_g, 296, check)
    call createCurrent(P_H, P_s, P_sAnti, 428, check)
    call createCurrent(P_cAnti, P_g, P_H, P_c, 344, check)
    call createCurrent(P_sAnti, P_H, P_g, P_s, P_H, 286, check)
    call createCurrent(P_dAnti, P_H, P_d, P_H, 313, check)
    call createCurrent(P_bAnti, P_H, P_H, P_b, P_g, 302, check)
    call createCurrent(P_H, P_g, P_s, P_sAnti, P_H, 418, check)
    call createCurrent(P_bAnti, P_b, P_H, P_H, P_g, 278, check)
    call createCurrent(P_g, P_dAnti, P_d, 7, check)
    call createCurrent(P_g, P_H, P_uAnti, P_u, 472, check)
    call createCurrent(P_H, P_g, P_g, P_H, P_H, P_g, 6, check)
    call createCurrent(P_g, P_g, P_g, P_H, P_g, P_H, 43, check)
    call createCurrent(P_uAnti, P_u, P_g, P_H, P_H, 256, check)
    call createCurrent(P_H, P_g, P_uAnti, P_u, 636, check)
    call createCurrent(P_H, P_b, P_H, P_bAnti, P_g, 650, check)
    call createCurrent(P_g, P_bAnti, P_b, 145, check)
    call createCurrent(P_H, P_H, P_H, P_g, P_g, 48, check)
    call createCurrent(P_H, P_H, P_g, P_g, P_g, P_H, 96, check)
    call createCurrent(P_g, P_H, P_g, P_H, P_g, P_H, P_g, 38, check)
    call createCurrent(P_H, P_g, P_g, P_H, P_g, P_g, 70, check)
    call createCurrent(P_s, P_H, P_g, P_sAnti, 385, check)
    call createCurrent(P_H, P_u, P_uAnti, P_H, 470, check)
    call createCurrent(P_H, P_g, P_b, P_bAnti, 584, check)
    call createCurrent(P_cAnti, P_H, P_H, P_c, 498, check)
    call createCurrent(P_uAnti, P_H, P_u, P_H, P_g, 568, check)
    call createCurrent(P_uAnti, P_u, P_H, 660, check)
    call createCurrent(P_cAnti, P_g, P_H, P_H, P_c, 535, check)
    call createCurrent(P_b, P_bAnti, P_H, P_g, 258, check)
    call createCurrent(P_g, P_H, P_b, P_bAnti, 246, check)
    call createCurrent(P_cAnti, P_c, P_g, P_H, P_H, 554, check)
    call createCurrent(P_H, P_s, P_H, P_sAnti, 164, check)
    call createCurrent(P_H, P_H, P_d, P_dAnti, P_g, 303, check)
    call createCurrent(P_H, P_sAnti, P_s, P_g, P_H, 601, check)
    call createCurrent(P_cAnti, P_H, P_g, P_H, P_c, 294, check)
    call createCurrent(P_sAnti, P_s, P_H, P_g, 501, check)
    call createCurrent(P_H, P_bAnti, P_g, P_b, P_H, 391, check)
    call createCurrent(P_c, P_g, P_H, P_cAnti, P_H, 206, check)
    call createCurrent(P_H, P_uAnti, P_H, P_u, P_g, 445, check)
    call createCurrent(P_sAnti, P_H, P_H, P_s, 515, check)
    call createCurrent(P_g, P_sAnti, P_s, P_H, 417, check)
    call createCurrent(P_cAnti, P_g, P_c, P_H, 455, check)
    call createCurrent(P_sAnti, P_H, P_s, P_g, 374, check)
    call createCurrent(P_H, P_bAnti, P_b, P_g, 506, check)
    call createCurrent(P_g, P_d, P_H, P_H, P_dAnti, 443, check)
    call createCurrent(P_s, P_H, P_H, P_sAnti, 382, check)
    call createCurrent(P_g, P_H, P_H, P_d, P_dAnti, 465, check)
    call createCurrent(P_cAnti, P_H, P_c, P_H, P_g, 262, check)
    call createCurrent(P_H, P_H, P_bAnti, P_g, P_b, 384, check)
    call createCurrent(P_g, P_s, P_sAnti, P_H, 279, check)
    call createCurrent(P_g, P_H, P_H, P_g, P_H, 32, check)
    call createCurrent(P_cAnti, P_g, P_H, P_c, P_H, 597, check)
    call createCurrent(P_g, P_H, P_c, P_cAnti, P_H, 536, check)
    call createCurrent(P_H, P_H, P_uAnti, P_u, P_g, 332, check)
    call createCurrent(P_bAnti, P_H, P_b, P_g, P_H, 405, check)
    call createCurrent(P_g, P_H, P_g, P_H, 85, check)
    call createCurrent(P_H, P_b, P_bAnti, 199, check)
    call createCurrent(P_g, P_H, P_g, P_g, 104, check)
    call createCurrent(P_cAnti, P_H, P_c, P_H, 394, check)
    call createCurrent(P_bAnti, P_g, P_H, P_H, P_b, 290, check)
    call createCurrent(P_g, P_H, P_H, P_g, P_g, 89, check)
    call createCurrent(P_bAnti, P_g, P_H, P_b, 221, check)
    call createCurrent(P_g, P_ghGAnti, P_ghG, 60, check)
    call createCurrent(P_g, P_g, 153, check)
    call createCurrent(P_g, P_H, P_g, P_g, P_H, P_H, P_g, 117, check)
    call createCurrent(P_H, P_sAnti, P_g, P_H, P_s, 376, check)
    call createCurrent(P_H, P_s, P_H, P_g, P_sAnti, 197, check)
    call createCurrent(P_cAnti, P_c, P_H, 572, check)
    call createCurrent(P_H, P_b, P_bAnti, P_g, P_H, 226, check)
    call createCurrent(P_g, P_H, P_uAnti, P_u, P_H, 555, check)
    call createCurrent(P_g, P_cAnti, P_H, P_c, 406, check)
    call createCurrent(P_cAnti, P_c, P_H, P_g, 275, check)
    call createCurrent(P_H, P_uAnti, P_u, P_H, 182, check)
    call createCurrent(P_b, P_bAnti, 155, check)
    call createCurrent(P_s, P_H, P_H, P_g, P_sAnti, 500, check)
    call createCurrent(P_g, P_g, P_H, P_g, P_g, P_H, P_H, 69, check)
    call createCurrent(P_H, P_g, P_g, P_H, P_g, 90, check)
    call createCurrent(P_d, P_H, P_dAnti, P_H, P_g, 200, check)
    call createCurrent(P_g, P_H, P_c, P_H, P_cAnti, 471, check)
    call createCurrent(P_g, P_s, P_H, P_sAnti, P_H, 244, check)
    call createCurrent(P_H, P_uAnti, P_g, P_H, P_u, 589, check)
    call createCurrent(P_H, P_cAnti, P_H, P_g, P_c, 412, check)
    call createCurrent(P_H, P_cAnti, P_g, P_H, P_c, 502, check)
    call createCurrent(P_g, P_dAnti, P_H, P_d, 212, check)
    call createCurrent(P_H, P_u, P_g, P_uAnti, P_H, 360, check)
    call createCurrent(P_g, P_H, P_g, P_H, P_g, P_g, 100, check)
    call createCurrent(P_u, P_H, P_uAnti, P_H, 468, check)
    call createCurrent(P_b, P_H, P_bAnti, P_g, P_H, 237, check)
    call createCurrent(P_bAnti, P_b, P_H, P_g, P_H, 241, check)
    call createCurrent(P_g, P_H, P_g, P_g, P_g, 49, check)
    call createCurrent(P_H, P_dAnti, P_d, P_H, 243, check)
    call createCurrent(P_H, P_b, P_bAnti, P_H, P_g, 527, check)
    call createCurrent(P_g, P_uAnti, P_u, P_H, 628, check)
    call createCurrent(P_g, P_H, P_g, P_g, P_g, P_H, P_H, 3, check)
    call createCurrent(P_dAnti, P_d, P_H, P_H, P_g, 347, check)
    call createCurrent(P_g, P_H, P_H, P_H, P_g, P_g, P_g, 95, check)
    call createCurrent(P_H, P_H, P_g, P_H, P_g, 103, check)
    call createCurrent(P_H, P_H, P_g, P_g, P_g, P_g, P_H, 73, check)
    call createCurrent(P_H, P_g, P_u, P_uAnti, 364, check)
    call createCurrent(P_bAnti, P_b, P_g, P_H, 487, check)
    call createCurrent(P_sAnti, P_g, P_H, P_s, P_H, 383, check)
    call createCurrent(P_g, P_u, P_H, P_uAnti, 661, check)
    call createCurrent(P_s, P_g, P_H, P_sAnti, P_H, 217, check)
    call createCurrent(P_s, P_sAnti, P_H, P_H, P_g, 194, check)
    call createCurrent(P_sAnti, P_H, P_s, P_g, P_H, 260, check)
    call createCurrent(P_H, P_dAnti, P_H, P_d, P_g, 476, check)
    call createCurrent(P_u, P_uAnti, P_H, P_H, P_g, 285, check)
    call createCurrent(P_b, P_H, P_bAnti, 230, check)
    call createCurrent(P_H, P_c, P_cAnti, 416, check)
    call createCurrent(P_sAnti, P_g, P_H, P_s, 645, check)
    call createCurrent(P_bAnti, P_H, P_H, P_b, 372, check)
    call createCurrent(P_g, P_c, P_cAnti, P_H, P_H, 363, check)
    call createCurrent(P_d, P_dAnti, P_g, P_H, 184, check)
    call createCurrent(P_H, P_H, P_g, P_s, P_sAnti, 513, check)
    call createCurrent(P_H, P_H, P_g, P_b, P_bAnti, 398, check)
    call createCurrent(P_uAnti, P_u, P_H, P_g, 648, check)
    call createCurrent(P_H, P_bAnti, P_b, P_g, P_H, 540, check)
    call createCurrent(P_H, P_c, P_cAnti, P_H, 245, check)
    call createCurrent(P_H, P_g, P_g, P_H, P_g, P_g, P_H, 107, check)
    call createCurrent(P_dAnti, P_H, P_H, P_g, P_d, 583, check)
  end subroutine fill_current_1
end module currents_info1
