!******************************************************************************!
!                                                                              !
!    vertices_info2.f90                                                        !
!    is part of RECOLA2 (REcursive Computation of One Loop Amplitudes)2        !
!                                                                              !
!    Copyright (C) 2016-2018 Ansgar Denner, Jean-Nicolas Lang and              !
!                            Sandro Uccirati                                   !
!                                                                              !
!    RECOLA2 is licenced under the GNU GPL version 3,                          !
!    see COPYING for details.                                                  !
!                                                                              !
!******************************************************************************!
!                                                           .---.              !
!                                                          /  .  \             !
!                                                         |\_/|   |            !
!                                                         |   |  /|            !
!          .----------------------------------------------------' |            !
!         /  .-.   vertices_info2.f90                             |            !
!        |  /   \  This code was generated with REPT1L.           |            !
!        | |\_.  | Change this file and you get what you deserve. |            !
!        |\|  | /| Author: J.N. Lang                              |            !
!        | `---' | UFO date: 03/2019                              |            !
!        |       | UFO version: 1.0                               |            !
!        |       | Generation date: 2019-10-14 13:42             /             !
!        |       |----------------------------------------------'              !
!        \       |                                                             !
!         \     /                                                              !
!          `---'                                                               !
!******************************************************************************!
module vertices_info2
  implicit none
  contains
  subroutine fill_vertices_mdl2()
    use class_vertices
    use class_couplings
    allocate(vertices(592)%branchR2(0:1))
    call avR2(592, 0, 663, 3, 0, FSFaSV0, 0, [5, 2], [nGC_2707, nGC_2707])

    call avR2(592, 1, 664, 3, 0, FSFaSV0, 0, [5, 2], [nGC_2708, nGC_2708])

    allocate(vertices(593)%branchR2(0:1))
    call avR2(593, 0, 534, 3, 0, FFaSV0, 0, [5, 1], [nGC_2664, nGC_2664])

    call avR2(593, 1, 535, 3, 0, FFaSV0, 0, [5, 1], [nGC_2665, nGC_2665])

    allocate(vertices(594)%branchR2(0:1))
    call avR2(594, 0, 651, 3, 0, VFaSFS0, 0, [5, 2], [nGC_2707, nGC_2707])

    call avR2(594, 1, 652, 3, 0, VFaSFS0, 0, [5, 2], [nGC_2708, nGC_2708])

    allocate(vertices(595)%branchR2(0:1))
    call avR2(595, 0, 659, 3, 0, FSSFaV0, 0, [5, 2], [nGC_2707, nGC_2707])

    call avR2(595, 1, 660, 3, 0, FSSFaV0, 0, [5, 2], [nGC_2708, nGC_2708])

    allocate(vertices(596)%branchR2(0:1))
    call avR2(596, 0, 627, 3, 0, FaVSSF0, 0, [5, 2], [nGC_2707, nGC_2707])

    call avR2(596, 1, 628, 3, 0, FaVSSF0, 0, [5, 2], [nGC_2708, nGC_2708])

    allocate(vertices(597)%branchR2(0:1))
    call avR2(597, 0, 629, 3, 0, FaVSFS0, 0, [5, 2], [nGC_2707, nGC_2707])

    call avR2(597, 1, 630, 3, 0, FaVSFS0, 0, [5, 2], [nGC_2708, nGC_2708])

    allocate(vertices(598)%branchR2(0:1))
    call avR2(598, 0, 563, 3, 0, VSSFFa0, 0, [5, 2], [nGC_2707, nGC_2707])

    call avR2(598, 1, 564, 3, 0, VSSFFa0, 0, [5, 2], [nGC_2708, nGC_2708])

    allocate(vertices(599)%branchR2(0:1))
    call avR2(599, 0, 540, 3, 0, FVFaS0, 0, [5, 1], [nGC_2664, nGC_2664])

    call avR2(599, 1, 541, 3, 0, FVFaS0, 0, [5, 1], [nGC_2665, nGC_2665])

    allocate(vertices(600)%branchR2(0:1))
    call avR2(600, 0, 569, 3, 0, SSVFFa0, 0, [5, 2], [nGC_2707, nGC_2707])

    call avR2(600, 1, 570, 3, 0, SSVFFa0, 0, [5, 2], [nGC_2708, nGC_2708])

    allocate(vertices(601)%branchR2(0:1))
    call avR2(601, 0, 579, 3, 0, SFaFVS0, 0, [5, 2], [nGC_2707, nGC_2707])

    call avR2(601, 1, 580, 3, 0, SFaFVS0, 0, [5, 2], [nGC_2708, nGC_2708])

    allocate(vertices(602)%branchR2(0:1))
    call avR2(602, 0, 651, 3, 0, VFaSFS0, 0, [5, 2], [nGC_2707, nGC_2707])

    call avR2(602, 1, 652, 3, 0, VFaSFS0, 0, [5, 2], [nGC_2708, nGC_2708])

    allocate(vertices(603)%branchR2(0:1))
    call avR2(603, 0, 577, 3, 0, SFaFSV0, 0, [5, 2], [nGC_2707, nGC_2707])

    call avR2(603, 1, 578, 3, 0, SFaFSV0, 0, [5, 2], [nGC_2708, nGC_2708])

    allocate(vertices(604)%branchR2(0:0))
    call avR2(604, 0, 490, 3, 0, FaFSS0, 0, [4, 2], [nGC_2660, nGC_2660,       &
    nGC_2667, nGC_2667])

    allocate(vertices(605)%branchR2(0:1))
    call avR2(605, 0, 494, 3, 0, VSFFa0, 0, [5, 1], [nGC_2664, nGC_2664])

    call avR2(605, 1, 495, 3, 0, VSFFa0, 0, [5, 1], [nGC_2665, nGC_2665])

    allocate(vertices(121)%branchR2(0:1))
    call avR2(121, 0, 71, 3, 0, SSVVV0, 0, [5, 2], [nGC_2746, nGC_2743,        &
    nGC_2744, nGC_2748, nGC_2745, nGC_2747])

    call avR2(121, 1, 72, 3, 0, SSVVV0, 0, [5, 2], [nGC_2740, nGC_2737,        &
    nGC_2738, nGC_2742, nGC_2739, nGC_2741])

    allocate(vertices(606)%branchR2(0:1))
    call avR2(606, 0, 647, 3, 0, VFaFSS0, 0, [5, 2], [nGC_2707, nGC_2707])

    call avR2(606, 1, 648, 3, 0, VFaFSS0, 0, [5, 2], [nGC_2708, nGC_2708])

    allocate(vertices(607)%branchR2(0:1))
    call avR2(607, 0, 641, 3, 0, VSFaSF0, 0, [5, 2], [nGC_2707, nGC_2707])

    call avR2(607, 1, 642, 3, 0, VSFaSF0, 0, [5, 2], [nGC_2708, nGC_2708])

    allocate(vertices(608)%branchR2(0:1))
    call avR2(608, 0, 514, 3, 0, FaVFS0, 0, [5, 1], [nGC_2664, nGC_2664])

    call avR2(608, 1, 515, 3, 0, FaVFS0, 0, [5, 1], [nGC_2665, nGC_2665])

    allocate(vertices(609)%branchR2(0:1))
    call avR2(609, 0, 498, 3, 0, SFFaV0, 0, [5, 1], [nGC_2664, nGC_2664])

    call avR2(609, 1, 499, 3, 0, SFFaV0, 0, [5, 1], [nGC_2665, nGC_2665])

    allocate(vertices(79)%branchR2(0:22))
    call avR2(79, 0, 369, 3, 0, VVSVV1, 0, [6, 3], [nGC_2761, 0, 0, nGC_2760,  &
    nGC_2761, nGC_2760, 0, nGC_2762, nGC_2762])

    call avR2(79, 1, 369, 3, 0, VVSVV0, 0, [6, 1], [nGC_2758, nGC_2759,        &
    nGC_2759])

    call avR2(79, 2, 370, 3, 0, VVSVV1, 0, [6, 3], [nGC_8580, nGC_8543,        &
    nGC_2761, nGC_2753, 0, 0, nGC_8544, nGC_2755, 0])

    call avR2(79, 3, 370, 3, 0, VVSVV0, 0, [6, 1], [nGC_2764, nGC_2763,        &
    nGC_2765])

    call avR2(79, 4, 371, 3, 0, VVSVV1, 0, [6, 3], [0, nGC_2753, nGC_2757, 0,  &
    nGC_2757, nGC_2753, nGC_2755, 0, nGC_2755])

    call avR2(79, 5, 371, 3, 0, VVSVV0, 0, [6, 1], [nGC_2754, nGC_2752,        &
    nGC_2756])

    call avR2(79, 6, 372, 3, 0, VVSVV1, 0, [6, 3], [nGC_2761, 0, 0, nGC_2760,  &
    nGC_2761, nGC_2760, 0, nGC_2762, nGC_2762])

    call avR2(79, 7, 372, 3, 0, VVSVV0, 0, [6, 1], [nGC_2758, nGC_2759,        &
    nGC_2759])

    call avR2(79, 8, 373, 3, 0, VVSVV1, 0, [6, 3], [nGC_8580, nGC_8543,        &
    nGC_2761, nGC_2753, 0, 0, nGC_8544, nGC_2755, 0])

    call avR2(79, 9, 373, 3, 0, VVSVV0, 0, [6, 1], [nGC_2764, nGC_2763,        &
    nGC_2765])

    call avR2(79, 10, 374, 3, 0, VVSVV1, 0, [6, 3], [0, nGC_2753, nGC_2757, 0, &
    nGC_2757, nGC_2753, nGC_2755, 0, nGC_2755])

    call avR2(79, 11, 374, 3, 0, VVSVV0, 0, [6, 1], [nGC_2754, nGC_2752,       &
    nGC_2756])

    call avR2(79, 12, 708, 3, 0, VVSVV0, 0, [6, 1], [nGC_2772, nGC_2777,       &
    nGC_2778])

    call avR2(79, 13, 709, 3, 0, VVSVV0, 0, [6, 1], [nGC_2775, nGC_2769,       &
    nGC_2776])

    call avR2(79, 14, 710, 3, 0, VVSVV0, 0, [6, 1], [nGC_2769, nGC_2770,       &
    nGC_2771])

    call avR2(79, 15, 711, 3, 0, VVSVV0, 0, [6, 1], [nGC_2749, nGC_2750,       &
    nGC_2751])

    call avR2(79, 16, 712, 3, 0, VVSVV0, 0, [6, 1], [nGC_2766, nGC_2767,       &
    nGC_2768])

    call avR2(79, 17, 713, 3, 0, VVSVV0, 0, [6, 1], [nGC_2749, nGC_2750,       &
    nGC_2751])

    call avR2(79, 18, 714, 3, 0, VVSVV0, 0, [6, 1], [nGC_2772, nGC_2773,       &
    nGC_2774])

    call avR2(79, 19, 715, 3, 0, VVSVV0, 0, [6, 1], [nGC_2766, nGC_2767,       &
    nGC_2768])

    call avR2(79, 20, 716, 3, 0, VVSVV0, 0, [6, 1], [nGC_2772, nGC_2777,       &
    nGC_2778])

    call avR2(79, 21, 717, 3, 0, VVSVV0, 0, [6, 1], [nGC_2775, nGC_2776,       &
    nGC_2769])

    call avR2(79, 22, 718, 3, 0, VVSVV0, 0, [6, 1], [nGC_2772, nGC_2773,       &
    nGC_2774])

    allocate(vertices(610)%branchR2(0:1))
    call avR2(610, 0, 508, 3, 0, FaFSV0, 0, [5, 1], [nGC_2664, nGC_2664])

    call avR2(610, 1, 509, 3, 0, FaFSV0, 0, [5, 1], [nGC_2665, nGC_2665])

    allocate(vertices(87)%branchR2(0:1))
    call avR2(87, 0, 49, 3, 0, FVFa0, 0, [3, 0], [nGC_2657, nGC_2657])

    call avR2(87, 1, 50, 3, 0, FVFa0, 0, [3, 0], [nGC_2656, nGC_2656])

    allocate(vertices(611)%branchR2(0:1))
    call avR2(611, 0, 625, 3, 0, FaVFSS0, 0, [5, 2], [nGC_2707, nGC_2707])

    call avR2(611, 1, 626, 3, 0, FaVFSS0, 0, [5, 2], [nGC_2708, nGC_2708])

    allocate(vertices(612)%branchR2(0:1))
    call avR2(612, 0, 514, 3, 0, FaVFS0, 0, [5, 1], [nGC_2664, nGC_2664])

    call avR2(612, 1, 515, 3, 0, FaVFS0, 0, [5, 1], [nGC_2665, nGC_2665])

    allocate(vertices(613)%branchR2(0:1))
    call avR2(613, 0, 538, 3, 0, FVSFa0, 0, [5, 1], [nGC_2664, nGC_2664])

    call avR2(613, 1, 539, 3, 0, FVSFa0, 0, [5, 1], [nGC_2665, nGC_2665])

    allocate(vertices(614)%branchR2(0:1))
    call avR2(614, 0, 605, 3, 0, SFFaSV0, 0, [5, 2], [nGC_2707, nGC_2707])

    call avR2(614, 1, 606, 3, 0, SFFaSV0, 0, [5, 2], [nGC_2708, nGC_2708])

    allocate(vertices(142)%branchR2(0:1))
    call avR2(142, 0, 6, 3, 0, VVS1, 0, [4, 1], [nGC_2650, nGC_2649, nGC_2647, &
    nGC_2646, nGC_2648])

    call avR2(142, 1, 7, 3, 0, VVS1, 0, [4, 1], [nGC_2654, nGC_2655, nGC_2652, &
    nGC_2651, nGC_2653])

    allocate(vertices(615)%branchR2(0:1))
    call avR2(615, 0, 522, 3, 0, VFFaS0, 0, [5, 1], [nGC_2664, nGC_2664])

    call avR2(615, 1, 523, 3, 0, VFFaS0, 0, [5, 1], [nGC_2665, nGC_2665])

    allocate(vertices(616)%branchR2(0:1))
    call avR2(616, 0, 621, 3, 0, FaSSFV0, 0, [5, 2], [nGC_2707, nGC_2707])

    call avR2(616, 1, 622, 3, 0, FaSSFV0, 0, [5, 2], [nGC_2708, nGC_2708])

    allocate(vertices(617)%branchR2(0:1))
    call avR2(617, 0, 659, 3, 0, FSSFaV0, 0, [5, 2], [nGC_2707, nGC_2707])

    call avR2(617, 1, 660, 3, 0, FSSFaV0, 0, [5, 2], [nGC_2708, nGC_2708])

    allocate(vertices(618)%branchR2(0:1))
    call avR2(618, 0, 563, 3, 0, VSSFFa0, 0, [5, 2], [nGC_2707, nGC_2707])

    call avR2(618, 1, 564, 3, 0, VSSFFa0, 0, [5, 2], [nGC_2708, nGC_2708])

    allocate(vertices(619)%branchR2(0:1))
    call avR2(619, 0, 613, 3, 0, FaSFSV0, 0, [5, 2], [nGC_2707, nGC_2707])

    call avR2(619, 1, 614, 3, 0, FaSFSV0, 0, [5, 2], [nGC_2708, nGC_2708])

    allocate(vertices(620)%branchR2(0:1))
    call avR2(620, 0, 609, 3, 0, SFVSFa0, 0, [5, 2], [nGC_2707, nGC_2707])

    call avR2(620, 1, 610, 3, 0, SFVSFa0, 0, [5, 2], [nGC_2708, nGC_2708])

    allocate(vertices(621)%branchR2(0:1))
    call avR2(621, 0, 643, 3, 0, VSFaFS0, 0, [5, 2], [nGC_2707, nGC_2707])

    call avR2(621, 1, 644, 3, 0, VSFaFS0, 0, [5, 2], [nGC_2708, nGC_2708])

    allocate(vertices(622)%branchR2(0:1))
    call avR2(622, 0, 611, 3, 0, SFVFaS0, 0, [5, 2], [nGC_2707, nGC_2707])

    call avR2(622, 1, 612, 3, 0, SFVFaS0, 0, [5, 2], [nGC_2708, nGC_2708])

    allocate(vertices(65)%branchR2(0:1))
    call avR2(65, 0, 45, 3, 0, FaVF0, 0, [3, 0], [nGC_2657, nGC_2657])

    call avR2(65, 1, 46, 3, 0, FaVF0, 0, [3, 0], [nGC_2656, nGC_2656])

    allocate(vertices(623)%branchR2(0:1))
    call avR2(623, 0, 649, 3, 0, VFaSSF0, 0, [5, 2], [nGC_2707, nGC_2707])

    call avR2(623, 1, 650, 3, 0, VFaSSF0, 0, [5, 2], [nGC_2708, nGC_2708])

    allocate(vertices(624)%branchR2(0:1))
    call avR2(624, 0, 532, 3, 0, FSVFa0, 0, [5, 1], [nGC_2664, nGC_2664])

    call avR2(624, 1, 533, 3, 0, FSVFa0, 0, [5, 1], [nGC_2665, nGC_2665])

    allocate(vertices(68)%branchR2(0:1))
    call avR2(68, 0, 45, 3, 0, FaVF0, 0, [3, 0], [nGC_2657, nGC_2657])

    call avR2(68, 1, 46, 3, 0, FaVF0, 0, [3, 0], [nGC_2656, nGC_2656])

    allocate(vertices(625)%branchR2(0:0))
    call avR2(625, 0, 475, 3, 0, FaSF0, 0, [4, 1], [nGC_2640, nGC_2640,        &
    nGC_2645, nGC_2645])

    allocate(vertices(626)%branchR2(0:1))
    call avR2(626, 0, 569, 3, 0, SSVFFa0, 0, [5, 2], [nGC_2707, nGC_2707])

    call avR2(626, 1, 570, 3, 0, SSVFFa0, 0, [5, 2], [nGC_2708, nGC_2708])

    allocate(vertices(627)%branchR2(0:1))
    call avR2(627, 0, 639, 3, 0, VSFFaS0, 0, [5, 2], [nGC_2707, nGC_2707])

    call avR2(627, 1, 640, 3, 0, VSFFaS0, 0, [5, 2], [nGC_2708, nGC_2708])

    allocate(vertices(628)%branchR2(0:1))
    call avR2(628, 0, 526, 3, 0, VFaFS0, 0, [5, 1], [nGC_2664, nGC_2664])

    call avR2(628, 1, 527, 3, 0, VFaFS0, 0, [5, 1], [nGC_2665, nGC_2665])

    allocate(vertices(629)%branchR2(0:1))
    call avR2(629, 0, 563, 3, 0, VSSFFa0, 0, [5, 2], [nGC_2707, nGC_2707])

    call avR2(629, 1, 564, 3, 0, VSSFFa0, 0, [5, 2], [nGC_2708, nGC_2708])

    allocate(vertices(630)%branchR2(0:1))
    call avR2(630, 0, 639, 3, 0, VSFFaS0, 0, [5, 2], [nGC_2707, nGC_2707])

    call avR2(630, 1, 640, 3, 0, VSFFaS0, 0, [5, 2], [nGC_2708, nGC_2708])

    allocate(vertices(156)%branchR2(0:0))
    call avR2(156, 0, 42, 3, 0, FFa0, 0, [2, 0], [nGC_2628, nGC_2628, nGC_2629 &
    , nGC_2629])

    allocate(vertices(631)%branchR2(0:1))
    call avR2(631, 0, 671, 3, 0, FFaSSV0, 0, [5, 2], [nGC_2707, nGC_2707])

    call avR2(631, 1, 672, 3, 0, FFaSSV0, 0, [5, 2], [nGC_2708, nGC_2708])

    allocate(vertices(48)%branchR2(0:3))
    call avR2(48, 0, 89, 3, 0, SSSVV0, 0, [6, 3], [nGC_2734, nGC_2729, nGC_2725&
    , nGC_2736, nGC_2736, nGC_2736, nGC_2731, nGC_2727, nGC_2733, nGC_2733,    &
    nGC_2733])

    call avR2(48, 1, 89, 3, 0, SSSVV0, 0, [4, 3], [nGC_2735, nGC_2730, nGC_2726&
    , 0, 0, 0, nGC_2732, nGC_2728, 0, 0, 0])

    call avR2(48, 2, 90, 3, 0, SSSVV0, 0, [6, 3], [nGC_2722, nGC_2714, nGC_2709&
    , nGC_2724, nGC_2718, nGC_8635, nGC_2716, nGC_2711, nGC_2719, nGC_2721,    &
    nGC_2713])

    call avR2(48, 3, 90, 3, 0, SSSVV0, 0, [4, 3], [nGC_2723, nGC_2715, nGC_2710&
    , 0, 0, 0, nGC_2717, nGC_2712, 0, 0, 0])

    allocate(vertices(632)%branchR2(0:1))
    call avR2(632, 0, 528, 3, 0, VSFaF0, 0, [5, 1], [nGC_2664, nGC_2664])

    call avR2(632, 1, 529, 3, 0, VSFaF0, 0, [5, 1], [nGC_2665, nGC_2665])

    allocate(vertices(633)%branchR2(0:1))
    call avR2(633, 0, 651, 3, 0, VFaSFS0, 0, [5, 2], [nGC_2707, nGC_2707])

    call avR2(633, 1, 652, 3, 0, VFaSFS0, 0, [5, 2], [nGC_2708, nGC_2708])

    allocate(vertices(634)%branchR2(0:1))
    call avR2(634, 0, 506, 3, 0, SFaVF0, 0, [5, 1], [nGC_2664, nGC_2664])

    call avR2(634, 1, 507, 3, 0, SFaVF0, 0, [5, 1], [nGC_2665, nGC_2665])

    allocate(vertices(635)%branchR2(0:1))
    call avR2(635, 0, 671, 3, 0, FFaSSV0, 0, [5, 2], [nGC_2707, nGC_2707])

    call avR2(635, 1, 672, 3, 0, FFaSSV0, 0, [5, 2], [nGC_2708, nGC_2708])

    allocate(vertices(636)%branchR2(0:1))
    call avR2(636, 0, 502, 3, 0, SVFaF0, 0, [5, 1], [nGC_2664, nGC_2664])

    call avR2(636, 1, 503, 3, 0, SVFaF0, 0, [5, 1], [nGC_2665, nGC_2665])

    allocate(vertices(637)%branchR2(0:1))
    call avR2(637, 0, 677, 3, 0, FVSSFa0, 0, [5, 2], [nGC_2707, nGC_2707])

    call avR2(637, 1, 678, 3, 0, FVSSFa0, 0, [5, 2], [nGC_2708, nGC_2708])

    allocate(vertices(638)%branchR2(0:0))
    call avR2(638, 0, 476, 3, 0, FSFa0, 0, [4, 1], [nGC_2640, nGC_2640,        &
    nGC_2641, nGC_2641])

    allocate(vertices(639)%branchR2(0:1))
    call avR2(639, 0, 631, 3, 0, FaFSSV0, 0, [5, 2], [nGC_2707, nGC_2707])

    call avR2(639, 1, 632, 3, 0, FaFSSV0, 0, [5, 2], [nGC_2708, nGC_2708])

    allocate(vertices(640)%branchR2(0:1))
    call avR2(640, 0, 681, 3, 0, FVFaSS0, 0, [5, 2], [nGC_2707, nGC_2707])

    call avR2(640, 1, 682, 3, 0, FVFaSS0, 0, [5, 2], [nGC_2708, nGC_2708])

    allocate(vertices(641)%branchR2(0:1))
    call avR2(641, 0, 609, 3, 0, SFVSFa0, 0, [5, 2], [nGC_2707, nGC_2707])

    call avR2(641, 1, 610, 3, 0, SFVSFa0, 0, [5, 2], [nGC_2708, nGC_2708])

    allocate(vertices(158)%branchR2(0:0))
    call avR2(158, 0, 471, 3, 0, FaF0, 0, [2, 0], [nGC_2628, nGC_2628, nGC_2632&
    , nGC_2632])

    allocate(vertices(45)%branchR2(0:1))
    call avR2(45, 0, 40, 3, 0, FFaV0, 0, [3, 0], [nGC_2657, nGC_2657])

    call avR2(45, 1, 41, 3, 0, FFaV0, 0, [3, 0], [nGC_2656, nGC_2656])

    allocate(vertices(642)%branchR2(0:0))
    call avR2(642, 0, 485, 3, 0, SFaSF0, 0, [4, 2], [nGC_2660, nGC_2660,       &
    nGC_2661, nGC_2661])

    allocate(vertices(643)%branchR2(0:0))
    call avR2(643, 0, 475, 3, 0, FaSF0, 0, [4, 1], [nGC_2640, nGC_2640,        &
    nGC_2642, nGC_2642])

    allocate(vertices(644)%branchR2(0:1))
    call avR2(644, 0, 679, 3, 0, FVSFaS0, 0, [5, 2], [nGC_2707, nGC_2707])

    call avR2(644, 1, 680, 3, 0, FVSFaS0, 0, [5, 2], [nGC_2708, nGC_2708])

    allocate(vertices(645)%branchR2(0:1))
    call avR2(645, 0, 512, 3, 0, FaVSF0, 0, [5, 1], [nGC_2664, nGC_2664])

    call avR2(645, 1, 513, 3, 0, FaVSF0, 0, [5, 1], [nGC_2665, nGC_2665])

    allocate(vertices(146)%branchR2(0:1))
    call avR2(146, 0, 91, 3, 0, VSV1, 0, [4, 1], [nGC_2654, nGC_2655, nGC_2652 &
    , nGC_2651, nGC_2653])

    call avR2(146, 1, 92, 3, 0, VSV1, 0, [4, 1], [nGC_2650, nGC_2649, nGC_2647 &
    , nGC_2646, nGC_2648])

    allocate(vertices(646)%branchR2(0:1))
    call avR2(646, 0, 538, 3, 0, FVSFa0, 0, [5, 1], [nGC_2664, nGC_2664])

    call avR2(646, 1, 539, 3, 0, FVSFa0, 0, [5, 1], [nGC_2665, nGC_2665])

    allocate(vertices(5)%branchR2(0:3))
    call avR2(5, 0, 73, 3, 0, VSVSS0, 0, [6, 3], [nGC_2734, nGC_2729, nGC_2725 &
    , nGC_2736, nGC_2736, nGC_2736, nGC_2727, nGC_2733, nGC_2733, nGC_2733,    &
    nGC_2731])

    call avR2(5, 1, 73, 3, 0, VSVSS0, 0, [4, 3], [nGC_2735, nGC_2730, nGC_2726 &
    , 0, 0, 0, nGC_2728, 0, 0, 0, nGC_2732])

    call avR2(5, 2, 74, 3, 0, VSVSS0, 0, [6, 3], [nGC_2722, nGC_2714, nGC_2709 &
    , nGC_2724, nGC_8635, nGC_2718, nGC_2711, nGC_2721, nGC_2719, nGC_2713,    &
    nGC_2716])

    call avR2(5, 3, 74, 3, 0, VSVSS0, 0, [4, 3], [nGC_2723, nGC_2715, nGC_2710 &
    , 0, 0, 0, nGC_2712, 0, 0, 0, nGC_2717])

    allocate(vertices(647)%branchR2(0:1))
    call avR2(647, 0, 649, 3, 0, VFaSSF0, 0, [5, 2], [nGC_2707, nGC_2707])

    call avR2(647, 1, 650, 3, 0, VFaSSF0, 0, [5, 2], [nGC_2708, nGC_2708])

    allocate(vertices(22)%branchR2(0:1))
    call avR2(22, 0, 45, 3, 0, FaVF0, 0, [3, 0], [nGC_2657, nGC_2657])

    call avR2(22, 1, 46, 3, 0, FaVF0, 0, [3, 0], [nGC_2656, nGC_2656])

    allocate(vertices(648)%branchR2(0:1))
    call avR2(648, 0, 508, 3, 0, FaFSV0, 0, [5, 1], [nGC_2664, nGC_2664])

    call avR2(648, 1, 509, 3, 0, FaFSV0, 0, [5, 1], [nGC_2665, nGC_2665])

    allocate(vertices(649)%branchR2(0:1))
    call avR2(649, 0, 532, 3, 0, FSVFa0, 0, [5, 1], [nGC_2664, nGC_2664])

    call avR2(649, 1, 533, 3, 0, FSVFa0, 0, [5, 1], [nGC_2665, nGC_2665])

    allocate(vertices(152)%branchR2(0:0))
    call avR2(152, 0, 471, 3, 0, FaF0, 0, [2, 0], [nGC_2628, nGC_2628, nGC_2629&
    , nGC_2629])

    allocate(vertices(104)%branchR2(0:1))
    call avR2(104, 0, 107, 3, 0, VSVV0, 0, [5, 1], [nGC_2686, nGC_2687,        &
    nGC_2684, nGC_2689, nGC_2688, nGC_2685])

    call avR2(104, 1, 108, 3, 0, VSVV0, 0, [5, 1], [nGC_2680, nGC_2681,        &
    nGC_2678, nGC_2683, nGC_2682, nGC_2679])

    allocate(vertices(650)%branchR2(0:1))
    call avR2(650, 0, 601, 3, 0, SFSFaV0, 0, [5, 2], [nGC_2707, nGC_2707])

    call avR2(650, 1, 602, 3, 0, SFSFaV0, 0, [5, 2], [nGC_2708, nGC_2708])

    allocate(vertices(19)%branchR2(0:1))
    call avR2(19, 0, 53, 3, 0, VFFa0, 0, [3, 0], [nGC_2657, nGC_2657])

    call avR2(19, 1, 54, 3, 0, VFFa0, 0, [3, 0], [nGC_2656, nGC_2656])

    allocate(vertices(651)%branchR2(0:0))
    call avR2(651, 0, 490, 3, 0, FaFSS0, 0, [4, 2], [nGC_2660, nGC_2660,       &
    nGC_2662, nGC_2662])

    allocate(vertices(652)%branchR2(0:1))
    call avR2(652, 0, 655, 3, 0, VFSFaS0, 0, [5, 2], [nGC_2707, nGC_2707])

    call avR2(652, 1, 656, 3, 0, VFSFaS0, 0, [5, 2], [nGC_2708, nGC_2708])

    allocate(vertices(653)%branchR2(0:0))
    call avR2(653, 0, 474, 3, 0, FaFS0, 0, [4, 1], [nGC_2640, nGC_2640,        &
    nGC_2645, nGC_2645])

    allocate(vertices(654)%branchR2(0:0))
    call avR2(654, 0, 486, 3, 0, SFSFa0, 0, [4, 2], [nGC_2660, nGC_2660,       &
    nGC_2663, nGC_2663])

    allocate(vertices(655)%branchR2(0:0))
    call avR2(655, 0, 491, 3, 0, FSSFa0, 0, [4, 2], [nGC_2660, nGC_2660,       &
    nGC_2666, nGC_2666])

    allocate(vertices(656)%branchR2(0:1))
    call avR2(656, 0, 639, 3, 0, VSFFaS0, 0, [5, 2], [nGC_2707, nGC_2707])

    call avR2(656, 1, 640, 3, 0, VSFFaS0, 0, [5, 2], [nGC_2708, nGC_2708])

    allocate(vertices(657)%branchR2(0:1))
    call avR2(657, 0, 567, 3, 0, SSFFaV0, 0, [5, 2], [nGC_2707, nGC_2707])

    call avR2(657, 1, 568, 3, 0, SSFFaV0, 0, [5, 2], [nGC_2708, nGC_2708])

    allocate(vertices(658)%branchR2(0:1))
    call avR2(658, 0, 605, 3, 0, SFFaSV0, 0, [5, 2], [nGC_2707, nGC_2707])

    call avR2(658, 1, 606, 3, 0, SFFaSV0, 0, [5, 2], [nGC_2708, nGC_2708])

    allocate(vertices(659)%branchR2(0:1))
    call avR2(659, 0, 573, 3, 0, SSFaFV0, 0, [5, 2], [nGC_2707, nGC_2707])

    call avR2(659, 1, 574, 3, 0, SSFaFV0, 0, [5, 2], [nGC_2708, nGC_2708])

    allocate(vertices(660)%branchR2(0:0))
    call avR2(660, 0, 474, 3, 0, FaFS0, 0, [4, 1], [nGC_2640, nGC_2640,        &
    nGC_2641, nGC_2641])

    allocate(vertices(129)%branchR2(0:3))
    call avR2(129, 0, 85, 3, 0, SSVVS0, 0, [6, 3], [nGC_2725, nGC_2736,        &
    nGC_2736, nGC_2736, nGC_2734, nGC_2729, nGC_2731, nGC_2727, nGC_2733,      &
    nGC_2733, nGC_2733])

    call avR2(129, 1, 85, 3, 0, SSVVS0, 0, [4, 3], [nGC_2726, 0, 0, 0, nGC_2735&
    , nGC_2730, nGC_2732, nGC_2728, 0, 0, 0])

    call avR2(129, 2, 86, 3, 0, SSVVS0, 0, [6, 3], [nGC_2709, nGC_2724,        &
    nGC_8635, nGC_2718, nGC_2722, nGC_2714, nGC_2716, nGC_2711, nGC_2721,      &
    nGC_2719, nGC_2713])

    call avR2(129, 3, 86, 3, 0, SSVVS0, 0, [4, 3], [nGC_2710, 0, 0, 0, nGC_2723&
    , nGC_2715, nGC_2717, nGC_2712, 0, 0, 0])

    allocate(vertices(46)%branchR2(0:1))
    call avR2(46, 0, 57, 3, 0, VVSSV0, 0, [5, 2], [nGC_2746, nGC_2743, nGC_2744&
    , nGC_2748, nGC_2745, nGC_2747])

    call avR2(46, 1, 58, 3, 0, VVSSV0, 0, [5, 2], [nGC_2740, nGC_2737, nGC_2738&
    , nGC_2742, nGC_2739, nGC_2741])

    allocate(vertices(661)%branchR2(0:1))
    call avR2(661, 0, 520, 3, 0, VFSFa0, 0, [5, 1], [nGC_2664, nGC_2664])

    call avR2(661, 1, 521, 3, 0, VFSFa0, 0, [5, 1], [nGC_2665, nGC_2665])

    allocate(vertices(662)%branchR2(0:1))
    call avR2(662, 0, 498, 3, 0, SFFaV0, 0, [5, 1], [nGC_2664, nGC_2664])

    call avR2(662, 1, 499, 3, 0, SFFaV0, 0, [5, 1], [nGC_2665, nGC_2665])

    allocate(vertices(663)%branchR2(0:0))
    call avR2(663, 0, 487, 3, 0, SFFaS0, 0, [4, 2], [nGC_2660, nGC_2660,       &
    nGC_2661, nGC_2661])

    allocate(vertices(664)%branchR2(0:0))
    call avR2(664, 0, 493, 3, 0, FFaSS0, 0, [4, 2], [nGC_2660, nGC_2660,       &
    nGC_2667, nGC_2667])

    allocate(vertices(665)%branchR2(0:1))
    call avR2(665, 0, 659, 3, 0, FSSFaV0, 0, [5, 2], [nGC_2707, nGC_2707])

    call avR2(665, 1, 660, 3, 0, FSSFaV0, 0, [5, 2], [nGC_2708, nGC_2708])

    allocate(vertices(666)%branchR2(0:0))
    call avR2(666, 0, 485, 3, 0, SFaSF0, 0, [4, 2], [nGC_2660, nGC_2660,       &
    nGC_2666, nGC_2666])

    allocate(vertices(667)%branchR2(0:1))
    call avR2(667, 0, 593, 3, 0, SVFaSF0, 0, [5, 2], [nGC_2707, nGC_2707])

    call avR2(667, 1, 594, 3, 0, SVFaSF0, 0, [5, 2], [nGC_2708, nGC_2708])

    allocate(vertices(668)%branchR2(0:1))
    call avR2(668, 0, 673, 3, 0, FFaSVS0, 0, [5, 2], [nGC_2707, nGC_2707])

    call avR2(668, 1, 674, 3, 0, FFaSVS0, 0, [5, 2], [nGC_2708, nGC_2708])

    allocate(vertices(153)%branchR2(0:1))
    call avR2(153, 0, 43, 3, 0, VV1, 0, [2, 0], [nGC_2635, nGC_2634, nGC_2636])

    call avR2(153, 1, 44, 3, 0, VV1, 0, [2, 0], [nGC_2638, nGC_2637, nGC_2639])

  end subroutine fill_vertices_mdl2
end module vertices_info2
